---
title: কিভাবে অবদান রাখতে হবে
toc_hide: true
status: Completed
menu:
  main:
    weight: 10
---

## স্বাগত 

ক্লাউড নেটিভ শব্দকোষ অবদানকারী গাইডে স্বাগতম, এবং আপনার আগ্রহের জন্য আপনাকে ধন্যবাদ।
আপনি এই প্রকল্পে অবদান রাখতে পারেন এমন অনেক উপায় রয়েছে, যা আমরা এখানে বিস্তারিতভাবে কভার করব:

1) [বিদ্যমান সমস্যা নিয়ে কাজ করুন](#work-on-an-existing-issue)
2) [নতুন শর্তাবলী প্রস্তাব](#propose-new-terms)
3) [বিদ্যমানগুলি আপডেট করুন](#update-an-existing-term)
4) [শব্দকোষ অনুবাদে সাহায্য করুন](#help-localize-the-glossary)

## CNCF শব্দকোষ ওভারভিউ

এই শব্দকোষের লক্ষ্য হল ক্লাউড নেটিভ স্পেসকে সহজ করা — যা এর জটিলতার জন্য কুখ্যাত — এবং এইভাবে এটিকে মানুষের কাছে আরও সহজগম্য করে তোলা।

ক্লাউড নেটিভ শব্দকোষের বিষয়বস্তু [এই GitHub repo](https://github.com/cncf/glossary) সংরক্ষণ করা হয়
যেখানে আপনি [সমস্যার](https://github.com/cncf/glossary/issues) একটি তালিকা পাবেন, অনুরোধের ([PRs](https://github.com/cncf/glossary/pulls)) 
এবং শব্দকোষ সম্পর্কে [আলোচনা](https://github.com/cncf/glossary/discussions) পাবেন। 

## কে অবদান রাখতে পারেন?

আপনি কীভাবে এই প্রকল্পে অংশগ্রহণ করতে পারেন তা নির্ভর করে আপনার ক্লাউড নেটিভ দক্ষতার স্তরের উপর।
জটিল ধারণাগুলি সরলীকরণের জন্য বিষয়টির গভীর জ্ঞান প্রয়োজন।
অতএব, নতুন শর্তাবলী অবদান রাখতে, আপনাকে অবশ্যই সেগুলিতে দক্ষ হতে হবে।
অবদানকারীরা সাধারণত প্রকৌশলী যারা কিছু সময়ের জন্য এই প্রযুক্তিগুলির সাথে কাজ করেছেন বা শিক্ষাবিদ যারা ক্লাউড নেটিভের উপর মনোনিবেশ করেন।

এই জ্ঞানের প্রয়োজন কারণ জটিল ধারণাগুলিকে সহজ শব্দে ব্যাখ্যা করা সত্যিই_ কঠিন। এবং যদিও হজমযোগ্য, ব্যবহারকারী-বান্ধব ফলাফল সহজ বলে মনে হতে পারে, ক্লাউড নেটিভ বিশেষজ্ঞদের মধ্যে কঠোর পরিশ্রম এবং সহযোগিতার মাধ্যমে কাঙ্ক্ষিত সহজ ফলাফল অর্জন করা। 

আপনি যদি ক্লাউড-নেটিভ বিশেষজ্ঞ না হন তাও অবদান রাখতে চান, তাহলে আমরা একজন বিশেষজ্ঞের সাথে টিম আপ করার পরামর্শ দিই।  
একবার বিশেষজ্ঞ আত্মবিশ্বাসী হন যে শব্দটি সঠিকভাবে ধারণাটিকে বর্ণনা করে, তাহলে আপনি আপনার প্রথম শব্দকোষ অবদানের জন্য প্রস্তুত।

স্থানীয়করণের প্রচেষ্টা হল যেখানে অন্য ভাষায় দক্ষ নতুনরা শব্দকোষে মূল্যবান অবদান রাখতে পারে।
ইংরেজিতে বিদ্যমান দৃঢ় সংজ্ঞা সহ, কম অভিজ্ঞ অবদানকারীরা একটি টার্গেট ভাষায় স্থানীয়করণ করতে পারেন। আপনি একটি বিদ্যমান স্থানীয়করণ দলে যোগ দিতে পারেন বা একটি নতুন দল তৈরি করতে পারেন৷ কিভাবে শুরু করবেন তা জানতে এই গাইডের [শব্দকোষ স্থানীয়করণে সাহায্য করুন](#help-localize-the-glossary) বিভাগটি পড়ুন। 

## শুরু করার আগে

আপনার শব্দকোষ অবদানকারীর যাত্রা শুরু করার আগে, নিম্নলিখিত পদক্ষেপগুলি সম্পূর্ণ করতে ভুলবেন না:

1. একটি [GitHub অ্যাকাউন্ট](https://docs.github.com/en/get-started/signing-up-for-github/signing-up-for-a-new-github-account) তৈরি করুন, যদি আপনি ইতিমধ্যে না থাকে।
2. [কন্ট্রিবিউটর লাইসেন্স চুক্তিতে](https://docs.linuxfoundation.org/lfx/easycla/v2-current/contributors) (CLA) স্বাক্ষর করুন। 
3. [আপনার প্রতিশ্রুতি স্বাক্ষর যাচাই করুন](https://docs.github.com/en/authentication/managing-commit-signature-verification/about-commit-signature-verification)
4. [সতর্ক মোড] সক্ষম করুন(https://docs.github.com/en/authentication/managing-commit-signature-verification/displaying-verification-statuses-for-all-of-your-commits#about-vigilant-mode) আপনার প্রতিশ্রুতিতে "যাচাইকৃত" স্থিতি প্রদর্শন করতে আপনার GitHub অ্যাকাউন্টে।

## সর্বোত্তম অনুশীলন {#best-practices}

পর্যালোচনা প্রক্রিয়া সহজতর করার জন্য, অনুগ্রহ করে [অর্থবোধক লাইন বিরতি](https://sembr.org/) ব্যবহার করুন (যেমন, প্রতি বাক্যে এক লাইন)।
আমরা এই [মার্কডাউন চিট শীট](https://www.markdownguide.org/cheat-sheet/) চেক করার পরামর্শ দিই
GitHub-এ মার্কডাউন টেক্সট সঠিকভাবে ফরম্যাট করতে (যেমন, হাইপারলিঙ্ক, বোল্ড, ইটালিক)।
এবং .md ফাইলের নামকরণ করার সময়, শব্দগুলিকে আলাদা করতে এবং বন্ধনী এড়াতে স্পেসের পরিবর্তে অনুগ্রহ করে ছোট হাতের অক্ষর এবং হাইফেন ব্যবহার করুন।

## স্টাইল গাইড

নথি বিন্যাস এবং লেখার জন্য আমাদের নির্দেশিকা বুঝতে এবং অবদান প্রক্রিয়াকে আরও দক্ষ করে তুলতে আমাদের [স্টাইল নির্দেশিকা](/bn/style-guide/) পড়ুন।

## শব্দকোষ সম্প্রদায়ে যোগ দিন! {#join-the-glossary-community}

আপনি যদি নিয়মিত অবদান রাখতে চান তবে আমাদের মাসিক শব্দকোষ ওয়ার্কিং গ্রুপ মিটিংয়ে যোগদানের কথা বিবেচনা করুন।
আপনি [CNCF ক্যালেন্ডার](https://www.cncf.io/calendar/) এ মিটিংয়ের বিশদ বিবরণ পাবেন।
এছাড়াও আপনি CNCF স্ল্যাকে (slack) আমাদের [#glossary](https://cloud-native.slack.com/archives/C02TX20MQBB) চ্যানেলে রক্ষণাবেক্ষণকারী এবং সহযোগী অবদানকারীদের সাথে সংযোগ করতে পারেন 
— আমরা আপনার সাথে দেখা করতে চাই! 

## বিদ্যমান সমস্যা নিয়ে কাজ করুন {#work-on-an-existing-issue}

উপলব্ধ সমস্যাগুলির একটি তালিকা খুঁজতে [Glossary GitHub repo issue](https://github.com/cncf/glossary/issues) এ যান।
সমস্যাগুলি ফিল্টার করতে আপনি লেবেলগুলি (labels) ব্যবহার করতে পারেন (যেমন, ইংরেজি ভাষা (English language), সাহায্যের প্রয়োজন (help needed), ভাল প্রথম সমস্যা (good first issue))।

![সমস্যা এবং লেবেল](/images/how-to/issue-and-labels.png)

নিশ্চিত করুন যে আপনি যে শব্দটি নির্বাচন করেছেন তা ইতিমধ্যে কাউকে বরাদ্দ করা হয়নি।
উদাহরণস্বরূপ, এখানে আপনি দেখতে পাচ্ছেন যে প্রথম তিনটি পদ উপলব্ধ রয়েছে যখন চতুর্থটি ইতিমধ্যেই বরাদ্দ করা হয়েছে৷

![একটি মেয়াদ নির্ধারণ](/images/how-to/howto-04.png)

একবার আপনি কাজ করার জন্য একটি শব্দ নির্বাচন করলে, সমস্যাটির বিষয়ে মন্তব্য করুন।

![একটি সমস্যা দাবি করা](/images/how-to/claiming-an-issue.png)

উপরন্তু, CNCF স্ল্যাক (slack) ওয়ার্কস্পেসের (workspace) [#glossary](https://cloud-native.slack.com/archives/C02TX20MQBB) চ্যানেলে রক্ষণাবেক্ষণকারীদের অবহিত করুন এবং
ট্যাগ করুন _@iamnoah_, _@nate-double-u_, _@Seokho Son_, _@Jihoon Seo_, এবং/অথবা _@castrojo_ যাতে তারা এটি মিস না করে।

পরবর্তী পদক্ষেপের জন্য, অনুগ্রহ করে [একটি নতুন শব্দ জমা দেওয়া (একটি PR তৈরি করুন)](#submitting-a-new-term) বিভাগটি পড়ুন।

**দ্রষ্টব্য**: রক্ষণাবেক্ষণকারীরা আপনাকে এটি বরাদ্দ করার পরে আপনি একটি সমস্যা নিয়ে কাজ শুরু করতে পারেন। 
আপনি একটি সময়ে শুধুমাত্র একটি শব্দ দাবি করতে পারবেন. 
ক্রমিক ভাবে একাধিক শব্দে কাজ করার জন্য, পরেরটি দাবি করার আগে আপনাকে অবশ্যই একটি শব্দ সম্পূর্ণ করতে হবে।

## প্রপস-এ নতুন শব্দ {#propose-new-terms}

আপনি অন্যদের জন্য একটি নতুন শব্দ প্রস্তাব করতে পারেন বা নিজে একটি নতুন সংজ্ঞা তৈরি করতে পারেন৷
যেভাবেই হোক, আপনি শুরু করবেন [একটি সমস্যা তৈরি করে](#creating-an-issue)। 
শব্দকোষে যোগ করার জন্য, প্রতিটি নতুন শব্দ অবশ্যই [CNCF এর ক্লাউড নেটিভ সংজ্ঞা](https://github.com/cncf/toc/blob/main/DEFINITION.md) পূরণ করতে হবে।
শুধুমাত্র ব্যতিক্রমগুলি হল ক্লাউড নেটিভ ধারণাগুলি বোঝার জন্য প্রয়োজনীয় মৌলিক পদ।

নীচে গিটহাবের সাথে অপরিচিত লোকেদের জন্য একটি ধাপে ধাপে নির্দেশিকা রয়েছে৷ 
**যদি আপনি একজন GitHub Pro** হন, তাহলে অনুগ্রহ করে নিম্নলিখিত বিষয়গুলি সম্পর্কে যথেষ্ট তথ্য সংগ্রহ করতে এই নির্দেশিকাটি স্ক্যান করুন: 

1. সমস্যা এবং নতুন পদগুলির জন্য টেমপ্লেটগুলি সনাক্ত করা৷
2. দাবি সংক্রান্ত সমস্যা।
3. [বানান পরীক্ষা](#spell-check) ব্যর্থতা সমাধান করা৷

### একটি সমস্যা তৈরি করা {#creating-an-issue}

[Glossary GitHub repo](https://github.com/cncf/glossary/issues) সমস্যাগুলিতে যান এবং "নতুন সমস্যা" এ ক্লিক করুন।

![সমস্যা (issues)](/images/how-to/howto-01.png)

টেমপ্লেটের তালিকা থেকে "একটি নতুন শব্দ (ইংরেজি) যোগ করার অনুরোধ" নির্বাচন করুন।

![টেমপ্লেট](/images/how-to/english-issue-template.jpg)

আপনি যে শব্দটি প্রস্তাব করছেন তা যোগ করুন, প্রশ্নের উত্তর দিন, বাক্সে টিক চিহ্ন দিন এবং "নতুন সমস্যা জমা দিন (Submit new issue)" টিপুন।
আপনি যদি শুধুমাত্র একটি নতুন শব্দ প্রস্তাব করছেন, আপনি সম্পন্ন! আপনি যদি সংজ্ঞা নিয়ে কাজ করতে চান তবে পড়তে থাকুন।

### আপনার সমস্যা triaging {#triaging-your-issue}

এর পরে, রক্ষণাবেক্ষণকারীরা সমস্যাটি সমাধান করবে।
এর মানে তারা মূল্যায়ন করবে যে শব্দটি শব্দকোষের অংশ হওয়া উচিত কিনা।
প্রতিটি পদে ভর্তি হবে না। শব্দকোষে অন্তর্ভুক্ত করার জন্য, সেগুলিকে প্রতিষ্ঠিত করতে হবে এবং ব্যাপকভাবে ব্যবহৃত ক্লাউড নেটিভ ধারণাগুলি ব্যবহার করতে হবে৷

অনুগ্রহ করে রক্ষণাবেক্ষণকারীদের স্ল্যাক (slack) এ জানান এবং ট্যাগ (tag) করুন _@iamnoah_, _@nate-double-u_, _@Seokho Son_, _@Jihoon Seo_, এবং _@castrojo_ যে একটি নতুন শব্দ প্রস্তাব করেছেন যাতে তারা এটা মিস না করে।
আপনি যদি সংজ্ঞা নিয়ে কাজ করতে চান তবে রক্ষণাবেক্ষণকারীদের জানান এবং তারা এটি আপনাকে বরাদ্দ করবে।

### একটি নতুন পদ জমা দেওয়া (একটি PR তৈরি করা) {#submitting-a-new-term}

আমাদের [শৈলী নির্দেশিকা](/bn/style-guide/) এ যেমন বলা হয়েছে, আমরা একটি Google বা Word ডক দিয়ে শুরু করার সুপারিশ করি। 

শব্দটি জমা দেওয়ার জন্য প্রস্তুত হয়ে গেলে, সামগ্রীতে যান (<>কোডের অধীনে)…

![বিষয়বস্তু](/images/how-to/howto-05.png)

…তারপর "en" (ইংরেজির জন্য) অথবা আপনি যে ভাষার জন্য অবদান রাখছেন তার প্রথম দুটি অক্ষর...

![ভাষা ফোল্ডার](/images/how-to/howto-06.png)

…এবং `_TEMPLATE.md` নির্বাচন করুন

![টেমপ্লেট (template)](/images/how-to/howto-07.png)

কন্টেন্ট কপি করুন...

![কন্টেন্ট কপি](/images/how-to/howto-08.png)

…এবং "en" ফোল্ডারে ফিরে যান। "ফাইল যোগ করুন (Add file)" ক্লিক করুন এবং "নতুন ফাইল তৈরি করুন (Create new file)" নির্বাচন করুন।

![নতুন ফাইল তৈরি করুন](/images/how-to/howto-09.png)

[সর্বোত্তম অনুশীলন](#best-practices) বিভাগে বর্ণিত URL-এ শব্দটির নাম যোগ করুন।
নামের শেষে .md এক্সটেনশন যোগ করুন (এই এক্সটেনশনটি ছাড়া আপনি আপনার ফাইলের পূর্বরূপ দেখতে পারবেন না)।
এখন নীচের বিভাগে টেমপ্লেট সামগ্রী পেস্ট করুন। ফাইলটিতে আপনার সংজ্ঞার পাঠ্যটি অনুলিপি করুন এবং পেস্ট করুন।
আপনি [সর্বোত্তম অনুশীলন](#best-practices) বিভাগে বর্ণিত মার্কডাউন ব্যবহার করেছেন তা যাচাই করতে, "প্রিভিউ (Preview)" এ ক্লিক করুন।

![শব্দ চূড়ান্ত করা](/images/how-to/howto-10.png)

নিচে স্ক্রোল করুন এবং নতুন কমিট ফাইলের নাম দিন। আপনি যখন জমা দিতে প্রস্তুত তখন "নতুন ফাইল কমিট করুন (Commit new file)" টিপুন
এবং…

![নতুন ফাইল কমিট (commit new file)](/images/how-to/howto-11.png)

… আপনি এখন একটি নতুন PR তৈরি করতে প্রস্তুত:

![একটি pr তৈরি করুন](/images/how-to/howto-12.png)

একবার আপনি "পুল রিকোয়েস্ট তৈরি করুন (Create pull request)" বোতাম টিপলে আপনার পিআর "পুল রিকোয়েস্ট (Pull requests)" ট্যাবে দৃশ্যমান হবে।

![PRs](/images/how-to/howto-13.png)

## একটি বিদ্যমান শব্দ আপডেট করুন {#update-an-existing-term}

একটি বিদ্যমান শব্দ আপডেট করতে, আপনি একটি সমস্যা তৈরি করে পরিবর্তনের অনুরোধ করতে পারেন
অথবা পরিবর্তনগুলি নিজে কাজ করুন এবং একটি PR জমা দিন।

### একটি সমস্যা (issue) মাধ্যমে একটি পরিবর্তন অনুরোধ {#request-a-change-via-an-issue}

আপনি যদি একটি শব্দের সাথে একটি সমস্যা ফ্ল্যাগ করতে চান, আপনি CNCF শব্দকোষ ওয়েবপৃষ্ঠার "ইস্যু রিপোর্ট করুন (Report issue)" বিকল্পটি ব্যবহার করতে পারেন। 
আপনি যে ধারণাটি পতাকাঙ্কিত করতে চান তার CNCF পৃষ্ঠায় নিজেকে সনাক্ত করুন এবং "ইস্যু রিপোর্ট করুন (Report issue)" এ ক্লিক করুন।
এটি স্বয়ংক্রিয়ভাবে আপনার জন্য একটি সমস্যা খুলবে

![রিপোর্ট সমস্যা (Report issue)](/images/how-to/howto-14.png)

আপনার পরামর্শ বর্ণনা করুন এবং কেন তারা প্রয়োজন. জমা দিন, এবং যে এটি।

![সমস্যা জমা দিন (submit issue)](/images/how-to/howto-15.png)

### সরাসরি একটি শব্দ আপডেট করুন {#update-a-term-directly}

একটি শব্দ সংশোধন করতে এবং আপনার পরামর্শ জমা দিতে, "এই পৃষ্ঠাটি সম্পাদনা করুন (Edit this page)" এ ক্লিক করুন।

![এই পৃষ্ঠাটি সম্পাদনা করুন](/images/how-to/howto-16.png)

এটি শব্দের GitHub পৃষ্ঠা খুলবে। আপনার পরিবর্তন করুন এবং একটি PR তৈরি করুন। 
অনুগ্রহ করে উপরের [সর্বোত্তম অনুশীলন](#best-practices) বিভাগটি দেখুন
এবং আপনি আমাদের নির্দেশিকা অনুসরণ করেন তা নিশ্চিত করতে আমাদের [স্টাইল গাইড](/bn/style-guide/) পড়ুন। 

## শব্দকোষ স্থানীয়করণে সাহায্য করুন {#help-localize-the-glossary}

শব্দকোষটিকে একটি টার্গেট ভাষায় স্থানীয়করণে সহায়তা করতে, অনুগ্রহ করে CNCF স্ল্যাক ওয়ার্কস্পেসে (slack workspace) [#glossary-localizations](https://cloud-native.slack.com/archives/C02N2RGFXDF) চ্যানেলে যোগ দিন এবং আমাদের একটি বার্তা পাঠান।
আপনি হয় একটি বিদ্যমান দলে যোগ দিতে পারেন বা একটি নতুন দল তৈরি করতে পারেন৷
(এতে কী লাগে তা দেখতে, আমাদের [স্থানীয়করণ নির্দেশিকা](https://github.com/cncf/glossary/blob/main/LOCALIZATION.md) পড়ুন)। 
অনুগ্রহ করে সেই দলের অবদান প্রক্রিয়ার সুনির্দিষ্ট তথ্য সংগ্রহ করতে লক্ষ্য ভাষার **কীভাবে অবদান রাখবেন (How to contribute)** নির্দেশিকা পড়ুন। 

## বানান যাচাই {#spell-check}

বানান পরীক্ষা ব্যর্থ হওয়ার দুটি প্রধান কারণ রয়েছে:

- PR-এ ভুল বানান রয়েছে। 
- PR-এ এমন শব্দ রয়েছে যা শব্দ তালিকায় নিবন্ধিত নয়। 

তালিকায় নতুন শব্দ যোগ করতে, এই পদক্ষেপগুলি অনুসরণ করুন:

1. আপনার PR-এ, "wordlist.txt" ফাইলটি সন্ধান করুন। 
2. "এই ফাইলটি সম্পাদনা করুন (Edit this file)" এ ক্লিক করুন এবং অনুপস্থিত শব্দগুলিকে বর্ণানুক্রমিক (alphabetic) ক্রমে যুক্ত করুন৷ 
3. একটি প্রতিশ্রুতি বার্তা যোগ করুন এবং "সাইন অফ করুন এবং পরিবর্তনগুলি প্রস্তাব করুন (Sign off and propose changes)" নির্বাচন করুন।

**দ্রষ্টব্য**: বানান পরীক্ষা অক্ষর-সংবেদনশীল। 


**আমরা [The Good Docs Project](https://thegooddocsproject.dev/) থেকে টেমপ্লেটের ভিত্তিতে এই নির্দেশিকা আপডেট করেছি।**
