---
title: অবদানকারীর পথসিঁড়ি
toc_hide: true
status: Completed
menu:
  main:
    weight: 10
---

স্বাগতম এখানে! 👋 CNCF ক্লাউড নেটিভ শব্দকোষ প্রকল্পে অবদান রাখার জন্য আপনার আগ্রহের জন্য ধন্যবাদ। আপনি নতুন শর্তাবলীতে অবদান রাখুন, শব্দকোষকে আপনার স্থানীয় ভাষায় স্থানীয়করণে সহায়তা করুন বা অন্যদের শুরু করতে সাহায্য করতে চান, এই সম্প্রদায়ের সক্রিয় সদস্য হওয়ার অনেক উপায় রয়েছে। এই ডক প্রকল্পের মধ্যে বিভিন্ন অবদানকারীর ভূমিকা এবং তাদের সাথে আসা দায়িত্ব ও সুযোগ-সুবিধার রূপরেখা দেয়।

## 1. অবদানকারী (Contributors)

শব্দকোষ সবার জন্য। প্রকল্পে অবদান রাখার মাধ্যমে যে কেউ একটি শব্দকোষ অবদানকারী হতে পারে। সমস্ত অবদানকারীরা [CNCF কোড অফ কন্ডাক্ট](https://github.com/cncf/foundation/blob/main/code-of-conduct.md) অনুসরণ করবে বলে আশা করা হচ্ছে।

আপনি প্রকল্পে অবদান রাখতে পারেন এমন বিভিন্ন উপায় রয়েছে, যার মধ্যে রয়েছে:

- **কন্টেন্ট কন্ট্রিবিউটর(Content contributors)**: প্রত্যেকে যারা বিদ্যমান শর্তাবলীর উন্নতি করে বা নতুন অবদান রাখে,
- **স্থানীয়করণ অবদানকারী(Localization contributors)**: যারা অন্য ভাষায় শব্দকোষ অনুবাদ করতে সাহায্য করে,
- **সহায়ক(Helpers)**: যে কেউ গিটহাব, স্ল্যাক বা যেখানে সম্প্রদায়ের সদস্যদের সমর্থন প্রয়োজন সেখানে অন্যদের সাহায্য করে,
- **দূত(Ambassadors)**: যে কেউ এই শব্দটি ছড়িয়ে দিতে সাহায্য করে, কীভাবে অবদান রাখতে হবে এবং কেন তাদের তা করা উচিত সে সম্পর্কে সম্প্রদায়কে শিক্ষিত করে।

অবদানকারীদের একাধিক ভূমিকা থাকতে পারে বা শুধুমাত্র একটি ক্ষেত্রে ফোকাস করতে পারে। **এই সমস্ত অবদান সমানভাবে গুরুত্বপূর্ণ** এবং একটি সমৃদ্ধশালী সম্প্রদায়কে গড়ে তুলতে সাহায্য করে৷ বিষয়বস্তু এবং স্থানীয়করণের অবদানের জন্য অনুগ্রহ করে [কীভাবে অবদান রাখবেন](/bn/contribute/) এবং [স্টাইল গাইড](/bn/style-guide/) দেখুন।

## 2. অনুমোদনকারী(Approvers)

অনুমোদনকারীরা PR-এর উপর প্রতিক্রিয়া প্রদান করে এবং তাদের অনুমোদন করে। যেকোন সক্রিয় অবদানকারী একজন অনুমোদনকারী হতে পারেন ("অনুমোদনকারী হওয়া" দেখুন)। শব্দকোষ দুটি অনুমোদনকারীদের মধ্যে পার্থক্য করে: (1) ইংরেজি শব্দকোষের জন্য অনুমোদনকারী এবং (2) স্থানীয়করণ দলের জন্য অনুমোদনকারী।

শব্দকোষ অনুমোদনকারীদের আশা করা হচ্ছে:

- প্রযুক্তিগত নির্ভুলতার জন্য PR পর্যালোচনা করুন,
- অবদানকারীদের সমস্যা বরাদ্দ করুন এবং তাদের যথাযথভাবে লেবেল করুন,
- অবদানকারীদের প্রতিক্রিয়া প্রদান করুন এবং প্রয়োজনে তাদের গাইড করুন,
- প্রুফরিড এবং জমা সম্পাদনা করুন.

যদি একজন অনুমোদনকারী আর আগ্রহী না হন বা উপরোক্ত দায়িত্ব পালন করতে না পারেন, তাহলে তাদের রক্ষণাবেক্ষণকারীদের জানাতে হবে এবং পদত্যাগ করতে হবে।

### বাংলা শব্দকোষ অনুমোদনকারী

তিন ধরনের অনুমোদনকারী রয়েছে:

1) একটি শক্তিশালী প্রযুক্তিগত পটভূমি সহ অনুমোদনকারী,
2) কঠিন লেখার দক্ষতা সহ অনুমোদনকারী,
3) অনুমোদনকারী যারা উভয় ক্ষেত্রেই দক্ষ।

**প্রযুক্তিগত অনুমোদনকারী**: শক্তিশালী প্রযুক্তিগত পটভূমির ব্যক্তিরা ইংরেজি লেখার দক্ষতা ছাড়াই অনুমোদনকারী হতে পারেন। যাইহোক, যদি তারা প্রযুক্তিগত যোগ্যতার ভিত্তিতে একটি PR অনুমোদন করে, তবে তাদের অবশ্যই নিশ্চিত করতে হবে যে এটি একজন (সম্পাদক) অনুমোদনকারী দ্বারা পর্যালোচনা করা হয়েছে।

**সম্পাদক**: সম্পাদকরা শর্তাবলী প্রুফরিড করে এবং নিশ্চিত করে যে সেগুলি শৈলী গাইড অনুসারে সহজ ভাষায় ব্যাখ্যা করা হয়েছে। যদি একটি শব্দ ব্যাপকভাবে সম্পাদিত হয়, তাহলে অর্থ পরিবর্তন করা হয়নি তা নিশ্চিত করতে সম্পাদককে অবশ্যই একটি প্রযুক্তিগত অনুমোদনকারীকে এটি পুনরায় পর্যালোচনা করার জন্য অনুরোধ করতে হবে।

### স্থানীয়করণ অনুমোদনকারী

শব্দকোষের স্থানীয়করণ অনুমোদনকারীও রয়েছে। এগুলি স্থানীয়করণ দলগুলির একটির জন্য অনুমোদনকারী (টিমগুলি শব্দকোষ অনুবাদ করে)৷ স্থানীয়করণ অনুমোদনকারীদের শুধুমাত্র তাদের নিজস্ব দলের জন্য অনুমোদনকারী দায়িত্ব পালন করার অনুমতি দেওয়া হয় এবং তাদের ডেডিকেটেড ডেভেলপমেন্ট শাখায় PRs মার্জ করার ক্ষমতা থাকে। উদাহরণঃ dev-bn ।  যেকোনো স্থানীয়করণ অনুমোদনকারী ইংরেজি শব্দকোষের জন্য অনুমোদনকারীও হতে পারে যদি তারা প্রয়োজনীয়তা পূরণ করে।

### একজন অনুমোদনকারী হয়ে উঠছেন

অনুমোদনকারী প্রার্থীদের উচ্চ-মানের PR জমা দেওয়ার এবং অন্যদের তাদের PRগুলিকে একীভূত অবস্থায় পেতে সাহায্য করার একটি প্রমাণিত ট্র্যাক রেকর্ড থাকতে হবে। যদি তাদের টাইমজোন অনুমতি দেয়, তবে তাদের নিয়মিত [গ্লোসারি ওয়ার্কিং গ্রুপ মিটিং](https://www.cncf.io/calendar/) এ যোগ দিতে হবে।

একজন অনুমোদনকারী হওয়ার জন্য, বিদ্যমান রক্ষণাবেক্ষণকারীদের আগ্রহ প্রকাশ করে শুরু করুন। তখন বিদ্যমান রক্ষণাবেক্ষণকারীরা আপনাকে PRs অবদান, পর্যালোচনা করে এবং তাদের নির্দেশনায় এই জাতীয় অন্যান্য কাজগুলি করে উপরের যোগ্যতাগুলি প্রদর্শন করতে বলবে। কিছু সময় একসাথে কাজ করার পর, রক্ষণাবেক্ষণকারীরা সিদ্ধান্ত নেবেন আপনাকে অনুমোদনকারীর মর্যাদা দিতে হবে কিনা। এই সিদ্ধান্তটি আপনার প্রদর্শিত দক্ষতা এবং প্রতিক্রিয়াশীলতার উপর ভিত্তি করে হবে।

## 3. রক্ষণাবেক্ষণকারী

রক্ষণাবেক্ষণকারীরা অনুমোদনকারী যারা PRs একত্রিত করতে পারে। যে কেউ একটি শব্দকোষ রক্ষণাবেক্ষণকারী হতে পারে ("একজন রক্ষণাবেক্ষণকারী হওয়া" দেখুন)। রক্ষণাবেক্ষণকারীদের জন্য কিছু প্রত্যাশা রয়েছে, যার মধ্যে রয়েছে:

- একজন সক্রিয় এবং প্রতিক্রিয়াশীল অনুমোদনকারী হন (উপরে দেখুন),
- সাইট কনফিগারেশন, অনুমতি, ইস্যু-টেমপ্লেট, গিটহাব ওয়ার্কফ্লো সহ অন্যান্য সংগ্রহস্থল বজায় রাখতে সাহায্য করুন,
- শব্দকোষ স্ল্যাক চ্যানেলগুলি নিরীক্ষণ করুন এবং যখনই সম্ভব সাহায্য করুন,
- নিয়মিতভাবে [গ্লোসারি ওয়ার্কিং গ্রুপ মিটিং](https://www.cncf.io/calendar/) এ যোগ দিন (যদি টাইমজোন অনুমতি দেয়)

যদি একজন রক্ষণাবেক্ষণকারী আর আগ্রহী না হন বা উপরে তালিকাভুক্ত দায়িত্ব পালন করতে না পারেন, তাহলে তাদের নিজেদেরকে ইমেরিটাস স্ট্যাটাসে নিয়ে যাওয়া উচিত।

### একজন রক্ষণাবেক্ষণকারী হয়ে উঠছেন

রক্ষণাবেক্ষণকারীদের সফল অনুমোদনকারী এবং উচ্চ-মানের PR জমা দেওয়ার একটি প্রমাণিত ট্র্যাক রেকর্ড থাকা উচিত। যদি তাদের টাইমজোন অনুমতি দেয়, তবে তাদের অবশ্যই নিয়মিতভাবে শব্দকোষ ওয়ার্কিং গ্রুপের মিটিংয়ে যোগ দিতে হবে।

একজন রক্ষণাবেক্ষণকারী হওয়ার জন্য, বিদ্যমান রক্ষণাবেক্ষণকারীদের প্রতি আগ্রহ প্রকাশ করে শুরু করুন। তখন বিদ্যমান রক্ষণাবেক্ষণকারীরা আপনাকে PRs অবদান, পর্যালোচনা করে এবং তাদের নির্দেশনায় এই জাতীয় অন্যান্য কাজগুলি করে উপরের যোগ্যতাগুলি প্রদর্শন করতে বলবে। কিছু সময় একসাথে কাজ করার পরে, রক্ষণাবেক্ষণকারীরা রক্ষণাবেক্ষণকারীর মর্যাদা প্রদান করবেন কিনা তা সিদ্ধান্ত নেবেন। এই সিদ্ধান্তটি দক্ষতা এবং প্রতিক্রিয়াশীলতার প্রদর্শিত স্তরের উপর ভিত্তি করে হবে।

## 4. কমিউনিটি ম্যানেজার

কমিউনিটি ম্যানেজাররা একটি স্বাগত এবং আকর্ষক সম্প্রদায় গড়ে তুলতে সাহায্য করে। যেকোন সম্প্রদায়ের সদস্য কমিউনিটি ম্যানেজার হতে পারেন। তাদের আশা করা হচ্ছে:

- নতুন সদস্যদের স্বাগতম এবং নিশ্চিত করুন যে তারা তাদের প্রয়োজনীয় তথ্য পেয়েছেন,
- সম্প্রদায়ের প্রশ্নের উত্তর দিতে সাহায্য করুন বা সাহায্য করতে পারে এমন কাউকে চিহ্নিত করুন,
- স্ল্যাকের উপর মধ্যপন্থী কথোপকথন।

### একজন কমিউনিটি ম্যানেজার হন

যে কেউ একজন শব্দকোষ সম্প্রদায় ব্যবস্থাপক হতে পারেন। কমিউনিটি ম্যানেজারদের অবশ্যই অবদান এবং স্থানীয়করণ প্রক্রিয়া সম্পর্কে একটি দৃঢ় ধারণা থাকতে হবে এবং অন্যদের মিথস্ক্রিয়া এবং সাহায্য করতে উপভোগ করতে হবে। কমিউনিটি ম্যানেজার হওয়ার জন্য, বিদ্যমান রক্ষণাবেক্ষণকারীদের আগ্রহ প্রকাশ করে শুরু করুন। অনবোর্ডিং/ট্রায়াল পিরিয়ডের পরে, রক্ষণাবেক্ষণকারীরা সিদ্ধান্ত নেবেন যে পারফরম্যান্সের উপর ভিত্তি করে কমিউনিটি ম্যানেজারের মর্যাদা দেওয়া হবে কিনা।

## অনৈচ্ছিক অপসারণ

দায়িত্ব এবং প্রয়োজনীয়তা পূরণ না হলে অবদানকারীর অনৈচ্ছিক অপসারণ ঘটে। এর মধ্যে বারবার নিষ্ক্রিয়তার নিদর্শন, নিষ্ক্রিয়তার বর্ধিত সময়কাল এবং/অথবা আচরণবিধি লঙ্ঘন অন্তর্ভুক্ত থাকতে পারে। এই প্রক্রিয়াটি গুরুত্বপূর্ণ কারণ এটি সম্প্রদায় এবং এর বিতরণযোগ্য জিনিসগুলিকে রক্ষা করে এবং নতুন অবদানকারীদের জন্য পদক্ষেপ নেওয়ার সুযোগও খুলে দেয়।

## পদত্যাগ/ইমেরিটাস প্রক্রিয়া

যদি এবং যখন অবদানকারীদের প্রতিশ্রুতির স্তর পরিবর্তিত হয়, অবদানকারীরা পদত্যাগ (অবদানকারীর  পথসিঁড়ি থেকে নেমে যাওয়া) বনাম ইমেরিটাস স্ট্যাটাসে (প্রকল্প থেকে সম্পূর্ণভাবে দূরে সরে যাওয়া) বিবেচনা করতে পারেন।

## একটি ভূমিকায় ফিরে যাওয়া

যদি এবং যখন কেউ পূর্ববর্তী অবদানকারীর ভূমিকায় ফিরে যাওয়ার জন্য উপলব্ধ থাকে, প্রকল্প নেতৃত্ব এটি ব্যবস্থা করতে এবং বিবেচনা করতে পারে।
