---
title: ফাংশন-এজ়-এ-সার্ভিস (Function as a Service) (FaaS)
status: Completed
category: প্রযুক্তি
tags: ["অবকাঠামো", "", ""]
---

ফাংশন-এজ়-এ-সার্ভিস
একটি পরিষেবা হিসাবে ফাংশন (FaaS) হল এক প্রকার [সার্ভারলেস](/bn/serverless/) [ক্লাউড কম্পিউটিং](/bn/cloud-computing/) [সর্বিস](/bn/service/) 
যা ইভেন্টের প্রতিক্রিয়ায় কোড চালানোর অনুমতি দেয়
জটিল অবকাঠামো বজায় না রেখে
সাধারণত [মাইক্রোসার্ভিসেস](/bn/microservices-architecture/) অ্যাপ্লিকেশন তৈরি এবং চালু করার সাথে যুক্ত।
FaaS এর সাথে, ব্যবহারকারীরা শুধুমাত্র ফাংশন এবং ডেটা পরিচালনা করে যখন ক্লাউড প্রদানকারী অ্যাপ্লিকেশন পরিচালনা করে।
এটি ডেভেলপারদের কোড চালু না থাকলে পরিষেবার জন্য অর্থ প্রদান না করে তাদের প্রয়োজনীয় ফাংশনগুলি পেতে অনুমতি দেয়।
কিছু জনপ্রিয় FaaS উদাহরণের মধ্যে রয়েছে: [Amazon's AWS Lambda](https://aws.amazon.com/lambda/),
[Google Cloud Functions](https://cloud.google.com/functions/) এবং [Microsoft Azure Functions](https://azure.microsoft.com/en-us/services/functions/)।

## এটা যেসব সমস্যাতে দৃষ্টিপাত করে

একটি ঐতিহ্যগত অন-প্রাঙ্গনে দৃশ্যকল্পে, একটি ব্যবসা তার নিজস্ব ডেটা সেন্টার পরিচালনা করে এবং রক্ষণাবেক্ষণ করে।
ব্যবসার অবশ্যই সার্ভার, স্টোরেজ, সফ্টওয়্যার এবং অন্যান্য প্রযুক্তিতে বিনিয়োগ করতে হবে
এবং সম্ভাব্যভাবে সমস্ত সরঞ্জাম এবং লাইসেন্স ক্রয়, পরিচালনা এবং আপগ্রেড করার জন্য একজন IT কর্মী বা ঠিকাদার নিয়োগ করুন।
কাজের চাপ কমে গেলে এবং সেই সংস্থানগুলি নিষ্ক্রিয় থাকা সত্ত্বেও সর্বোচ্চ চাহিদা মেটাতে ডেটা সেন্টার তৈরি করতে হবে।
বিপরীতভাবে, যদি ব্যবসা দ্রুত বৃদ্ধি পায়, তাহলে আইটি বিভাগটি চালিয়ে যেতে সংগ্রাম করতে পারে।
একটি স্ট্যান্ডার্ড [Infrastructure-as-a-Service (IaaS)](/bn/infrastructure-as-a-service/) ক্লাউড কম্পিউটিং মডেলের অধীনে,
ব্যবহারকারীরা প্রাক-ক্রয় ক্ষমতা ইউনিট, যার অর্থ আপনি আপনার অ্যাপগুলি চালানোর জন্য সর্বদা-অন সার্ভার উপাদানগুলির জন্য একটি সর্বজনীন ক্লাউড প্রদানকারীকে অর্থ প্রদান করেন।
উচ্চ চাহিদার সময়ে সার্ভারের ক্ষমতা বাড়ানোর দায়িত্ব ব্যবহারকারীর
এবং যখন সেই ক্ষমতা আর প্রয়োজন হয় না তখন স্কেল করুন।
একটি অ্যাপ চালানোর জন্য প্রয়োজনীয় ক্লাউড অবকাঠামো সক্রিয় থাকে এমনকি যখন অ্যাপটি ব্যবহার করা হচ্ছে না।

## এটা কিভাবে সাহায্য করে

FaaS সার্ভার পরিচালনা না করে ইভেন্টের প্রতিক্রিয়া হিসাবে ওয়েব অ্যাপ্লিকেশন চালানোর জন্য বিকাশকারীদের একটি [বিমূর্ততা](/bn/abstraction/) দেয়।
উদাহরণস্বরূপ, একটি ফাইল আপলোড করা কাস্টম কোড ট্রিগার করতে পারে যা ফাইলটিকে বিভিন্ন ফর্ম্যাটে ট্রান্সকোড করে।
FaaS পরিকাঠামো ভারী ব্যবহারের জন্য কোড স্বয়ংক্রিয়ভাবে স্কেল করবে,
এবং ডেভেলপারকে [স্ক্যালেবিলিটি](/bn/scalability/) এর জন্য কোড তৈরি করতে কোনো সময় বা সংস্থান ব্যয় করতে হবে না।
বিলিং শুধুমাত্র গণনা সময়ের উপর ভিত্তি করে করা হয়, যার অর্থ ব্যবসায়িকদের অর্থ প্রদান করতে হবে না যখন ফাংশনগুলি ব্যবহার করা হয় না।
