---
title: কুবারনেটিস (Kubernetes)
status: Completed 
category: প্রযুক্তি
tags: ["অবকাঠামো", "মৌলিক", ""]
---

কুবারনেটিস (Kubernetes), প্রায়ই K8s হিসাবে সংক্ষিপ্ত হয়, একটি ওপেন-সোর্স কন্টেইনার অর্কেস্ট্রেটর ।
 যা আধুনিক অবকাঠামোতে [কন্টেইনারাইজড (containerized)](/bn/container/) অ্যাপ্লিকেশনের জীবনচক্রকে স্বয়ংক্রিয় করে , এটি একটি "ডেটাসেন্টার অপারেটিং সিস্টেম" হিসাবে কাজ করে যা একটি  [ডিস্ট্রিবিউটেড সিস্টেম](/bn/distributed-systems/) জুড়ে অ্যাপ্লিকেশনগুলোকে পরিচালনা করে। 

কুবারনেটিস একটি [ক্লাস্টারের](/bn/cluster.md) [নোড](/bn/nodes/) জুড়ে  [কন্টেইনারের](/bn/container/) সময়সূচী নির্ধারণ করে , কন্টেইনারাইজড অ্যাপ্লিকেশনগুলো চালানোর জন্য  বিভিন্ন ধরনের অবকাঠামো রিসোর্স (infrustructure resources) যেমন-  লোড ব্যালেন্সার (Load Balancer), ক্রমাগত স্টোরেজ (Persistance Storage) ইত্যাদি একত্রিত করে।   

কুবারনেটিস অটোমেশন (Automation) এবং সম্প্রসারণযোগ্যতা (Extensibility) সক্ষম করে এবং ব্যবহারকারীদেরকে পুনর্গঠনযোগ্য ও ঘোষণামূলকভাবে (নীচে দেখুন) অ্যাপ্লিকেশন স্থাপন করতে দেয়।
কুবারনেটিস এর [এপিআই (API)](/bn/application-programming-interface/) মাধ্যমে প্রসারণযোগ্য (extensible), অভিজ্ঞ কুবারনেটিস অনুশীলনকারীদের তাদের প্রয়োজন অনুযায়ী এর স্বয়ংক্রিয়তার সক্ষমতা লাভ করতে দেয়।

## এটা যেসব সমস্যাতে দৃষ্টিপাত করে

ইনফ্রাস্ট্রাকচার অটোমেশন (Infrastructure automation) এবং ঘোষণামূলক কনফিগারেশন ম্যানেজমেন্ট (Declarative Configuration Management) দীর্ঘকাল ধরে একটি গুরুত্বপূর্ণ ধারণা, এবং [ক্লাউড কম্পিউটিং](/bn/cloud-computing/) জনপ্রিয়তা অর্জন করায় এটি আরও বেশি চাপে পড়ে। 
কম্পিউট রিসোর্সের (compute resources) চাহিদা বৃদ্ধি পাওয়ায় কম সংখ্যক ইন্জিনিয়ারের সাথে সার্ভিস প্রদান করতে সংস্থাগুলো চাপ অনুভব করে, এবং এটি পূরণের জন্য নতুন প্রযুক্তি এবং কাজের পদ্ধতিরই প্রয়োজন হয়।

## এটা কিভাবে সাহায্য করে

প্রথাগত [কোড হিসাবে পরিকাঠামো](/bn/infrastructure-as-code/) টুলের মতো, কুবারনেটস অটোমেশনে সাহায্য করে তবে এতে কন্টেইনারগুলোর সাথে কাজ করার সুবিধা রয়েছে। 
কনটেইনারগুলো [ভার্চুয়াল](/bn/virtual-machine/) বা ফিজিক্যাল মেশিনের তুলনায় কনফিগারেশন ড্রিফটের জন্য বেশি প্রতিরোধী।

উপরন্তু, কুবারনেটিস ঘোষণামূলকভাবে (declaratively) কাজ করে, যার মানে হল অপারেটররা কীভাবে কিছু করতে হবে সে সম্পর্কে নির্দেশনা প্রদান করার পরিবর্তে তারা বর্ণনা করে — সাধারণত ম্যানিফেস্ট (Manifest) ফাইল (যেমন YAML) হিসাবে — অবকাঠামোটি কেমন হওয়া উচিত। 
কুবারনেটিস নিজে থেকেই "কিভাবে" করতে হবে সেটার যত্ন নেয়।
এর ফলে কুবারনেটিস 'কোড হিসাবে পরিকাঠামো' (Infrastructure as code) এর সাথে অত্যন্ত সামঞ্জস্যপূর্ণ।

কুবারনেটিস নিজেও নিজের নিরাময় (self-heal) করে। 
এর মানে হল যে কুবারনেটিস নিশ্চিত করে ক্লাস্টারের প্রকৃত অবস্থা সর্বদা অপারেটরের পছন্দসই অবস্থার সাথে মেলে। 
কুবারনেটিস কোনো বিচ্যুতি শনাক্ত করলে, একটি কুবারনেটিস কন্ট্রোলার (Kubernetes Controller) কাজে নামে এবং সেটিকে ঠিক করে। 
যদিও এটি যে অবকাঠামো (Infrastructure) ব্যবহার করে তা ক্রমাগত পরিবর্তীত হতে পারে, তাই কুবারনেটিস ক্রমাগত স্বয়ংক্রিয়ভাবে পরিবর্তিত হতে থাকে এবং নিশ্চিত করে এটি যাতে পছন্দসই অবস্থার সাথে মেলে।
