---
title: বহু মালিকানা (Multitenancy)
status: Completed
category: বৈশিষ্ট্য
tags: ["স্থাপত্য", "বৈশিষ্ট্য", ""]
---

বহু মালিকানা (multitenancy) (বা মাল্টি-টেনেন্সি (multi-tenancy)) একটি একক সফ্টওয়্যার (software) ইনস্টলেশনকে (installation) বোঝায় যা একাধিক ভাড়াটেদের পরিষেবা দেয়।
ভাড়াটে হল একজন ব্যবহারকারী, অ্যাপ্লিকেশন (application), বা ব্যবহারকারী/অ্যাপ্লিকেশনের একটি গোষ্ঠী যারা তাদের নিজস্ব ডেটা সেটে (data set) কাজ করার জন্য সফ্টওয়্যারটি (software) ব্যবহার করে।
এই ভাড়াটেরা ডেটা ভাগ করে না (যদি না মালিকের দ্বারা স্পষ্টভাবে নির্দেশ দেওয়া হয়) এবং এমনকি একে অপরের বিষয়ে সচেতন নাও হতে পারে।

একজন ভাড়াটিয়া একটি একক লগইন আইডি (login ID) সহ একজন স্বাধীন ব্যবহারকারীর মতো ছোট হতে পারে — মনে করুন ব্যক্তিগত উৎপাদনশীলতা সফটওয়্যার (software) — বা হাজার হাজার লগইন আইডি (login IDs) সহ একটি সম্পূর্ণ কর্পোরেশনের মতো বড়, প্রতিটির নিজস্ব বিশেষাধিকার থাকলেও একাধিক উপায়ে আন্তঃসম্পর্কিত।
বহু মালিকানা (multitenancy) সফ্টওয়্যার (software) উদাহরণগুলির মধ্যে রয়েছে গুগল মেইল (Google Mail), গুগল ডক্স (Google Docs), মাইক্রোসফ্ট অফিস ৩৬৫ (Microsoft Office 365), সেলসফোর্স সিআরএম (Salesforce CRM) এবং ড্রপবক্স (Dropbox), যা সম্পূর্ণ বা আংশিকভাবে বহু মালিকানা (multitenancy) সফ্টওয়্যার (software) হিসাবে শ্রেণীবদ্ধ করা হয়েছে।

## এটি যেই সমস্যাটি নির্দেশ করে

বহু মালিকানা (multitenancy) ছাড়া, প্রতিটি ভাড়াটের জন্য একটি নিরধারিত সফটওয়্যার (software) ইনস্টলেশনের (installation) প্রয়োজন হবে।
এটি সম্পদের ব্যবহার এবং রক্ষণাবেক্ষণের প্রচেষ্টা বাড়ায়, শেষ পর্যন্ত সফ্টওয়্যার খরচ।

## এটা কিভাবে সাহায্য করে

বহু মালিকানা (multitenancy) সফ্টওয়্যার (software) প্রতিটি ভাড়াটেকে একটি পৃথক পরিবেশ (কাজের ডেটা, সেটিংস (settings), প্রমাণপত্রের তালিকা, ইত্যাদি) প্রদান করে, একই সাথে একাধিক ভাড়াটেদের পরিবেশন করে। ভাড়াটেদের দৃষ্টিকোণ থেকে, প্রত্যেকেরই নিরধারিত সফ্টওয়্যার (software) ইনস্টলেশন (installation) রয়েছে, যদিও বাস্তবে, তারা সবাই ভাগ করে নিচ্ছে।
একটি সার্ভারে (server) সফ্টওয়্যার (software) চালানোর মাধ্যমে এবং ভাড়াটেদের একটি নেটওয়ার্কের মাধ্যমে ইন্টারফেস (interface) এবং/অথবা একটি [API](/bn/application-programming-interface/) (এছাড়াও পড়ুন [ক্লায়েন্ট-সার্ভার আর্কিটেকচার (Client-Server Architecture)](/bn/client-server-architecture/)) এর মাধ্যমে  এটির সাথে সংযোগ করার অনুমতি দিয়ে এটি অর্জন করা হয়।
বহু মালিকানা (multitenancy) সফ্টওয়্যারের (software) দ্বারা, ভাড়াটেরা একে অপরকে প্রভাবিত না করে বা শুধুমাত্র পূর্বনির্ধারিত এবং নিয়ন্ত্রিত উপায়ে একটি ইনস্টলেশনের (installation) মাধ্যমে সম্পদ ভাগ করে দেয়।
সফ্টওয়্যার (software) প্রদানকারীর পক্ষ থেকে সম্পদের সঞ্চয়গুলি ভাড়াটেদের কাছে প্রেরণ করা যেতে পারে, ব্যবহারকারীদের জন্য সফ্টওয়্যার (software) খরচ উল্লেখযোগ্যভাবে হ্রাস করে (আবার মনে করুন, ওয়েব-ভিত্তিক (web-based) ই-মেইল (e-mail) বা ডকুমেন্ট সম্পাদক (document editors))।

## সম্পর্কিত পদ

বহু মালিকানা (multitenancy) SaaS এর সমার্থক নয়, যদিও SaaS-এর বহু মালিকানা (multitenancy) হওয়া খুবই সাধারণ এবং এমনকি বহু মালিকানার (multitenancy) বৈশিষ্ট্য গুলি এর মূল সুবিধাগুলির মধ্যে একটি।
