---
title: শৈলী গাইড
toc_hide: true
status: Completed
menu:
  main:
    weight: 10   
---

এই শৈলী নির্দেশিকা আপনাকে শব্দকোষের শ্রোতা, সংজ্ঞা কাঠামো, প্রয়োজনীয় বিশদ স্তর এবং কীভাবে একটি সামঞ্জস্যপূর্ণ শৈলী বজায় রাখতে হয় তা বুঝতে সাহায্য করবে।

ক্লাউড নেটিভ শব্দকোষ CNCF সংগ্রহস্থলের [ডিফল্ট স্টাইল গাইড](https://github.com/cncf/foundation/blob/master/style-guide.md) অনুসরণ করে। 
উপরন্তু, এটি নিম্নলিখিত নিয়ম অনুসরণ করে:

1. সহজ, সহজলভ্য ভাষা ব্যবহার করুন, প্রযুক্তিগত শব্দবাক্য এবং বাজওয়ার্ড এড়িয়ে চলুন
2. [কথ্যভাষা এড়িয়ে চলুন](https://en.wikipedia.org/wiki/Colloquialism)
3. [আক্ষরিক এবং কংক্রিট ভাষা ব্যবহার করুন](https://guidetogrammar.org/grammar/composition/abstract.htm)
4. [সংকোচন বাদ দিন](https://en.wikipedia.org/wiki/Contraction_(grammar))
5. [প্যাসিভ ভয়েস অল্প ব্যবহার করুন](https://www.ef.com/ca/english-resources/english-grammar/passive-voice/)
6. [একটি ইতিবাচক আকারে বাক্যাংশের বিবৃতিগুলোকে লক্ষ্য করুন](https://examples.yourdictionary.com/positive-sentence-examples.html)
7. [কোটেশনের বাইরে কোনো বিস্ময় চিহ্ন নেই](https://www.grammarly.com/blog/exclamation-mark/)
8. অতিরঞ্জিত করবেন না
9. পুনরাবৃত্তি এড়িয়ে চলুন
10. সংক্ষিপ্ত হোন

## শ্রোতা

শব্দকোষটি প্রযুক্তিগত *এবং* অ-প্রযুক্তিগত দর্শকদের জন্য লেখা। 
অনুগ্রহ করে নিশ্চিত করুন যে সংজ্ঞাগুলো সহজ ভাষায় ব্যাখ্যা করা হয়েছে এবং প্রযুক্তিগত জ্ঞান গ্রহণ করবেন না। এই সম্পর্কে আরো নিচে [সংজ্ঞায়](#সংজ্ঞা) দেখুন ।  

## ন্যূনতম কার্যকর সংজ্ঞা

ক্লাউড নেটিভ শব্দগুলো যে কেউ বুঝতে পারে তার জন্য আমরা এটিকে সহজ করার লক্ষ্য রাখি।
যেমন, আমরা সরলতার উপর ফোকাস করি।
একটি *ন্যূনতম কার্যকর সংজ্ঞা* প্রদান করার সময় উদাহরণ সহ স্পষ্ট, সহজ ভাষা ব্যবহার করুন যাতে  যে কেউ প্রযুক্তি ব্যবহার করে এ সম্পর্কে  বুঝতে পারে ।
আমরা কনটেক্স এবং উদাহরণগুলো সংরক্ষণ করতে চাই না ( সর্বোপরি, এই জিনিসগুলো পাঠককে ধারণাটি বুঝতে সাহায্য করে ) তবে এটি বোঝার জন্য যদি একটি টেকনিক্যাল ডিটেলস প্রয়োজন না হয় তবে আমরা এটি এড়িয়ে যাব৷
আমাদের লক্ষ্য জিনিসগুলোকে অতিরিক্ত জটিল করা নয়। পাঠক মৌলিক ধারণাটি বুঝতে পারলে, অন্যান্য রিসোর্সগুলো তাদের আরও গভীরে যেতে করতে সহায়তা করবে। 
 সেই অংশটি এই শব্দকোষের আওতার বাইরে।

## সংজ্ঞা টেমপ্লেট

প্রতিটি শব্দকোষ একটি মার্কডাউন ফাইলে সংরক্ষণ করা হয় এবং এই টেমপ্লেটটি অনুসরণ করে:

```md
---
title: 
status: 
category: 
---

প্রযুক্তি বা ধারণার একটি দ্রুত সারাংশ।

## এটা যেসব সমস্যাতে ফোকাস করে

এটি যে সমস্যার সমাধান করছে সে সম্পর্কে কয়েকটি লাইন।

## এটা কিভাবে সাহায্য করে

জিনিসটি কীভাবে সমস্যার সমাধান করে তার কয়েকটি লাইন।

```

### Title

**Title** লেবেল সর্বদা একটি সংজ্ঞা লেআউটের শীর্ষে থাকবে এবং এর মান শিরোনামের ক্ষেত্রে হওয়া উচিত। 

```md
---
title: সংজ্ঞা টেমপ্লেট
```

### Status

Title লেবেলের পরে **status** লেবেল আসবে। স্থিতি লেবেল নির্দেশ করে যে সংজ্ঞাগুলি পুঙ্খানুপুঙ্খভাবে যাচাই করা হয়েছে বা আরও প্রচেষ্টার প্রয়োজন আছে কিনা।

বৈধ মান হল:

- Completed
- Feedback Appreciated 
- Not Started

আপনি সর্বদা একটি সম্পূর্ণ সংজ্ঞার বিরুদ্ধে একটি issue খুলতে পারেন। একটি সংজ্ঞা পরিবর্ধিত হওয়ার সময়, এটির স্টেটাস *Feedback Appreciated* এ পরিবর্তিত হবে। মনে রাখবেন যে আমাদের বৈধ স্টেটাস মান স্থানীয়করণ করা উচিত নয়।

```md
---
title: সংজ্ঞা টেমপ্লেট
status: Feedback Appreciated
```

### Tags  

**Tag** লেবেল status লেবেল এর পরে আসে ।
ট্যাগগুলো যাতে অর্থবহ হয় এবং ব্যবহারকারীর জন্য এইভাবে সহায়ক হয়, আমরা সেগুলোকে আক্ষরিক অর্থে ব্যবহার করব। 
অনেকগুলো ট্যাগ প্রয়োগ করা শুধুমাত্র এর অর্থকে মিশ্রিত করবে ৷ 
এর একটি ব্যতিক্রম হল `মৌলিক` ট্যাগ, যা নির্দেশ করে এই শব্দটি অন্যান্য ক্লাউড নেটিভ ধারণাগুলো  বোঝার জন্য প্রয়োজন; বেশিরভাগ পদে সম্ভবত একটি ট্যাগ থাকবে।

**দ্রষ্টব্য**: অনুগ্রহ করে শুধুমাত্র নতুন ট্যাগ প্রবর্তন করুন যদি রক্ষণাবেক্ষণকারীদের দ্বারা অনুমোদিত হয়। যখন আপনি একটি এন্ট্রিতে ট্যাগ যোগ করেন, নিশ্চিত করুন যে সেগুলো নীচে তালিকাভুক্ত হিসাবে ঠিক বানান করা হয়েছে (একবচন, কোনো টাইপিং সমস্যা নেই)।

বর্তমান ট্যাগগুলো হলো :

- অ্যাপ্লিকেশন
- স্থাপত্য
- মৌলিক
- অবকাঠামো
- পদ্ধতি
- নেটওয়ার্কিং
- বৈশিষ্ট্য
- নিরাপত্তা

```md
---
title: সংজ্ঞা টেমপ্লেট
status: Feedback Appreciated
tags: ["ট্যাগ 1", "ট্যাগ 2", ""]
---
```

### সংজ্ঞা

#### দুইটি উপশিরোনাম 

**প্রযুক্তি** এবং **ধারণা** বিভাগের সংজ্ঞায় একটি দ্রুত সারাংশ এবং দুইটি উপশিরোনাম রয়েছে:  

- (দ্রুত সারাংশ) আমরা যে বিষয়ে কথা বলছি তার একটি সংক্ষিপ্ত এবং স্পষ্ট ধারণা প্রদান করুন। 
- **এটা যেসব সমস্যাতে ফোকাস করে**: সমস্যাটির উপর ফোকাস করুন, সমাধানের দিকে নয় (যা পরবর্তী বিভাগে আসে)।
  সংজ্ঞায়িত শব্দটি উল্লেখ করা এড়িয়ে চলুন। সমস্যাটি আমাদের সেই জিনিসটির প্রয়োজন কিসের উপর তাতে আলোকপাত করে ।
- **এটা কিভাবে সাহায্য কর** : এখন, শব্দে  ফিরে আসুন।  এটি কিভাবে উপরে বর্ণিত সমস্যার সমাধান করে?

মনে রাখবেন **বৈশিষ্ট্য**-এর আলাদা বিভাগের প্রয়োজন নেই। একটি সংজ্ঞা যথেষ্ট হবে।

পর্যালোচনা সহজ করতে অনুগ্রহ করে **অর্থবোধক লাইন বিরতি** (প্রতি লাইনে একটি বাক্য) ব্যবহার করুন।

#### গুণমান ই  প্রধান

মার্জড হলে, আপনার জমা দেওয়া হবে সেই শব্দের জন্য অফিসিয়াল CNCF সংজ্ঞা (যতক্ষণ না অন্য কেউ এটিকে উন্নত করে)।
CNCF-এর উচ্চ মান পূরণ করে এমন একটি শব্দ তৈরি করতে তাড়াহুড়ো করা যাবে না—গুণমানের জন্য সময় এবং প্রচেষ্টা লাগে।

**আপনার গবেষণা করুন**: এমনকি যদি আপনি আত্মবিশ্বাসী হন যে আপনি শব্দটি জানেন, যাচাই করুন আপনি এটি ঠিক পেয়েছেন।
আমরা প্রায়শই সংস্থাগুলোতে একটি নির্দিষ্ট উপায়ে শব্দগুলো ব্যবহার করি যা সম্পূর্ণ চিত্রটি প্রতিফলিত নাও করতে পারে। 
গবেষণা করার সময়, বিশেষ করে যখন আপনি শব্দটির সাথে 100% পরিচিত নন, একাধিক রিসোর্স ব্যবহার করুন।
অনেক সংজ্ঞা একতরফা, বিশেষ করে যদি একজন বিক্রেতা দ্বারা প্রদান করা হয়। 
শব্দকোষে অবশ্যই বিক্রেতা-নিরপেক্ষ, বিশ্বব্যাপী স্বীকৃত সংজ্ঞা থাকতে হবে।

**চুরি করবেন না**: একই নিয়ম শব্দকোষের ক্ষেত্রে অন্য যেকোনো গুরুতর প্রকাশনার ক্ষেত্রে প্রযোজ্য।
অন্য লোকেদের কাজ কপি এবং পেস্ট করবেন না যদি না আপনি এটিকে উদ্ধৃত করেন এবং তাদের সাথে অবদান রাখেন।
আপনি যদি একটি সংজ্ঞার একটি নির্দিষ্ট অংশ পছন্দ করেন, আপনার নিজের শব্দে এটি ব্যাখ্যা করুন।

**রেফারেন্স অথরিটেটিভ রিসোর্স**: যখন সম্ভব, প্রজেক্ট ডক্সের মতো অথরিটেটিভ রিসোর্সগুলোর সাথে লিঙ্ক করুন। 
মনে রাখবেন যে আমরা বিক্রেতাদের দ্বারা তৈরি কনটেন্টের সাথে লিঙ্ক করতে পারি না।

#### জিনিসগুলো সহজ রাখুন

শব্দকোষের লক্ষ্য **জটিল ধারণাগুলোকে সহজ শব্দে ব্যাখ্যা করা** — এটি একটি আশ্চর্যজনকভাবে কঠিন কাজ যা সম্ভবত একাধিক সংশোধন করতে পারে। 
আপনার সংজ্ঞা খসড়া করার সময় সর্বদা দর্শকদের কথা মাথায় রাখুন।
শিল্পের শর্তাবলী এবং বাজওয়ার্ডগুলো ব্যবহার করা এড়িয়ে চলুন - আপনি সম্ভবত তাদের কাছে ফিরে যেতে পারবেন এবং স্বয়ংক্রিয়ভাবে সংশোধন করতে হবে।

উপযুক্ত হলে, **বাস্তব-জগতের উদাহরণ** ব্যবহার করুন যা পাঠকদের (বিশেষ করে অ-প্রযুক্তিগত) আরও ভালোভাবে বুঝতে সাহায্য করে কখন এবং কেন আপনি যে ধারণাটি ব্যাখ্যা করছেন তা প্রাসঙ্গিক।

আপনার সংজ্ঞায় ব্যবহৃত হলে, সর্বদা **বিদ্যমান শব্দকোষের শর্তাবলীর সাথে লিঙ্ক করুন** (শুধুমাত্র প্রথম উল্লেখ হাইপারলিঙ্ক করা উচিত)।

**উদাহরণ**: [পরিষেবা মেশ সংজ্ঞা](/bn/service-mesh/) এর দ্রুত সারাংশ বিভাগটি একবার দেখুন। 
এটি মাইক্রোসার্ভিস, পরিষেবা, নির্ভরযোগ্যতা এবং পর্যবেক্ষণযোগ্যতার সংজ্ঞাগুলোর সাথে লিঙ্ক করে। 
উপরন্তু, এটি একটি মাইক্রোসার্ভিসেস পরিবেশে নেটওয়ার্ক চ্যালেঞ্জের তুলনা করে একটি বাস্তব-বিশ্বের উদাহরণ ব্যবহার করে (এমন কিছু যা অ-প্রযুক্তিগত লোকেরা সম্পর্কিত হতে পারে না)
ওয়াইফাই সমস্যার (যা কেউ ল্যাপটপ ব্যবহার করে বুঝতে পারে) সাথে । 
যেখানে সম্ভব, সেই সংযোগটি তৈরি করার চেষ্টা করুন।

#### একটি Google বা Word ডক দিয়ে শুরু করুন

আমরা একটি Google বা Word ডক দিয়ে শুরু করার পরামর্শ দিই, এটিকে কয়েক দিনের জন্য থাকতে দিন এবং বার বার  দেখার জন্য। 
এটি আপনাকে বাক্যাংশ বা অভিব্যক্তিগুলি ধরতে দেয় যা একটি সহজ এবং আরও অ্যাক্সেসযোগ্য উপায়ে শব্দ করা যেতে পারে। 
এছাড়াও,  PR জমা দেওয়ার আগে একটি বানান পরীক্ষা চালানো নিশ্চিত করুন।

একটি শব্দে  কাজ করার সময় অন্য কেউ PR জমা না দেয় তা নিশ্চিত করতে, একটি issue দাবি করা (বা একটি তৈরি করুন) এবং এটি আপনাকে বরাদ্দ করা হয়েছে তা নিশ্চিত করুন। 
[কীভাবে অবদান রাখতে হয়](/bn/contribute/) ডক-এ আরও কিছু আছে যা দেখতে পারেন  ।

শুরু করার আগে, অনুগ্রহ করে কিছু প্রকাশিত শব্দকোষের পদ পড়ুন 
যাতে ডিটেল এবং অসুবিধার মাত্রা এবং উদাহরণগুলো  বোঝা যায়।

## পর্যালোচনা প্রক্রিয়া: কি আশা করা যায়

দয়া করে মনে রাখবেন যে আমরা বর্তমানে শুধুমাত্র কয়েকজন রক্ষণাবেক্ষণকারী তাদের অবসর সময়ে এটি করে। 
মাঝে মাঝে, আমরা দ্রুত শর্তাবলী পর্যালোচনা করতে সক্ষম হব; অন্যান্য অনুষ্ঠানে, এটি কিছুটা সময় নিতে পারে — আমরা আপনার ধৈর্যের আশা করি।  
আপনার যদি কোনো প্রশ্ন থাকে, তাহলে অনুগ্রহ করে #glossary Slack চ্যানেলে আমাদের সাথে যোগাযোগ করুন 
(কোথায় এবং কীভাবে এটি খুঁজে পাবেন, অনুগ্রহ করে আমাদের [কীভাবে অবদান রাখবেন](/bn/contribute/)  ডকটি দেখুন ।

আমাদের লক্ষ্য হলো শব্দকোষ সর্বোত্তম সম্ভাব্য রিসোর্স হোক । 
একবার আপনি একটি PR জমা দিলে, আমরা এক বা একাধিক সংশোধনের জন্য জিজ্ঞাসা করতে পারি। 
হতাশ হবেন না — এটি অনেক  PR -এর ক্ষেত্রে। 
সেই সব  নিশ্চিত করবে যে আপনার অবদান একটি সত্যিকারের দরকারী সংজ্ঞা হয়ে উঠবে যা সারা বিশ্বের পাঠকদের দ্বারা পঠিত হবে।
