---
title: Autoskalierung
status: Completed
category: Konzept
---

## Was es ist

Autoskalierung ist die Fähigkeit eines Systems, automatisch zu skalieren, typischerweise in Bezug auf die Rechenressourcen.
Bei einem System mit automatischer Skalierung werden Ressourcen bei Bedarf automatisch hinzugefügt, um schwankenden Nutzeranforderungen gerecht zu werden. 
Der Prozess der Autoskalierung variiert und ist so konfigurierbar, dass die Skalierung auf der Grundlage verschiedener Metriken, wie z.B. Speicher oder Prozesszeit, erfolgt.

## Welches Problem es löst

Früher waren die Infrastruktur und die Anwendungen auf ein Maximum an Auslastung ausgelegt.
Diese Architektur bedeutete, dass mehr Ressourcen nicht ausgelastet waren und nicht flexibel auf die sich ändernde Verbrauchernachfrage reagieren konnten.
Diese fehlende Flexibilität bedeutete höhere Kosten, sowie Geschäftseinbußen durch Ausfälle aufgrund von Übernachfrage. 

## Wie es das Problem löst

Durch die Nutzung der Cloud, die Virtualisierung und Containerisierung von Anwendungen und deren Abhängigkeiten können Unternehmen Anwendungen erstellen, die entsprechend den Benutzeranforderungen skaliert werden können.
Sie können die Anwendungsnachfrage überwachen und sie automatisch skalieren, um ein optimale User Experience zu bieten.
Ein Beispiel ist der Anstieg der Zuschauerzahlen, den Netflix jeden Freitagabend erlebt.
Automatische Skalierung bedeutet, dass dynamisch mehr Ressourcen hinzugefügt werden: z. B. die Anzahl der Server erhöht wird, um mehr Videostreaming zu ermöglichen, und die Ressourcen verringert werden, sobald sich der Verbrauch normalisiert hat.