---
title: Cloud Native Technologien
status: Completed
category: Konzept
---

## Was es ist

Cloud Native Technologien, auch als Cloud Native Stack bezeichnet, sind Technologien, 
die für die Entwicklung von Cloud Nativen Applikationen verwendet werden. 
Diese Technologien ermöglichen es Organisationen, skalierbare Anwendungen in modernen und dynamischen Umgebungen wie Public-, Privat- und Hybrid-Clouds zu entwickeln und zu betreiben. 
Sie sind darauf ausgelegt, die Vorteile des Cloud Computing voll auszuschöpfen. 
Container, Service Meshes, Microservices und Immutable Infrastructure sind Beispiele für diesen Ansatz.

## Welches Problem es löst

Cloud Native Technologien sind in unterschiedliche Kategorien unterteilt, 
die jeweils eine Vielzahl von Anwendungsfällen adressieren. 
Ein Blick auf die [CNCF Cloud Native Landscape](https://landscape.cncf.io/) macht deutlich, wie viele unterschiedliche Bereiche dazu gehören. 
Allgemein gesprochen adressieren Cloud Native Technologien allerdings immer den folgenden übergeordneten Anwendungsfall: 
die Nachteile traditioneller IT-Betriebsmodelle zu kompensieren. 
Zu diesen Nachteilen zählen unter anderem Schwierigkeiten bei der Erstellung von skalierbaren, fehlertoleranten, selbstheilenden Anwendungen, 
sowie eine ineffiziente Ressourcennutzung.

## Wie es das Problem löst

Während jede Technologie auf einen ganz bestimmten Anwendungsfall abzielt, 
ermöglichen Cloud Native Technologien insgesamt lose gekoppelte Systeme, 
die belastbar sowie leichter zu verwalten und überwachen sind. 
In Kombination mit robuster Automatisierung ermöglichen sie es Entwicklern, wichtige Änderungen häufig und vorhersehbar mit minimalem Aufwand vorzunehmen. 
Cloud Native Technologien erleichtern es, moderne Softwaresysteme zu entwickeln, die den heutigen Anforderungen genügen.
