---
title: API Gateway
status: Completed
category: technology
tags: ["networking", "", ""]
---

An [API](/application-programming-interface/) gateway is a tool that 
aggregates unique application APIs, making them all available in one place. 
It allows organizations to move key functions, 
such as authentication and authorization or limiting the number of requests between applications, 
to a centrally managed location. 
An API gateway functions as a common interface to (often external) API consumers. 

## Problem it addresses

If you’re making APIs available to external consumers, 
you'll want one entry point to manage and control all access. 
Additionally, if you need to apply functionality on those interactions, 
an API gateway allows you to uniformly apply it to all traffic without requiring any app code changes.

## How it helps

Providing one single access point for various APIs in an application, 
API gateways make it easier for organizations to apply cross-cutting business or security logic in a central location. 
They also allow application consumers to go to a single address for all their needs. 
An API gateway can simplify operational concerns like security and [observability](/observability/) 
by providing a single access point for requests to all web services in a system. 
As all requests flow through the API gateway, it presents a single place to 
add functionality like metrics-gathering, rate-limiting, and authorization.
