---
title: Application Programming Interface (API)
status: Completed
category: technology
tags: ["architecture", "fundamental", ""]
---

An API is a way for computer programs to interact with each other. 
Just as humans interact with a website via a web page, an API allows computer programs to interact with each other. 
Unlike human interactions, APIs have limitations on what can and cannot be asked of them. 
The limitation on interaction helps to create stable and functional communication between programs.

## Problem it addresses

As applications become more complex, small code changes can have drastic effects on other functionality. 
Applications need to take a modular approach to their functionality if they can grow and maintain stability simultaneously. 
Without APIs, there is a lack of a framework for the interaction between applications. 
Without a shared framework, it is challenging for applications to [scale](/scalability/) and integrate.

## How it helps

APIs allow computer programs or applications to interact and share information in a defined and understandable manner. 
They are the building blocks for modern applications and they provide developers with a way to integrate applications together. 
Whenever you hear about [microservices](/microservices-architecture/) working together, you can infer that they interact via an API. 
