---
title: Cloud Native Apps
status: Completed
category: concept
tags: ["application", "fundamental", ""]
---

Cloud native applications are specifically designed to take advantage of innovations in [cloud computing](/cloud-computing/). 
These applications integrate easily with their respective cloud architectures, 
taking advantage of the cloud’s resources and [scaling](/scalability/) capabilities. 
It also refers to applications that take advantage of innovations in infrastructure driven by cloud computing. 
Cloud native applications today include apps that run in a cloud provider’s datacenter and on cloud native platforms on-premise.

## Problem it addresses

Traditionally, on-premise environments provided compute resources in a fairly bespoke way. 
Each datacenter had services that [tightly coupled](/tightly-coupled-architecture/) applications to specific environments, 
often relying heavily on manual provisioning for infrastructure, like [virtual machines](/virtual-machine/) and services. 
This, in turn, constrained developers and their applications to that specific datacenter. 
Applications that weren't designed for the cloud couldn't take advantage of a cloud environment’s resiliency and scaling capabilities. 
For example, apps that require manual intervention to start correctly cannot scale automatically, 
nor can they be automatically restarted in the event of a failure.  

## How it helps

While there is no “one size fits all” path to cloud native applications, they do have some commonalities. 
Cloud native apps are resilient, manageable, and aided by the suite of cloud services that accompany them. 
The various cloud services enable a high degree of [observability](/observability/), 
enabling users to detect and address issues before they escalate. 
Combined with robust automation, they allow engineers to make high-impact changes frequently and predictably with minimal toil.
