---
title: Continuous Deployment (CD)
status: Completed
category: concept
tags: ["application", "methodology", ""]
---

Continuous deployment, often abbreviated as CD, goes a step further than [continuous delivery](/continuous-delivery/) 
by deploying finished software directly to production. 
Continuous deployment (CD) goes hand in hand with [continuous integration](/continuous-integration/) (CI), 
and is often referred to as CI/CD. 
The CI process tests if the changes to a given application are valid, 
and the CD process automatically deploys the code changes through an organization's environments from test to production.

## Problem it addresses

Releasing new software versions can be a labor-intensive and error-prone process. 
It is also often something that organizations will only want to do infrequently to avoid production incidents 
and reduce the number of time engineers need to be available outside of regular business hours. 
Traditional software deployment models leave organizations in a vicious cycle 
where the process of releasing software fails to meet organizational needs around both stability and feature velocity.

## How it helps

By automating the release cycle and forcing organizations to release to production more frequently, 
CD does what CI did for development teams for operations teams. 
Specifically, it forces operations teams to automate the painful and error-prone portions of production deployments, reducing overall risk. 
It also makes organizations better at accepting and adapting to production changes, which leads to higher stability.

## Related terms

* [Continuous Integration](/continuous-integration/)
* [Continuous Delivery](/continuous-delivery/)
