---
title: Datacenter
status: Completed
category: Technology
tags: ["infrastructure", "fundamental", ""]
---

A datacenter is a specialized building or facility designed to house computers, most often servers. 
These datacenters tend to be connected to high-speed internet lines, especially when focused on [cloud computing](/cloud-computing/). 
The buildings housing datacenters are equipped to maintain service even during adverse events, including generators that provide power during outages and powerful air conditioning that keep the heat-producing computers cool. 

## Problem it addresses

Before datacenters became prevalent in the late 1990ies, there were mainly individual computers with specific tasks or those used by individuals to do their work.

But computers have limited resources (disk, RAM, and CPU). 
That means that applications running on them have the same hard constraints, limiting the kinds of applications it can run.
Before datacenters, the scale of the application was constrained by the capacity of the computer it was running on. 
But if you think about apps at scale like Gmail or Netflix (the app, not the user interface you have on your phone or computer), those need more computing capacity than any one computer can provide. 
And that's where datacenters come in. 

## How it helps

By connecting various servers, users can create a [distributed system](/distributed-systems/) that functions like a "supercomputer." 
Because we are bundling the power of several machines, we can now run much bigger apps or process much more powerful computational tasks.
Datacenters power most applications we use on a daily basis. 

[Public clouds](/cloud-computing/) are datacenters that rent out capacity to their clients. 
Over the past years, we have seen a move from enterprise-owned datacenters to the cloud. 
