---
title: DevOps
status: Completed
category: concept
tags: ["methodology", "", ""]
---

DevOps is a methodology in which teams own the entire process from application development to production operations, hence DevOps. 
It goes beyond implementing a set of technologies and requires a complete shift in culture and processes. 
DevOps calls for groups of engineers that work on small components (versus an entire feature), decreasing handoffs – a common source of errors. 

## Problem it addresses

Traditionally, in complex organizations with [tightly-coupled](/tightly-coupled-architecture/) [monolithic apps](/monolithic-apps/), 
work was generally fragmented between multiple groups. 
This led to numerous handoffs and long lead times. 
Each time a component or update was ready, it was placed in a queue for the next team. 
Because individuals only worked on one small piece of the project, this approach led to a lack of ownership. 
Their goal was to get the work to the next group, not deliver the right functionality to the customer 
— a clear misalignment of priorities. 

By the time code finally got into production, it went through so many developers, 
waiting in so many queues that it was difficult to trace the origin of the problem if the code didn’t work. 
DevOps turns this approach upside down.

## How it helps

Having one team own the entire lifecycle of an application results in 
minimized handoffs, reduce risk when deploying into production, better code quality 
as teams are also responsible for how code performs in production 
and increased employee satisfaction due to more autonomy and ownership.
