---
title: Infrastructure as a Service (IaaS)
status: Completed
category: Technology
tags: ["infrastructure", "", ""]
---

Infrastructure as a service, or IaaS, is a [cloud computing](/cloud-computing/) service model that 
offers [physical](/bare-metal-machine/) or [virtualized](/virtualization/) 
compute, storage, and network resources on-demand on a pay-as-you-go model. 
Cloud providers own and operate the hardware and software, 
available to consumers in public, private, or hybrid cloud deployments.

## Problem it addresses

In traditional on-premise setups, organizations often struggle with effective computing resource usage. 
Data centers have to be built for potential peak demand, even if it's only needed 1% of the time. 
During lower demand, these compute resources are idle. 
And, if the workload spikes beyond the expected demand, 
there is a shortage of computing resources to process the workload. 
This lack of scalability leads to increased costs and ineffective resource usage.

## How it helps

With IaaS organizations can avoid purchasing and maintaining compute and data center space for their applications. 
An on-demand infrastructure allows them to rent compute resources as needed and 
defer large capital expenditures, or [CAPEX](https://en.wikipedia.org/wiki/Capital_expenditure), 
while giving them the flexibility to scale up or down.

IaaS reduces the upfront costs of experimenting or trying a new application and 
provides facilities to rapidly deploy infrastructure. 
A cloud provider is an excellent option for development or test environments, 
which helps developers experiment and innovate.
