---
title: Loosely Coupled Architecture
status: Completed
category: Property
tags: ["fundamental", "architecture", "property"]
---

Loosely coupled architecture is an architectural style
where the individual components of an application are built independently from one another
(the opposite paradigm of [tightly coupled architectures](/tightly-coupled-architecture/)).
Each component, sometimes referred to as a [microservice](/microservices-architecture/), is built to perform a specific function
in a way that can be used by any number of other services.
This pattern is generally slower to implement than tightly coupled architecture
but has a number of benefits, particularly as applications scale.

Loosely coupled applications allow teams to develop features, deploy, and scale independently,
which allows organizations to iterate quickly on individual components.
Application development is faster and teams can be structured around their competency,
focusing on their specific application.
