---
title: Observability
status: Completed
category: concept
tags: ["property", "", ""]
---

Observability is a system property that defines the degree to which the system can generate actionable insights. 
It allows users to understand a system's state from these external outputs and take (corrective) action.

Computer systems are measured by observing low-level signals such as CPU time, memory, disk space, and higher-level and business signals, including API response times, errors, transactions per second, etc.
These observable systems are **observed** (or monitored) through specialized tools, so-called observability tools. A list of these tools can be viewed in the [Cloud Native Landscape's observability section](https://landscape.cncf.io/?group=projects-and-products&view-mode=card#observability-and-analysis--observability).

Observable systems yield meaningful, actionable data to their operators, allowing them to achieve favorable outcomes (faster incident response, increased developer productivity) and less toil and downtime.

Consequently, how observable a system is will significantly impact its operating and development costs. 
