---
title: Platform as a Service (PaaS)
status: Deprecated
category: Technology
draft: true
tags: ["fundamental", "platform", ""]
---

A Platform as a Service, or PaaS, is an external platform for application development teams to deploy and run their apps. 
Heroku, Cloud Foundry, App Engine are examples of PaaS offerings.

## Problem it addresses

To take advantage of cloud native patterns like [microservices](/microservices-architecture/) or [distributed applications](/distributed-apps/), 
operations teams and developers need to be able to offload a significant amount of operations and maintenance work. 
These include tasks like provisioning infrastructure, 
handling [service discovery](/service-discovery/) and load balancing, and [scaling](/scalability/) applications.

## How it helps

A PaaS provides common infrastructure tools to application developers in a fully automated fashion. 
It allows developers to understand and worry less about infrastructure and devote more time and effort to writing application code. 
It also provides some monitoring and [observability](/observability/) to help application teams ensure their apps are healthy.
