---
title: Shift Left
status: Completed
category: Concept
tags: ["methodology", "", ""]
---

Left in Shift Left refers to earlier stages in a software development lifecycle, 
thinking of the lifecycle as a line where stages are executed from left to right. 
Shift Left is the practice of implementing tests, security, or other development practices 
early in the software development lifecycle rather than towards the end. 

Although originally used to refer to the process of testing early, 
Shift Left can now also be applied to other aspects of software development and [DevOps](/devops/), such as security and deployment. 

## Problem it addresses

Security issues, bugs, and software defects can be more difficult and expensive to fix 
if they are discovered late in the development cycle or after deployment, 
particularly if the software has already been deployed into production. 

## How it helps

By adopting a Shift Left mindset for software development, 
teams can implement testing and security throughout the development lifecycle. 
And because responsibility for testing and security is shared across the development team 
— from software engineers to quality assurance to operations — 
everyone plays a part in ensuring the stability and security of an application. 

In addition, shifting left enables continuous improvement and 
follows an [agile](/agile-software-development/) rather than waterfall approach to development. 
Teams can make small iterative improvements and identify problems earlier on. 
This approach allows engineers to adopt security and secure development practices 
as early as the design and architecture phase. 
Testing throughout the development cycle, decreases the time required for testing before a software release. 

Many software tools and SaaS solutions help shift these practices left. 
However, shift left can also be implemented through improved processes and cultural changes within a team.
