---
title: Transport Layer Security (TLS)
status: Completed
category: Concept
tags: ["security", "networking", ""]
---

Transport Layer Security (TLS) is a protocol designed to provide increased security to communication over a network. 
It ensures the secure delivery of data sent over the Internet, 
avoiding possible monitoring and/or alteration of the data. 
This protocol is widely used in applications such as messaging, e-mail, etc.

## Problem it addresses 

Without TLS, sensitive information such as browsing habits, e-mail correspondence, online chats, and conferencing calls can 
easily be traced and modified by others during the transmission. 
Enabling server and client applications to support TLS ensures that 
data transmitted between them is encrypted and not viewable by third parties.

## How it helps

TLS uses a combination of encoding techniques that provide security while transmitting data over a network. 
TLS allows for an encrypted connection between a client application and a server, like a web browser and a banking site. 
It also allows client applications to positively identify the server they are calling to, 
which reduces the risk of a client talking to a fraudulent site. 
This ensures that third parties are unable to see and monitor data transmitted between applications using TLS, 
which protects sensitive and private information such as credit card numbers, passwords, location, etc.
