---
title: Version Control
status: Deprecated
category: Technology
draft: true
tags: ["methodology", "", ""]
---

Source control (or version control) is the practice of tracking and managing changes to a document. 
It is a system that records changes to a file or set of files over time so that you can recall specific versions later. 

## Problem it addresses

Version control systems work to address the following problems, 
backing up a document or codebase as it changes over time, 
allowing multiple users to resolve conflicts when there are overlapping changes, and 
storing a log of changes over time. 
Application code can often be complex and critical to key business processes, 
so it is important to track who changed what, when it was changed, and why. 
Also, many, if not most applications, are modified by multiple developers, 
and there are often conflicts between the changes introduced by different developers.

## How it helps

Version control helps developers move fast and preserve efficiency 
while storing a record of changes and providing a facility to resolve conflicts. 
It allows them to store application code in a repository and simplify collaboration. 
Modern application development relies heavily on version control systems, like git, to store their code.
