---
title: Interfaz de programación de aplicaciones (API)
status: Completed
category: Tecnología
tags: ["arquitectura", "fundamento", ""]
---

Una API es una manera en la que los programas de computadoras interactúan entre sí.
Tal como los humanos interactúan con un sitio web a través de la página web, una API permite a los programas de las computadoras interactuar entre sí.
A diferencia de las interacciones humanas, las APIs tienen limitaciones en lo que se le puede preguntar o no a las mismas.
La limitación en la interacción ayuda a crear comunicaciones estables y funcionales entre los diferentes programas.

## Problema que aborda

A medida que las aplicaciones se vuelven más complejas, cualquier tipo de cambio en el mismo puede afectar drásticamente otras funcionalidades.
Las aplicaciones deben adoptar un enfoque modular para sus funcionalidades así pueden crecer y mantener la estabilidad simultáneamente.
Sin las APIs, falta un marco para la interacción entre las aplicaciones.
Sin un marco compartido, la [escalabilidad](/es/scalability/) y la integración es un desafío para las aplicaciones.

## ¿Cómo ayuda?

Las APIs permiten a los programas o aplicaciones interactuar y compartir información en una manera definida y entendible.
Estas están construidas en bloques para aplicaciones modernas y proveen a los desarrolladores una manera de integrar aplicaciones.
Siempre que escuche acerca de [microservicios](/es/microservices-architecture/) trabajando en conjunto, se puede inferir que están interactuando a través de una API.
