---
title: Aplicaciones Nativas para la Nube
status: Completed
category: Concepto
tags: ["aplicación", "fundamento", ""]
---

Las aplicaciones nativas para la nube están diseñadas específicamente para aprovechar las innovaciones en [computación en la nube](/es/cloud-computing/).
Estas aplicaciones se integran fácilmente con sus respectivas arquitecturas en la nube,
aprovechando los recursos de la nube y las capacidades de [escalado](/es/scalability/).
También se refiere a las aplicaciones que aprovechan las innovaciones en infraestructura impulsadas por la computación en la nube.
Las aplicaciones nativas para la nube de hoy en día incluyen aplicaciones que se ejecutan en el centro de datos de un proveedor de la nube y en plataformas nativas de la nube on-premises.

## Problema que aborda

Tradicionalmente, los entornos on-premises proporcionaban recursos informáticos de una manera bastante personalizada.
Cada centro de datos tenía servicios que [acoplaban estrechamente](/es/tightly-coupled-architectures/) aplicaciones a entornos específicos,
a menudo dependiendo en gran medida del aprovisionamiento manual de infraestructura, como [máquinas virtuales](/es/virtual-machine/) y servicios.
Esto, a su vez, restringió a los desarrolladores y sus aplicaciones a ese centro de datos en específico.
Las aplicaciones que no fueron diseñadas para la nube no pudieron aprovechar las capacidades de resiliencia y escalabilidad de un entorno de nube.
Por ejemplo, las aplicaciones que requieren una intervención manual para iniciarse correctamente no pueden escalarse automáticamente,
ni pueden reiniciarse automáticamente en caso de falla.

## ¿Cómo ayuda?

Si bien no existe una ruta única para las aplicaciones nativas para la nube, éstas sí tienen algunos puntos en común.
Las aplicaciones nativas para la nube son resistentes, manejables y cuentan con la ayuda del conjunto de servicios en la nube que las acompañan.
Los diversos servicios en la nube permiten un alto grado de [observabilidad](/es/observability/),
permitiendo a los usuarios detectar y abordar problemas antes de que se agraven.
Combinados con una sólida automatización, permiten a los ingenieros realizar cambios de alto impacto con frecuencia y de manera predecible con un esfuerzo mínimo.
