---
title: Seguridad Nativa para la Nube
status: Completed
category: Concepto
tags: ["seguridad", "", ""]
---

La seguridad nativa para la nube es un enfoque que crea seguridad en las [aplicaciones nativas para la nube](/es/cloud-native-apps/).
Garantiza que la seguridad sea parte de todo el ciclo de vida de la aplicación, desde el desarrollo hasta la producción.
La seguridad nativa para la nube busca garantizar los mismos estándares que los modelos de seguridad tradicionales
mientras se adapta a las particularidades de los entornos nativos para la nube,
es decir, cambios rápidos de código e infraestructura altamente efímera.
La seguridad nativa para la nube está muy relacionada con la práctica denominada [DevSecOps](/es/devsecops/).

## Problema que aborda

Los modelos de seguridad tradicionales se construyeron con una serie de suposiciones que ya no son válidas.
Las aplicaciones nativas para la nube cambian con frecuencia, usan una gran cantidad de herramientas y bibliotecas de código abierto,
a menudo se ejecutan en una infraestructura controlada por el proveedor y están sujetas a cambios rápidos en la infraestructura.
Las revisiones de código, los ciclos prolongados de control de calidad, el análisis de vulnerabilidades basado en el servidor,
y las revisiones de seguridad de última hora no pueden escalar con las aplicaciones nativas para la nube.

## ¿Cómo ayuda?

La seguridad nativa para la nube presenta una forma nueva de trabajar que protege las aplicaciones
al migrar de los modelos de seguridad tradicionales a uno en el que la seguridad está involucrada en cada paso del ciclo de lanzamiento.
Las auditorías y verificaciones manuales se reemplazan en gran medida con escaneos automatizados.
Los flujos de liberación rápida de código están integrados con herramientas que escanean el código en busca de vulnerabilidades antes de que se compilen.
Las bibliotecas de código abierto se extraen de fuentes confiables y se monitorean en busca de vulnerabilidades.
En lugar de ralentizar el cambio, un modelo de seguridad nativo para la nube lo adopta
mediante componentes vulnerables que se actualizan con frecuencia o garantiza que la infraestructura se reemplace periódicamente.
