---
title: Despliegue Continuo (CD)
status: Completed
category: Concepto
tags: ["aplicación", "metodología", ""]
---

El despliegue continuo, a menudo abreviado como CD (por sus siglas en inglés _Continuous Deployment_), va un paso más allá que la [entrega continua](/es/continuous-delivery/)
desplegando software finalizado directamente en producción.
El despliegue continuo (CD) es comúnmente asociado con la [integración continua](/es/continuous-integration/) (CI),
y son referidos como CI/CD.
El proceso de CI verifica que los cambios en una aplicación sean válidos,
y el proceso de CD despliega automáticamente esos cambios de código a todos los ambientes de una organización, desde pruebas hasta producción.

## Problema que aborda

Publicar nuevas versiones de software puede ser un proceso engorroso y sujeto a errores.
Además, es una tarea que las organizaciones prefieren hacer siempre de manera no tan seguida para evitar incidentes en producción
y reducir así el número de ingenieros que necesitan estar disponibles fuera del horario regular de trabajo.
Los modelos de despliegue de software tradicionales tienden a crear un circulo vicioso
donde el proceso de publicación no satisface en simultáneo las necesidades de estabilidad y frecuencia de actualización de funcionalidades en una organización.

## ¿Cómo ayuda?

Al automatizar el proceso de publicación y forzar a una organización a publicar en producción con mayor frecuencia,
CD es para un equipo de operaciones lo que CI era para los equipos de desarrollo.
En específico, obliga a los equipos de operaciones a automatizar las partes más complicadas y sujetas a errores en un proceso de despliegue a producción, reduciendo el riesgo en general.
También conduce a una organización a mejorar en la aceptación y adaptación a cambios productivos, generando mayor estabilidad.

## Términos relacionados

* [Integración Continua](/es/continuous-integration/)
* [Entrega Continua](/es/continuous-delivery/)

