---
title: Carrera de Contribuidor
toc_hide: true
status: Completed
menu:
  main:
    weight: 10
---

¡Hola! 👋 Gracias por su interés en contribuir al proyecto de Glosario Cloud Native de la CNCF.
Ya sea que contribuya con nuevos términos, ayude a localizar el Glosario en su idioma nativo
o quiera ayudar a otros a comenzar, hay muchas maneras de convertirse en un miembro activo de esta comunidad.
Este documento describe los diferentes roles de los contribuidores dentro del proyecto y las responsabilidades y privilegios que los acompañan.

## 1. Contribuidores

El Glosario es para todos. Cualquiera puede convertirse en contribuidor del Glosario simplemente contribuyendo al proyecto.
Se espera que todos los contribuidores sigan el [Código de conducta de CNCF](https://github.com/cncf/foundation/blob/main/code-of-conduct.md).

Hay una variedad de maneras en las que puede contribuir al proyecto, que incluyen:

- **Contribuidores de contenido**: todos los que mejoran los términos existentes o contribuyen con nuevos,
- **Contribuidores de localización**: aquellos que ayudan a traducir el glosario a otro idioma,
- **Ayudantes**: cualquiera que ayude a otros en GitHub, Slack o donde sea que los miembros de la comunidad necesiten apoyo,
- **Embajadores**: cualquiera que ayude a correr la voz, educar a la comunidad sobre cómo contribuir y por qué deberían hacerlo.

Los contribuidores pueden tener varios roles o centrarse en un solo área.
**Todas estas contribuciones son igualmente importantes** y ayudan a fomentar una comunidad próspera.
Consulte [Cómo contribuir](/es/contribute/) y la [Guía de estilo](/es/style-guide/) para conocer las contribuciones de contenido y localización.

## 2. Aprobadores

Los aprobadores proporcionan comentarios sobre los PR y los aprueban. Cualquier contribuidor activo puede convertirse en aprobador (consulte [Convertirse en aprobador](#becoming-an-approver)).
El Glosario diferencia entre dos tipos de aprobadores: (1) aprobadores para el Glosario en inglés y (2) aprobadores para equipos de localización.

Se espera que los aprobadores del glosario:

- Revisen la precisión técnica de los PRs,
- Asignen problemas a los contribuidores y los etiqueten apropiadamente,
- Proporcionen comentarios a los contribuidores y los guíen cuando sea necesario,
- Corrijan y editen las propuestas.

Si un aprobador ya no está interesado o no puede realizar las tareas anteriores, debe informar a los mantenedores y renunciar.

### Aprobadores del Glosario en Inglés

Hay tres tipos de aprobadores:

1) Aprobadores con una formación técnica sólida,
2) Aprobadores con habilidades sólidas de escritura,
3) Aprobadores que sean competentes en ambos.

**Aprobadores técnicos**: Son personas con una formación técnica sólida pueden ser aprobadores sin tener habilidades sólidas de escritura en el idioma Inglés.
Sin embargo, si autorizan la PR por mérito técnico, deben asegurarse de que sea revisada por un aprobador (editor).

**Editores**: Los editores revisan los términos y se aseguran de que se expliquen en un lenguaje sencillo de acuerdo con la Guía de estilo.
Si un término está muy editado, el editor debe solicitar a un aprobador técnico que lo revise nuevamente para asegurarse de que el significado no haya sido alterado.

### Aprobadores de Localización

El Glosario también tiene aprobadores de localización. Estos son los aprobadores de uno de los equipos de localización (equipos que traducen el glosario).
A los aprobadores de localización solo se les permite realizar tareas de aprobación para su propio equipo y tienen la capacidad de fusionar los PRs con su rama de desarrollo dedicada.
Cualquier aprobador de localización también puede convertirse en aprobador del glosario en inglés sí cumple con los requisitos.

### Convertirse en Aprobador {#becoming-an-approver}

Los candidatos para un rol de aprobador deben contar un historial comprobado de envío de PRs de alta calidad y ayudar a otros a obtener sus PRs en un estado óptimo para publicar.
Si su zona horaria lo permite, también deben asistir regularmente a las [reuniones del Grupo de Trabajo del Glosario](https://www.cncf.io/calendar/).

Para convertirse en un aprobador, comience expresando interés a los mantenedores existentes.
Los mantenedores existentes le pedirán que demuestre las calificaciones anteriores contribuyendo con PRs, haciendo revisiones y realizando otras tareas similares bajo su guía.
Después de un tiempo de trabajar juntos, los mantenedores decidirán si le otorgan el estado de aprobador.
Esta decisión se basará en su nivel de competencia demostrado y su capacidad de respuesta.

## 3. Mantenedores

Los mantenedores son aprobadores que también pueden fusionar PRs. Cualquiera puede convertirse en un mantenedor del Glosario (ver [Convertirse en un mantenedor](#becoming-a-maintainer)).
Hay ciertas expectativas para los mantenedores, que incluyen:

- Ser un aprobador activo y receptivo (ver arriba),
- Ayudar a mantener el repositorio, incluida la configuración del sitio, permisos, la plantilla de issues, el flujo de trabajo de GitHub, entre otros.
- Supervisar los canales de Slack del glosario y ayudar siempre que sea posible,
- Asistir regularmente a las [reuniones del Grupo de trabajo del Glosario](https://www.cncf.io/calendar/) (si la zona horaria lo permite)

Si un mantenedor ya no está interesado o no puede realizar las funciones enumeradas anteriormente, debe pasar al estado de emérito.

### Convertirse en Mantenedor {#becoming-a-maintainer}

Los mantenedores deben tener un historial comprobado de ser aprobadores exitosos y enviar PRs de alta calidad.
Si su zona horaria lo permite, también deben asistir regularmente a las reuniones del Grupo de Trabajo del Glosario.

Para convertirse en mantenedor, comience expresando interés a los mantenedores existentes.
Los mantenedores existentes le pedirán que demuestre las calificaciones anteriores contribuyendo con PRs, haciendo revisiones y realizando otras tareas similares bajo su guía.
Después de un tiempo de trabajar juntos, los mantenedores decidirán si conceden el estatus de mantenedor.
Esta decisión se basará en el nivel demostrado de competencia y capacidad de respuesta.

## 4. Administradores de Comunidad

Los administradores de comunidad ayudan a fomentar una comunidad acogedora y atractiva. Cualquier miembro de la comunidad puede convertirse en administrador de comunidad. Se espera que:

- De la bienvenida a nuevos miembros y se asegure de que obtengan la información que necesitan,
- Ayude a responder preguntas de la comunidad o identifique a alguien que pueda ayudar,
- Modere conversaciones en Slack.

### Conviértase en Administrador de Comunidad

Cualquiera puede convertirse en administrador de comunidad del Glosario.
Los administradores de comunidad deben tener una comprensión sólida del proceso de contribución y localización y disfrutar de la interacción y ayuda a otros.
Para convertirse en administrador de comunidad, comience expresando interés a los mantenedores existentes.
Después de un período de prueba/incorporación, los mantenedores decidirán si le otorgan el estado de administrador de comunidad en función de su desempeño.

## Eliminación involuntaria

La baja involuntaria de un contribuidor ocurre cuando no se cumplen las responsabilidades y requisitos.
Esto puede incluir patrones repetidos de inactividad, períodos prolongados de inactividad y/o una violación del código de conducta.
Este proceso es importante porque protege a la comunidad y sus entregables al mismo tiempo que abre oportunidades para que intervengan nuevos contribuidores.

## Proceso de renuncia/emérito

Siempre y cuando los niveles de compromiso de los contribuidores cambien, los contribuidores pueden considerar renunciar (bajar en la carrera de contribuidores) vs.
pasar al estado de emérito (alejarse completamente del proyecto).

## Retroceder a un rol

Si alguien está disponible para regresar a un rol de contribuidor anterior, el líder del proyecto puede arreglar y considerar esto.
