---
title: Depuración
status: Completed
category: concepto
tags: ["aplicación", "metodología", ""]
---

La depuración es el proceso o actividad de encontrar y resolver bugs (o errores) de programas, software o sistemas informáticos para obtener el resultado deseado.
Un bug es un defecto o un problema que conduce a resultados incorrectos o inesperados.

## Problema que aborda

El desarrollo de software es una actividad compleja que hace que sea casi imposible escribir código sin introducir bugs.
Esos bugs conducen a un código que probablemente no funcionará como se desea (un comportamiento no definido) cuando se ejecute.
Dependiendo de que tan crítica sea una aplicación, los bugs pueden tener un impacto negativo significativo; financiero o incluso en vidas humanas.
Por lo general, el código de una aplicación tiene que pasar por diferentes etapas o entornos en los que se prueba.
Cuanto más crítica es una aplicación, más precisa debe ser la prueba.

## ¿Cómo ayuda?

Cuando aparecen bugs, los ingenieros tienen que depurar (p. ej., encontrar y reparar) la aplicación para disminuir el comportamiento no deseado de los sistemas de producción.
La depuración no es una tarea fácil, ya que los ingenieros deben rastrear el origen del comportamiento no deseado.
Requiere conocimiento sobre el código en sí y el contexto de ejecución en tiempo de ejecución.
Aquí es donde las diferentes técnicas y herramientas de depuración resultan útiles.
El análisis de registros, trazas y métricas, son un ejemplo de lo que se utiliza para la depuración directamente en producción.
Los desarrolladores pueden usar la depuración interactiva para recorrer el código en tiempo de ejecución mientras analizan el contexto de ejecución relacionado.
Una vez que han identificado el origen del error, corrigen el código y crean un bug fix o parche.
