---
title: Computación en el borde
status: Completed
category: Tecnología
---

Computación en el borde es un tipo de [sistema distribuido](/es/distributed-systems/) en el que una parte del procesamiento y almacenamiento de información se realiza en el origen de los datos.
Esta información generada es procesada localmente (por ejemplo en una fábrica, en un negocio o a través de una ciudad) en vez de ser enviada a un centro de datos centralizado para procesamiento y análisis.
Luego el resultado de ese procesamiento local es enviado al centro de datos principal para un procesamiento final.
Algunos ejemplos de computación en el borde incluyen los sensores de muñeca o computadoras que analizan el flujo de datos.

## Problema que aborda

A lo largo de la década pasada, hemos visto un incremento de dispositivos en el borde (por ejemplo teléfonos móviles, relojes inteligentes o sensores).
En algunos casos, el procesamiento en tiempo real no solo es una buena posibilidad sino que es vital.
Pensemos en los coches autónomos.
Imaginemos la información generada por los sensores del automóvil que tiene que ser transferida a un centro de datos para ser procesada y luego enviada de vuelta al vehículo para reaccionar en efecto.
La latencia de la red involucrada podría ser fatal.
Si bien este es un ejemplo llevado al extremo, la mayoría de los usuarios no querrían utilizar un dispositivo inteligente que no fuera capaz de generar reacciones instantáneas.

## ¿Cómo ayuda?

Como se ha descrito anteriormente, para que los dispositivos en el borde sean útiles, deberían poder al menos procesar y analizar localmente una parte de los datos para proveer reacciones en tiempo real al usuario.
Esto es posible procesando y analizando la información en el dispositivo donde se genera (en el borde) en vez de hacerlo en un centro de datos centralizado.
Luego, tanto la información procesada y no procesada es enviada al centro de datos central para procesamiento final y almacenamiento.
En resumen, la eficiencia y velocidad son parámetros centrales de la computación en el borde.