---
title: Infraestructura como Servicio (IaaS)
status: Completed
category: Tecnología
tags: ["infraestructura", "", ""]
---

Infraestructura como Servicio, o IaaS, es un modelo de servicio de [computación en la nube](/es/cloud-computing/) que
ofrece recursos de cómputo, almacenamiento y red mediante servidores [físicos](/es/bare-metal-machine/) o [virtualizados](/es/virtualization/)
suministrados bajo demanda en un modelo de pago por uso.
Los proveedores de la nube poseen y operan el hardware y el software,
a disposición de los consumidores en despliegues de nube pública, privada o híbrida.

## Problema que aborda

En las configuraciones tradicionales de On-prem, las organizaciones suelen tener dificultades para utilizar eficazmente sus recursos de computación.
Los centros de datos son construidos para soportar potenciales picos de demanda, aunque estos solo ocurren el 1% del tiempo.
Cuando la demanda es menor, estos recursos de computación están sin uso.
Y, si la carga de trabajo se dispara más allá de la demanda prevista,
hay una escasez de recursos de computación para procesar la carga de trabajo.
Esta falta de escalabilidad provoca un aumento de los costes y un uso poco eficaz de los recursos.

## ¿Cómo ayuda?

Mediante IaaS las organizaciones pueden evitar la compra y el mantenimiento de recursos de computación y de espacio en los centros de datos para ejecutar sus aplicaciones.
Una infraestructura bajo demanda les permite alquilar recursos de computación según sus necesidades y
aplazar los grandes gastos de capital, o [CAPEX](https://es.wikipedia.org/wiki/Capex),
a la vez que les da la flexibilidad de aumentar o reducir su uso.

IaaS reduce los costes iniciales de experimentar o probar una aplicación nueva y
proporciona facilidades para desplegar rápidamente la infraestructura.
Un proveedor de la nube es una excelente opción para entornos de desarrollo o de prueba,
lo que ayuda a los desarrolladores a experimentar e innovar.
