---
title: Control de Acceso Basado en Roles (RBAC)
status: Completed
category: Concepto
---

El control de acceso basado en roles (RBAC, por sus siglas en inglés) es un método para regular el acceso al sistema y los recursos en función de los roles individuales de los usuarios dentro de una organización.
Cada función laboral tiene un rol y permisos específicos.
Por ejemplo, un miembro del equipo de marketing puede tener permiso para ver las ventas en proceso (permiso de *lectura*), pero no se le permitirá editarlas (permiso de *escritura*).
Ventas y marketing tienen diferentes permisos según sus roles, de ahí el control de acceso basado en roles, y lo mismo se aplica a los roles dentro de los equipos de ingeniería.

## Problema que aborda

Gestionar individualmente los permisos de acceso de múltiples usuarios a través de diversos recursos y datos del sistema puede ser complejo. 
Después de todo, es probable que cada usuario necesite acceder a un conjunto diferente de recursos. 
Supongamos que una organización tiene 500 desarrolladores (usuarios) y 300 recursos con diferentes niveles de permisos (lectura, escritura y sin acceso). El administrador debe asegurarse de que cada usuario tenga los permisos correctos para los 300 recursos. 
RBAC simplifica el proceso al proporcionar un control de acceso predefinido basado en grupos de roles.


## ¿Cómo ayuda?

RBAC proporciona un control detallado sobre los permisos de usuario dentro de los sistemas de software.
Dependiendo de sus roles, los miembros del equipo pueden modificar una sección, solo verla o no tener acceso en absoluto.
Esta asignación detallada de permisos permite que los miembros del equipo con diferentes roles trabajen en el mismo sistema al mismo tiempo que se minimizan los riesgos.
