---
title: Seguridad en Ingeniería del Caos
status: Completed
category: Concepto
tags: ["seguridad", "metodología", ""]
---

Seguridad en Ingeniería del Caos, o SCE en Inglés, es una disciplina basada en la [Ingeniería del Caos](/es/chaos-engineering/).
SCE ejecuta experimentos de seguridad de manera proactiva en un sistema distribuido
para aportar confianza en la capacidad del sistema de soportar condiciones maliciosas o turbulentas.
Los ingenieros a cargo de llevar a cabo esta práctica utilizan métodos científicos,
incluyendo el estado inicial, hipótesis, verificación continua, lecciones aprendidas e implementación de mitigaciones.

## Problema que aborda

La mayor prioridad de los [ingenieros de confiabilidad del sitio](/es/site-reliability-engineering/) (o SRE en Inglés) e ingenieros de seguridad informática es
restaurar el servicio tan pronto como sea posible con el objetivo global de alcanzar cero interrupciones y minimizar el impacto al negocio.
Tanto los SRE como los ingenieros de seguridad se enfrentan con incidentes y sus respectivas situaciones anteriores y posteriores.
La mayoría de los problemas de seguridad son difíciles de encontrar y mitigar rápidamente, impactando la funcionalidad de la aplicación o el sistema.
Adicionalmente, los incidentes de seguridad no son tan evidentes en la fase de desarrollo.

## ¿Cómo ayuda?

La Seguridad en Ingeniería del Caos está construida alrededor de la [observabilidad](/es/observability/) y las prácticas de resiliencia informática.
Apunta a dejar en evidencia lo desconocido y establecer confianza en el sistema,
aumentando la resiliencia informática y mejorando la observabilidad.

Los equipos de ingeniería aumentaran progresivamente el entendimiento de los eventuales problemas de seguridad
en infraestructuras complejas, plataformas y sistemas distribuidos.
SCE mejora la resiliencia informática del producto en su totalidad, visibilizando problemas de seguridad ocultos,
exponiendo el clásico punto ciego y preparando a los equipos para casos extremos.
Este método ayuda a los SRE e ingenieros [DevOps](/es/devops/) y [DevSecOps](/es/devsecops/)
a crear confianza en el sistema, incrementando la resiliencia informática y mejorando la observabilidad.