---
title: Shift Left
status: Completed
category: Concepto
tags: ["metodología", "", ""]
---

El Desplazamiento a la Izquierda (Shift Left) se refiere a las etapas anteriores en un ciclo de vida de desarrollo de software,
pensando en el ciclo de vida como una línea donde las etapas se ejecutan de izquierda a derecha.
Shift Left es la práctica de implementar pruebas, seguridad u otras prácticas de desarrollo
temprano en el ciclo de vida de desarrollo de software en lugar de implementarlas al final.

Aunque originalmente se usaba para referirse al proceso de prueba temprana,
Shift Left ahora también se puede aplicar a otros aspectos del desarrollo de software y [DevOps](/es/devops/), como la seguridad y la implementación.

## Problema que aborda

Los problemas de seguridad, los errores y los defectos de software pueden ser más difíciles y costosos de solucionar
si se descubren tarde en el ciclo de desarrollo o después de la implementación,
particularmente si el software ya se ha implementado en producción.

## ¿Cómo ayuda?

Al adoptar una mentalidad de Shift Left para el desarrollo de software,
los equipos pueden implementar pruebas y seguridad a lo largo del ciclo de vida del desarrollo.
Debido a que la responsabilidad de las pruebas y la seguridad se comparte en todo el equipo de desarrollo.
— desde ingenieros de software hasta control de calidad y operaciones —
todos juegan un papel para garantizar la estabilidad y la seguridad de una aplicación.

Además, el Shift Left permite la mejora continua y
sigue un enfoque [ágil](/es/agile-software-development/) en lugar de un enfoque en cascada para el desarrollo.
Los equipos pueden realizar pequeñas mejoras iterativas e identificar problemas antes.
Este enfoque permite a los ingenieros adoptar prácticas de seguridad y desarrollo seguro
ya en la fase de diseño y arquitectura.
Las pruebas a lo largo del ciclo de desarrollo reducen el tiempo necesario para realizar pruebas antes de lanzar el software.

Muchas herramientas de software y soluciones SaaS ayudan a cambiar éstas prácticas.
Sin embargo, el Shift Left también se puede implementar a través de procesos mejorados y cambios culturales dentro de un equipo.
