---
title: Transport Layer Security (TLS)
status: Completed
category: Concept
tags: ["seguridad", "redes", ""]
---

Garantiza la entrega segura de los datos enviados a través de Internet,
evitando posibles seguimientos y/o alteraciones de los datos.
Este protocolo es muy utilizado en aplicaciones como mensajería, correo electrónico, etc.

## Problema que aborda

Sin TLS, la información confidencial, como los hábitos de navegación, la correspondencia por correo electrónico, los chats en línea y las llamadas en conferencia puede
ser fácilmente rastreada y modificada por otros durante la transmisión.
Permitir que las aplicaciones de servidor y cliente admitan TLS garantiza que
los datos transmitidos entre ellos están encriptados y no son visibles para terceros.

## ¿Cómo ayuda?

TLS utiliza una combinación de técnicas de codificación que brindan seguridad al transmitir datos a través de una red.
TLS permite una conexión cifrada entre una aplicación cliente y un servidor, como un navegador web y un sitio bancario.
También permite que las aplicaciones cliente identifiquen positivamente el servidor al que están llamando,
lo que reduce el riesgo de que un cliente se comunique con un sitio fraudulento.
Esto garantiza que los terceros no puedan ver ni controlar los datos transmitidos entre aplicaciones mediante TLS, 
que protege la información confidencial y privada, como números de tarjetas de crédito, contraseñas, ubicación, etc.
