---
title: "Glossaire Cloud Native"
status: Completed
---

# Glossaire Cloud Native

Le Glossaire Cloud Native a pour objectif de démystifier l'univers Cloud Natif, réputé pour sa complexité.
Il vise à le rendre accessible aussi bien aux spécialistes technologiques qu'aux acteurs du monde des affaires.
Pour y parvenir, nous mettons l'accent sur la simplicité (par exemple, un langage simple sans buzzwords, des exemples auxquels toute personne utilisant la technologie peut se rapporter, en laissant de côte les détails inutiles).
Le Glossaire Cloud Native est un project dirigé par le Comité Marketing de la CNCF (Business Value Subcommittee, BVS).

<p><img class="mt-3" src="/images/homepage/kubecon.jpg" alt="Personnes regardant une présentation de la Kubecon"></p>

## Contribution

Toute personne est invitée à suggérer des changements, des ajouts, ou des amélioration au Glossaire Cloud Native.
Nous employons un processus dirigé par la communauté, et gouverné par la CNCF, afin de développer et d'améliorer ce lexique partagé.
Ce Glossaire fournit un plateforme indépendante de toute solution propriétaire, afin d'organiser un vocabulaire partagé par tous, le tout centré autour des technologies Cloud Natives.
Les contributions sont les bienvenues pour tous les participants adhérant au principe du projet, ainsi qu'à sa charte.

Toute personne souhaitant faire une contribution peut soumettre une Issue ou ouvrir une Pull Request sur le dépôt GitHub.
S'assurer avant tout de suivre le [Guide de Rédaction](/fr/style-guide/), de lire la [Documentation de contribution](/fr/contribute/), ainsi que de rejoindre le canal [#glossary](https://cloud-native.slack.com/archives/C02TX20MQBB) du Slack de la CNCF.
Il existe également un canal [#glossary-localizations](https://cloud-native.slack.com/archives/C02N2RGFXDF) pour ceux qui souhaitent aider à la traduction du glossaire dans leur langage natif.

## Remerciements

Le Glossaire Cloud Native a été initié par le Comité Marketing de la CNCF (Business Value Subcommittee) et inclue les contributions de
[Catherine Paganini](https://www.linkedin.com/in/catherinepaganini/en/), 
[Chris Aniszczyk](https://www.linkedin.com/in/caniszczyk/), 
[Daniel Jones](https://www.linkedin.com/in/danieljoneseb/?originalSubdomain=uk), 
[Jason Morgan](https://www.linkedin.com/in/jasonmorgan2/), 
[Katelin Ramer](https://www.linkedin.com/in/katelinramer/), 
[Mike Foster](https://www.linkedin.com/in/mfosterche/?originalSubdomain=ca), 
et bien d'autres contributeurs.
Pour la liste complète des contributeurs, se référer à la [Page GitHub](https://github.com/cncf/glossary/graphs/contributors).

Ce Glossaire est maintenue par
[Seokho Son](https://www.linkedin.com/in/seokho-son/),
[Noah Ispas](https://www.linkedin.com/in/noah-ispas-0665b42a/), 
[Jihoon Seo](https://www.linkedin.com/in/jihoon-seo/),
[Nate W.](https://www.linkedin.com/in/nate-double-u/),
and [Jorge Castro](https://www.linkedin.com/in/jorge-castro2112/).

[Catherine Paganini](https://www.linkedin.com/in/catherinepaganini/en/),
et [Jason Morgan](https://www.linkedin.com/in/jasonmorgan2/)
sont des Mainteneurs Émérites, et nous leur sommes profondément reconnaissants pour leurs contributions inestimables au fil des années.

Enfin, la traduction et localisation française du Glossaire Cloud Native sont réalisées et maintenues par
[Christophe Sauthier](https://www.linkedin.com/in/christophesauthier/),
[Flavien Hardy](https://www.linkedin.com/in/flavien-h-93208a18b/),
[Ludovic Logiou](https://www.linkedin.com/in/ludovic-%F0%9F%92%BB-logiou-98123978/),
[Stéphane Este-Gracias](https://www.linkedin.com/in/sestegra/),
[Guillaume Bernard](https://www.linkedin.com/in/gbernardit/),
et divers contributeurs.
Pour ceux intéressés à contribuer à la traduction et à la localisation du glossaire en français, un canal [#glossary-localization-french](https://cloud-native.slack.com/archives/C03JHQ02FCH) est disponible.

## Licence

Toute contribution de code est sous licence Apache 2.0.
La documentation est distribuée sous CC BY 4.0.
