---
title: Interface de Programmation d'Application (API)
status: Completed
category: technology
tags: ["architecture", "fondamental", ""]
---

Une API est un moyen pour les programmes informatiques d'interagir entre eux.
Tout comme les humains interagissent avec un site web via une page web, une API permet aux programmes informatiques d'interagir les uns avec les autres.
Contrairement aux interactions humaines, les APIs ont des contraintes sur ce qui peut ou non leur être demandé.
Les contraintes sur leurs interactions permettent de créer une communication stable et fonctionnelle entre les programmes.

## Problème auquel il répond

Au fur et à mesure que les applications deviennent plus complexes, de petites modifications du code peuvent avoir des effets drastiques sur d'autres fonctionnalités.
Les applications doivent adopter une approche modulaire de leur fonctionnement si elles veulent simultanément croître et maintenir leur stabilité.
Sans API, il manque un cadre pour l'interaction entre les applications.
Sans un cadre partagé, il est difficile pour les applications de [passer à l'échelle](/fr/scalability/) et de s'intégrer.

## Quelle en est l'utilité

Les APIs permettent aux programmes informatiques ou aux applications d'interagir et de partager des informations de manière définie et compréhensible.
Elles sont les éléments constitutifs des applications modernes et elles offrent aux développeurs un moyen d'intégrer les applications entre elles.
Lorsque vous entendez parler de [microservices](/fr/microservices-architecture/) travaillant ensemble, vous pouvez en déduire qu'ils interagissent via une API.
