---
title: Applications Cloud Natives
status: Completed
category: concept
tags: ["application", "fondamental", ""]
---

Les applications Cloud Natives sont des applications conçues pour tirer avantage des innovations du [cloud computing](/fr/cloud-computing/).
Ces applications s'intègrent facilement avec leurs architectures cloud respectives, en tirant avantage des ressources proposées par le Cloud et de leur capacité de [mise à l'échelle](/fr/scalability/).
Ce terme fait aussi référence aux applications qui tirent avantage d'infrastructure pilotée par le cloud computing.
Aujourd'hui, les applications Cloud Natives incluent les applications qui fonctionnent dans le centre de données des fournisseurs de cloud ainsi que les applications qui tournent sur des plateformes hébergées dans les centres de données internes aux organisations.

## Problème auquel il répond

Traditionnellement, les environnements hébergés dans des centres de données classiques fournissent des serveurs sur mesure.
Chaque centre de données dispose de services qui  [associent étroitement ](/fr/tightly-coupled-architecture/) les applications à des environnements spécifiques, qui se basent souvent sur des infrastructures déployées à la main, par exemple des [machines virtuelles](/fr/virtual-machine/) et des services. Cela contraint les développeurs et leurs applications à un déploiement dans ce centre de données spécifique.
Les applications qui n'ont pas été conçues pour tirer avantage des environnements Cloud ne pourront pas bénéficier de ses avantages tels que la résilience et la mise à l'échelle.
Par exemple, les applications nécessitant une intervention manuelle pour démarrer correctement ne pourront pas se mettre à l'échelle automatiquement ou automatiquement redémarrées en cas d'erreur. 

## Quelle en est l'utilité

Bien qu'il n'y ait pas de solution miracle pour qu'une application soit définie comme Cloud Native, les applications
Cloud Natives présentent des points en commun.
Les applications Cloud Natives sont résilientes, elles sont gérables et tirent profit de l'ensemble des services Cloud où elles
sont déployées.
De nombreux services Cloud mettent à disposition un important niveau d'[observabilité](/fr/observability/), permettant aux utilisateurs
de détecter et de régler les problèmes avant qu'ils ne deviennent plus importants.
Combiné à une automatisation robuste, elles permettent aux ingénieurs de faire des changements à fort impact de manière fréquente et prévisible avec un minimum d'effort.


