---
title: Centre de données (Datacenter)
status: Completed
category: Technology
tags: ["infrastructure", "fondamental", ""]
---

Un centre de données (datacenter en anglais) est un bâtiment ou une installation spécialisée conçue pour héberger des ordinateurs, le plus souvent des serveurs.
Ces centres de données sont généralement connectés à des lignes internet à haut débit, en particulier lorsqu'ils sont axés sur le [cloud computing](/fr/cloud-computing/).
Les bâtiments qui abritent les centres de données sont équipés pour maintenir le service même en cas d'événements défavorables, y compris des générateurs qui fournissent de l'électricité pendant les pannes et des climatiseurs puissants qui gardent les ordinateurs, produisant de la chaleur, au frais.

## Problème auquel il répond

Avant que les centres de données ne se généralisent à la fin des années 1990, il existait principalement des ordinateurs indépendants chargés de tâches spécifiques ou utilisés par des particuliers pour effectuer leur travail.

Or, les ordinateurs ont des ressources matérielles limitées (disque, mémoire vive et processeur).
Cela signifie que les applications qui s'exécutent dessus ont les mêmes contraintes, ce qui limite les types d'applications qu'ils peuvent exécuter.
Avant les centres de données, l'échelle de l'application était limitée par la capacité de l'ordinateur sur lequel elle s'exécute.
Mais si vous pensez à des applications à grande échelle comme Gmail ou Netflix (l'application côté serveur, pas l'interface utilisateur que vous avez sur votre téléphone ou votre ordinateur), celles-ci ont besoin d'une capacité de calcul supérieure à celle qu'un seul ordinateur peut fournir.
C'est là qu'interviennent les centres de données.

## Quelle en est l'utilité

En connectant plusieurs serveurs, les utilisateurs peuvent créer un [système distribué](/fr/distributed-systems/) qui fonctionne comme un "superordinateur".
En regroupant la puissance de plusieurs machines, il est désormais possible d'exécuter des applications beaucoup plus importantes ou traiter des tâches de calcul beaucoup plus complexes.
Les centres de données font fonctionner la plupart des applications que nous utilisons quotidiennement.

Les [clouds publics](/fr/cloud-computing/) sont des centres de données qui louent leur capacité à leurs clients.
Au cours des dernières années, nous avons assisté à une transition depuis des centres de données appartenant aux organisations elles-mêmes vers l'utilisation des clouds publics.
