---
title: DevOps
status: Completed
category: concept
tags: ["méthodologie", "", ""]
---


Le DevOps est une méthodologie dans laquelle une équipe gère le processus complet du développement d'une application jusqu'aux opérations en production, d'où le terme DevOps.
Ceci va au-delà de l'implémentation de technologies et demande un changement complet dans la culture et les processus.
Le DevOps fait appel à un groupe d'ingénieurs travaillant sur des petits composants (en opposition à une fonctionnalité complète), permettant ainsi de réduire les actions de passations – une source d'erreurs commune.

## Problème auquel il répond

Traditionnellement, dans les organisations complexes possédant des [applications monolithiques](/fr/monolithic-apps/) [fortement couplées](/fr/tightly-coupled-architecture/),
le travail était généralement fragmenté entre plusieurs équipes.
Ce fonctionnement menait à de nombreuses passations entre les équipes et allongeait les délais de livraison.
À chaque nouveau composant ou nouvelle mise à jour, le résultat était mis en file d'attente pour la prochaine équipe.
Étant donné que chaque individu ne travaillait que sur de petites parties du projet, cette approche menait à un manque de
responsabilité.
Le rôle de chacun était ainsi de fournir le travail à l'équipe suivante, et non pas de délivrer la fonctionnalité à l'utilisateur
— un manque clair d'alignement des priorités.

Une fois le code livré en production, ce dernier passé entre les mains de tellement de différents développeurs, ayant attendu dans tellement de files d'attente, il en devenait alors compliqué de tracer l'origine d'un problème en cas de dysfonctionnement du code.
Le DevOps vient chambouler cette approche.

## Quelle en est l'utilité

Avoir une seule équipe en charge du cycle de vie d'une application permet de
minimiser les passations, réduisant ainsi les risques lors des déploiements en production, améliorant
la qualité du code, car les équipes sont également responsables de sa mise en production et augmentant
la satisfaction des employés grâce au gain d'autonomie et de responsabilité.
