---
title: Décalage vers la gauche (Shift Left)
status: Completed
category: Concept
tags: ["méthodologie", "", ""]
---

Le terme "gauche" dans "décalage vers la gauche" fait référence aux premières étapes dans le cycle de vie du développement logiciel,
en envisageant ce cycle comme une ligne où les étapes sont exécutées de gauche à droite.
Le décalage vers la gauche est la pratique consistant à mettre en œuvre des tests, la sécurité ou d'autres pratiques de développement
tôt dans le cycle de vie du développement logiciel plutôt que vers la fin.

Bien qu'à l'origine utilisé pour désigner le processus de test anticipé,
le décalage vers la gauche peut désormais également s'appliquer à d'autres aspects du développement logiciel et du [DevOps](/fr/devops/), tels que la sécurité et le déploiement.

## Problème auquel il répond

Les problèmes de sécurité, les bugs et les défauts logiciels peuvent être plus difficiles et coûteux à résoudre
s'ils sont découverts tard dans le cycle de développement ou après le déploiement,
en particulier si le logiciel a déjà été déployé en production.

## Quelle en est l'utilité

En adoptant une mentalité décalage vers la gauche pour le développement logiciel,
les équipes peuvent mettre en œuvre des tests et la sécurité tout au long du cycle de développement.
Et comme la responsabilité des tests et de la sécurité est partagée dans toute l'équipe de développement
— des ingénieurs logiciels à l'assurance qualité en passant par les opérations —
chacun joue un rôle dans la garantie de la stabilité et de la sécurité d'une application.

De plus, le décalage vers la gauche permet une amélioration continue et
suit une approche de développement [agile](/fr/agile-software-development/) plutôt que linéaire (waterfall).

Les équipes peuvent apporter de petites améliorations itératives et identifier les problèmes plus tôt.
Cette approche permet aux ingénieurs d'adopter des pratiques de sécurité et de développement sécurisé
dès la phase de conception et d'architecture.
Tester tout au long du cycle de développement réduit le temps nécessaire pour les tests avant la publication d'un logiciel.

De nombreux outils logiciels et solutions SaaS aident à déplacer ces pratiques vers la gauche.
Cependant, le décalage vers la gauche peut également être mis en œuvre grâce à des processus améliorés et des changements culturels au sein d'une équipe.