---
title: Sécurité de la couche de transport (TLS)
status: Completed
category: Concept
tags: ["sécurité", "réseau", ""]
---

TLS, en français "Sécurité de la couche de transport", en anglais "Transport Layer Security", est un protocole conçu pour renforcer la sécurité des communications sur un réseau. 
Il garantit la sécurité des données lors de la livraison de celles-ci sur Internet, 
en évitant toute interception et/ou altération des données. 
Ce protocole est largement utilisé dans des applications telles que la messagerie instantanée, le courrier électronique, etc.

## Problème auquel il répond

Sans TLS, des informations sensibles telles que les habitudes de navigation, la correspondance par courrier électronique, les discussions en ligne et les conférences téléphoniques peuvent facilement être tracées et modifiées par des tiers pendant la transmission. 
La prise en charge de TLS par les applications serveurs et clientes garantit
que les données transmises entre elles sont chiffrées et ne peuvent pas être consultées par des tiers.


## Quelle en est l'utilité

TLS utilise une combinaison de techniques de chiffrement qui assurent la sécurité lors de la transmission de données sur un réseau. 
TLS permet une connexion chiffrée entre une application cliente et un serveur, par exemple un navigateur web et un site bancaire. 
Il permet également aux applications clientes d'identifier avec certitude le serveur auquel elles s'adressent, 
ce qui réduit le risque qu'une application cliente se connecte à un site frauduleux. 
Le protocole TLS garantit que des tiers ne peuvent pas intercepter les données transmises entre les applications utilisant le protocole TLS, 
ce qui protège les informations sensibles et privées telles que les numéros de carte bancaire, les mots de passe, la localisation, etc.
