---
title: शैली मार्गदर्शिका
toc_hide: true
status: Completed
menu:
  main:
    weight: 10
---

यह शैली मार्गदर्शिका आपको शब्दावली दर्शकों, परिभाषा संरचना, विवरण के आवश्यक स्तर और एक सुसंगत शैली को बनाए रखने में मदद करेगी।

क्लाउड नेटिव शब्दावली CNCF रिपॉजिटरी की [डिफ़ॉल्ट शैली मार्गदर्शिका](https://github.com/cncf/foundation/blob/master/style-guide.md) का अनुसरण करती है। इसके अतिरिक्त, यह निम्नलिखित नियमों का पालन करती है:

1. तकनीकी शब्दजाल और मूलमंत्र से बचते हुए, सरल, सुलभ भाषा का प्रयोग करें
2. [बोलचाल की भाषा से बचें](https://en.wikipedia.org/wiki/Colloquialism)
3. [शाब्दिक और ठोस भाषा का प्रयोग करें](https://guidetogrammar.org/grammar/composition/abstract.htm)
4. [संकुचन का प्रयोग न करें](https://en.wikipedia.org/wiki/Contraction_(grammar))
5. [कर्मवाच्य का संयम से प्रयोग करें](https://www.ef.com/ca/english-resources/english-grammar/passive-voice/)
6. [वाक्यांश कथनों को सकारात्मक रूप में लक्षित करें](https://examples.yourdictionary.com/positive-sentence-examples.html) 
7. [कोटेशन के बाहर कोई विस्मयादिबोधक चिह्न से बचें](https://www.grammarly.com/blog/exclamation-mark/)
8. अतिशयोक्ति से बचें
9. पुनरावृत्ति से बचें
10. संक्षिप्त रखें

## दर्शक

यह शब्दावली तकनीकी और गैर-तकनीकी दर्शकों के लिए लिखी गई है। कृपया सुनिश्चित करें कि परिभाषाओं को सरल शब्दों में समझाया गया है और तकनीकी शब्दों का प्रयोग काम करें। परिभाषा के तहत उपयोग कर सकते हैं।

## परिभाषा टेम्पलेट

प्रत्येक शब्द एक मार्कडाउन फ़ाइल में संग्रहीत होता है और इस टेम्पलेट का अनुसरण करता है:

```md
---
title: 
status: 
category: 
---

## यह क्या है

प्रौद्योगिकी या अवधारणा का एक त्वरित सारांश।

## समस्या

समस्या को संबोधित करते हुए कुछ पंक्तियाँ।

## समाधान

वह चीज़ कैसे समस्या का समाधान करती है, इसका वर्णन।
```

### Title

**Title** लेबल हमेशा परिभाषा लेआउट के शीर्ष पर होगा, और इसका मूल्य टाइटल केस में होना चाहिए।

```md
---
title: परिभाषा टेम्पलेट
```

### Status

**Status** लेबल, title लेबल के बाद आएगा. status लेबल इंगित करता है कि क्या परिभाषाओं की पूरी तरह से समीक्षा की गई है या अधिक प्रयास की आवश्यकता है।

मान्य मान हैं:

- Completed
- Feedback Appreciated 
- Not Started

आप किसी पूर्ण परिभाषा के विरुद्ध हमेशा कोई इशू खोल सकते हैं। यदि एक परिभाषा प्रवाह में है तो इसकी स्थिति को *Feedback Appreciated* में बदल दिया जाएगा।

```md
---
title: परिभाषा टेम्पलेट
status: Feedback Appreciated
```

### Category

**Category** लेबल status लेबल के बाद आएगा। इसका मान निम्न मानों में से एक होना चाहिए:

- प्रौद्योगिकी
- गुण
- अवधारणा

```md
---
title: परिभाषा टेम्पलेट
status: Feedback Appreciated
category: अवधारणा
---
```

### परिभाषा

#### तीन उपशीर्षक

**प्रौद्योगिकी** और **अवधारणा** श्रेणियों की परिभाषाओं में तीन उपशीर्षक हैं:

- **यह क्या है**: हम जिस बारे में बात कर रहे हैं उसका एक संक्षिप्त और स्पष्ट अवलोकन प्रदान करें।
- **समस्या**: समस्या पर ध्यान केंद्रित करें, समाधान पर नहीं (जो अगले भाग में आता है)। वास्तव में, परिभाषित शब्द का उल्लेख करने से भी बचें। समस्या इस बात पर केंद्रित है कि हमें उस चीज़ की *क्या* आवश्यकता है। 
- **समाधान**: अब, शब्द पर वापस आएं। यह ऊपर वर्णित समस्या का समाधान कैसे करता है?

ध्यान दें कि **गुण** को अलग-अलग अनुभागों की आवश्यकता नहीं है। एक परिभाषा पर्याप्त होगी।

#### सरल रखना

शब्दावली का उद्देश्य **जटिल अवधारणाओं को सरल शब्दों में समझाना** है — यह आश्चर्यजनक रूप से कठिन कार्य है जिसमें कई संशोधन होने की संभावना है। अपनी परिभाषा तैयार करते समय हमेशा दर्शकों को ध्यान में रखें। उद्योगिक शब्दों और मूलमंत्र का उपयोग करने से बचे - आप खुद अपनी चूक पकड़ कर सुधर कर सकते हैं।

उपयुक्त होने पर, **वास्तविक उदाहरणों** का उपयोग करें जो पाठकों (विशेषकर गैर-तकनीकी) को बेहतर ढंग से समझने में मदद करते हैं कि *कब* और *क्यों* आपके द्वारा समझाई जा रही अवधारणा प्रासंगिक है।

जब आपकी परिभाषा में उपयोग किया जाता है, तो हमेशा **मौजूदा शब्दावली शब्दों से लिंक करें** (केवल पहला उल्लेख हाइपरलिंक किया जाना चाहिए)।

**उदाहरण**: [सर्विस मेष परिभाषा](/service-mesh/) के "यह क्या है" अनुभाग पर एक नज़र डालें। यह माइक्रोसर्विसेज, सर्विस, रिलायबिलिटी और ऑब्ज़र्वेबिलिटी परिभाषाओं से वापस जुड़ता है। इसके अतिरिक्त, यह एक माइक्रोसर्विस वातावरण में नेटवर्क चुनौतियों (जिसे गैर तकनिकी लोग नहीं समझ सकते) को wifi समस्या (जिसे लैपटॉप का उपयोग करने वाला कोई भी व्यक्ति समझ सकता है) से तुलना करते हुए एक वास्तविक उदाहरण का उपयोग करता है। जहां संभव हो, इस संबंध को बनाने का प्रयास करें। 

#### Google या Word दस्तावेज़ से प्रारंभ करें

हम Google या Word दस्तावेज़ से शुरुआत करने कि अनुशंसा करते हैं, इसे कुछ दिन प्रयोग करें। यह आपको ऐसे वाक्यांशों या भावों को पकड़ने में मदद करेगा, जिन्हें सरल और अधिक सुलभ तरीके से कहा जा सकता है। इसके अलावा, PR जमा करने से पहले वर्तनी जांचना सुनिश्चित करें।

यह सुनिश्चित करने के लिए कि किसी शब्द पर काम करते समय कोई और PR सबमिट नहीं करता है, इशू पर दावा करना (या एक बनाना) सुनिश्चित करें और वह आपको सौंपा गया है।  इसके बारे में [योगदान कैसे करें](/hi/contribute/) दस्तावेज़ में और जानकारी दी गई है।

आरंभ करने से पहले, कृपया विस्तार और कठिनाई के स्तर को समझने के लिए और जब उदाहरण उपयुक्त हों, कुछ प्रकाशित शब्दावली शब्दों को पढ़ें।

## समीक्षा प्रक्रिया: क्या उम्मीद करें

कृपया ध्यान दें कि वर्तमान में हम केवल चार अनुरक्षक हैं जो अपने खाली समय में यह कर रहे हैं। कभी-कभी, हम शब्दों की शीघ्रता से समीक्षा कर सकेंगे; अन्य अवसरों पर, इसमें कुछ समय लग सकता है — हम आपके धैर्य की सराहना करते हैं। यदि आपके कोई प्रश्न हैं, तो कृपया #glossary Slack चैनल में हमसे संपर्क करें (इसे कहां और कैसे खोजा जाए, इसके लिए कृपया हमारा [योगदान कैसे करें](/hi/contribute/) दस्तावेज़ देखें)।

हमारा लक्ष्य शब्दावली को सर्वोत्तम संभव संसाधन बनाना है। एक बार जब आप PR जमा कर देते हैं, तो हम एक या अधिक संशोधन के लिए कह सकते हैं। निराश न हों - कई पीआर के लिए यही स्थिति है। हमारा और आपका सहयोग हीं यह सुनिश्चित करेगा कि आपका योगदान दुनिया भर के पाठकों द्वारा पढ़ी और संदर्भित की जाने वाली वास्तव में उपयोगी परिभाषा बनें।
