---
title: Cloud Native Security
status: Completed
category: Concetto
---

## Cos'è

_Cloud native security_ è un approccio che include la sicurezza nelle [applicazioni cloud native](/it/cloud_native_apps/). Garantisce che la sicurezza faccia parte dell'intero ciclo di vita dell'applicazione, dalla fase di sviluppo fino alla messa in produzione. Cloud native security mira a garantire gli stessi standard dei modelli di sicurezza tradizionali, adattandosi al contempo alle particolarità degli ambienti cloud native, in particolare alle rapide modifiche del codice e all'infrastruttura altamente effimera. Cloud native security è molto legata alla pratica chiamata [DevSecOps](/it/devsecops/).

## Quali problematiche affronta

I modelli tradizionali di sicurezza sono stati costruiti sulla base di una serie di presupposti che non sono più validi. Le applicazioni cloud native cambiano frequentemente, utilizzano un gran numero di strumenti e librerie open source, spesso vengono fatte eseguire in un'infrastruttura controllata dal fornitore e sono soggette a rapidi cambiamenti dell'infrastruttura. Le revisioni del codice, i lunghi cicli di garanzia della qualità, la scansione delle vulnerabilità dei server e le revisioni della sicurezza dell'ultimo minuto non sono sufficientemente [scalabili](/it/scalability/) quando si usano con le [applicazioni cloud native](/it/cloud-native-apps/).

## In che modo aiuta

Cloud native security introduce un nuovo modo di operare che protegge le applicazioni migrando dai modelli di sicurezza tradizionali ad uno in cui la sicurezza è coinvolta in ogni fase del ciclo di rilascio del software. Gli audit e i controlli manuali sono in gran parte sostituiti da scansioni automatizzate. Le pipeline di rilascio rapido del codice sono integrate con strumenti che analizzano il codice alla ricerca di vulnerabilità prima della sua compilazione. Le librerie open source vengono prelevate da fonti affidabili e monitorate per individuare eventuali vulnerabilità. Invece di rallentare il cambiamento, un modello di sicurezza cloud native lo abbraccia aggiornando frequentemente i componenti vulnerabili o garantendo che l'infrastruttura venga regolarmente sostituita.
