---
title: Cluster
status: Completed
category: Concetto
---

## Cos'è

Un cluster è un gruppo di computer o applicazioni che lavorano insieme verso un comune obiettivo.  Nel contesto del cloud computing nativo, il termine è più spesso riferito a Kubernetes. Un cluster Kubernetes è un insieme di servizi (o workloads) che vengono eseguiti nei loro containers, di solito su macchine diverse. L'insieme di tutti questi servizi [containerizzati](/it/containerization/), collegati su una rete, rappresentano un cluster.

## Quali problematiche affronta

Il software che è in esecuzione su un singolo computer presenta un singolo punto di vulnerabilità: se quel computer si blocca, o qualcuno accidentalmente ne scollega il cavo di alimentazione, parte del sistema critico di business potrebbe andare offline. Ecco perché un software moderno è generalmente sviluppato come [applicazioni distribuite](/it/distributed-apps/), raggruppate in cluster. 

## In che modo aiuta

Le applicazioni distribuite o clusterizzate vengono eseguite su più macchine, eliminando un singolo punto di vulnerabilità. Tuttavia, costruire sistemi distribuiti è davvero difficile e costituisce, infatti, una disciplina informatica a sé stante. La necessità di sistemi globali e anni di prove ed errori hanno portato allo sviluppo di un nuovo tipo di stack tecnologico: le [tecnologie cloud native](/it/cloud-native-tech/). Queste nuove tecnologie sono i pilastri che rendono più facile il mantenimento, il funzionamento e la creazione di sistemi distribuiti.
