---
title: Continuous Deployment (CD)
status: Completed
category: Concetto
tags: ["metodologia", "applicazione", ""]
---

## Cos'è

Il Continuous deployment, o Distribuzione Continua, spesso abbreviato CD, è il passo successivo di [continuous delivery](/it/continuous-delivery/), o 
ed esegue l'installazione del sofware finito direttamente in produzione.
Il continuous deployment (CD) va di pari passo con la [continuous integration](/it/continuous-integration/) (CI), 
e il processo nel suo insieme viene spesso indicato come CI/CD.
La fase di CI verifica se le modifiche apportate a una determinata applicazione sono valide, 
ed la fase CD distribuisce automaticamente le modifiche al codice attraverso i vari ambienti di un'organizzazione, dai test alla produzione.

## Quali problematiche affronta

Il rilascio di nuove versioni di software può essere un processo laborioso e soggetto a errori; 
peraltro, spesso le organizzazioni vogliono affrontarlo non troppo frequentemente per evitare incidenti in produzione 
e ridurre il numero di volte in cui i tecnici devono essere disponibili al di fuori del normale orario lavorativo.
I modelli tradizionali di distribuzione del software portano le organizzazioni in un circolo vizioso 
in cui il processo di rilascio del software non soddisfa le esigenze organizzative in termini di velocità di rilascio
di correzzioni applicative e nel rilascio delle nuove funzionalità.

## In che modo aiuta

Automatizzando il ciclo di rilascio e costringendo le organizzazioni a rilasciare in produzione più frequentemente, 
il CD fa per i team operativi quello che il CI ha fatto per i team di sviluppo. 
In particolare, obbliga i team operativi ad automatizzare le parti complesse e soggette a errori dei deployment in produzione, 
riducendo il rischio complessivo. 
Inoltre, migliora la capacità delle organizzazioni di accettare e adattarsi ai cambiamenti in produzione, portando conseguentemente a una maggiore stabilità.

## Termini correlati

* [Continuous Integration](/it/continuous-integration/)
* [Continuous Delivery](/it/continuous-delivery/)
