---
title: Infrastructure as a Service (IaaS)
status: Completed
category: Tecnologia
tags: ["infrastruttura", "IaaS"]
---

## Cos'è

Infrastructure as a service (_Infrastruttura come Servizio_), o IaaS, è un modello di servizio di [cloud computing](it/cloud-computing/) che offre risorse di elaborazione, archiviazione e network [fisiche](it/bare-metal-machine/) o [virtualizzate](it/virtualization/) su richiesta e secondo un modello di pagamento basato sul consumo effettivo. 
I Cloud provider rimangono i proprietari di hardware e software, e sono coloro che ci intervengono fattivamente.

## Quali problematiche affronta

Nelle tradizionali configurazioni on-premise, le organizzazioni incontrano spesso difficoltà nell'utilizzare in modo efficace le risorse di elaborazione.
I data center dovrebbero essere concepiti per potenziali picchi di domanda, anche se tale scenario dovesse risultare necessario solo l'1% delle volte.
Durante la riduzione della domanda, le risorse di calcolo rimangono inattive, ma se il carico di lavoro dovesse superare la domanda prevista, ci sarebbe una carenza di risorse per elaborare il nuovo carico di lavoro.
Questa mancanza di scalabilità comporta un aumento dei costi e un utilizzo inefficace delle risorse.

## In che modo aiuta

Con il modello IaaS, le organizzazioni possono evitare di acquistare e mantenere spazio di elaborazione e data center per le proprie applicazioni.
Un'infrastruttura on-demand consente loro di affittare le risorse di calcolo secondo necessità e rinviare grandi spese in conto capitale, o [CAPEX](https://it.wikipedia.org/wiki/Capex), dando loro la flessibilità di aumentare o diminuire la richiesta.

La IaaS riduce i costi iniziali di sperimentazione o di test di una nuova applicazione, e fornisce strutture per implementare rapidamente l'infrastruttura.
Rivolgersi ad un fornitore di servizi Cloud è un'opzione eccellente per ambienti di sviluppo o test, che aiutino gli sviluppatori a sperimentare e innovare.
