---
title: Osservabilità
status: Completed
category: concetto
tags: ["metodologia", "applicazione", "infrastruttura"]
---

## Cos'è

L'osservabilità è la capacità di generare e scoprire continuamente spunti di intervento sulla base dei segnali provenienti dal sistema osservato.
In altre parole, l'osservabilità permette agli utenti di comprendere lo stato di un sistema dai suoi risultati esterni e intervenire di conseguenza (correggendo).

## Quali problematiche affronta

I sistemi informatici vengono misurati osservando sia segnali di basso livello, come la CPU, la memoria e lo spazio su disco, sia segnali di più alto livello e di business, come i tempi di risposta delle API, gli errori, il numero di transazioni per secondo, ecc.

L'osservabilità di un sistema ha un impatto significativo sui suoi costi operativi e di sviluppo.
I sistemi osservabili forniscono dati significativi e fruibili agli operatori, consentendo loro di ottenere risultati favorevoli (risposta più rapida agli incidenti, aumento della produttività degli sviluppatori) e di ridurre la quantità di lavoro e i tempi di inattività.

## In che modo aiuta

È fondamentale capire che un maggior numero di informazioni non si traduce necessariamente in un sistema più osservabile.
Infatti, a volte la quantità di informazioni generata da dun sistema può rendere più difficile identificare segnali di salute significativi dal rumore generato dall'applicazione.
L'osservabilità richiede i dati giusti al momento giusto perché l'utente giusto (umano o software) possa prendere le decisioni giuste.
