---
title: Role-Based Access Control (RBAC)
status: Completed
category: Concetto
---

## Cos'è

Il Role-based access control (RBAC - Controllo degli accessi basato sul ruolo) è un metodo per regolare l'accesso a sistemi e risorse basato sui ruoli dei singoli utenti all'interno di un'organizzazione.
Ogni funzione aziendale ha un ruolo specifico e determinati permessi.
Per esempio, un membro del team di marketing potrebbe avere i permessi per vedere le trattative in corso (permesso di *lettura*), ma non sarà in grado di modificarle (permesso di *scrittura*).
I team di vendita e di marketing hanno permessi diversi in base ai loro ruoli, da cui RBAC, e lo stesso vale per i ruoli all'interno dei team di sviluppo.

## Quali problematiche affronta

Gestire individualmente i permessi di accesso di molti utenti tra le risorse e i dati di diversi sistemi può essere complicato.
Ogni utente, infatti, può aver bisogno di accedere a un diverso insieme di risorse.
Poniamo il caso di un'organizzazione con 500 sviluppatori (utenti) e 300 risorse con diversi livelli di permessi (lettura, scrittura e nessun accesso). L'amministratore deve assicurarsi che ciascun utente abbia i corretti permessi per tutte le 300 risorse.
RBAC semplifica il processo fornendo controlli di accesso predefiniti basati su raggruppamenti dei ruoli.

## In che modo aiuta

RBAC fornisce un controllo granulare sui permessi all'interno dei sistemi software.
A seconda dei loro ruoli, i membri del team possono modificare una sezione, visualizzarla soltanto, o non avervi alcun accesso.
Questa assegnazione granulare dei permessi permette ai membri del team con diversi ruoli di lavorare allo stesso sistema minimizzando i rischi.
