---
title: Security Chaos Engineering
status: Completed
category: Concetto
tags: ["sicurezza", "metodologia", ""]
---

## Cos'è

Security Chaos Engineering o SCE è una disciplina basata sul [Chaos Engineering](/it/chaos-engineering/).
SCE esegue proattivamente test di sicurezza su un sistema distribuito per assicurarsi che questo sia in grado di resistere a condizioni di instabilità e malevole.
I security chaos engineers utilizzano cicli di metodi scientifici per raggiungere questo obiettivo,
tra cui lo stato stazionario (steady state), ipotesi, verifica continua, lessons learned e implementazione delle mitigazioni.


## Quali problematiche affronta

La priorità principale per i [site reliability engineers](/it/site-reliability-engineering/) (SRE) e gli ingegneri della sicurezza informatica è
ripristinare il servizio il più velocemente possibile con l'obiettivo di annullare il disservizio e ridurre al minimo l'impatto sul business.
Gli SRE e gli ingegneri della sicurezza informatica sono coinvolti in caso di incidente, sia prima, sia dopo il guasto.
La maggior parte delle problematiche relative alla sicurezza sono difficili da individuare e correggere rapidamente, con ripercussioni sulle funzionalità dell'applicazione o del sistema. E sono generalmente ancora più difficili da identificare durante la fase di sviluppo.


## In che modo aiuta

Security Chaos Engineering si basa su [osservabilità](/it/observability/) e pratiche di resilienza informatica.
Ha lo scopo di scoprire le "incognite sconosciute" e creare fiducia nel sistema,
aumentare la resilienza informatica e migliorare l'osservabilità.

I team di ingegneri miglioreranno progressivamente la comprensione delle questioni legate alla sicurezza
all'interno di infrastrutture complesse, piattaforme e sistemi distribuiti.
SCE migliora la resilienza informatica dell'intero prodotto, identifica problemi di sicurezza nascosti,
espone i classici punti ciechi e prepara i team per i casi limite più critici.
Questo approccio aiuta gli ingegneri SRE, [DevOps](/it/devops/) e [DevSecOps](/it/devsecops/) a
creare fiducia nel sistema, aumentare la resilienza informatica e migliorare l'osservabilità.
