---
title: "クラウドネイティブ用語集"
status: Completed
---

# クラウドネイティブ用語集

クラウドネイティブ用語集は、技術者だけでなくビジネスサイドの人々にもわかりやすく伝えることで、複雑なことで有名なクラウドネイティブの領域を、人々にとってよりシンプルにすることを目指しています。そのために、シンプルであること（例：バズワードを使わないシンプルな言葉、テクノロジーを使う人なら誰でも共感できる例、不必要な詳細は省くなど）に重点を置いています。この用語集は、CNCFビジネスバリュー分科会（BVS, Business Value Subcommittee）が主導するプロジェクトです。

<p><img class="mt-3" src="/images/homepage/kubecon.jpg" alt="People watching a Kubecon presentation"></p>

## 貢献

クラウドネイティブ用語集の変更、追加、改良を提案することを歓迎します。
私たちは、共有語彙目録を開発・改良するために、CNCFが管理するコミュニティ主導のプロセスを採用しています。
この用語集は、クラウドネイティブテクノロジーに関する共有語彙を整理するために、ベンダーニュートラルなプラットフォームを提供します。
プロジェクトの目的と憲章を遵守するすべての参加者からの投稿を歓迎します。


貢献したい人は、GitHubのissueを提出するか、プルリクエストを作成することができます。
[スタイルガイド](/ja/style-guide/)に従うことを確認し、[貢献の方法](/ja/contribute/)ドキュメントを読み, CNCF Slackの[#glossary](https://cloud-native.slack.com/archives/C02TX20MQBB) チャンネルに参加してください。
また、用語集を母国語に翻訳する手伝いをしたい人のために、[#glossary-localizations](https://cloud-native.slack.com/archives/C02N2RGFXDF) チャンネルがあります。

## 謝辞

クラウドネイティブ用語集は、CNCFマーケティング委員会（ビジネスバリュー分科会）によって始められ、
[Catherine Paganini](https://www.linkedin.com/in/catherinepaganini/en/), 
[Chris Aniszczyk](https://www.linkedin.com/in/caniszczyk/), 
[Daniel Jones](https://www.linkedin.com/in/danieljoneseb/?originalSubdomain=uk), 
[Jason Morgan](https://www.linkedin.com/in/jasonmorgan2/), 
[Katelin Ramer](https://www.linkedin.com/in/katelinramer/), 
[Mike Foster](https://www.linkedin.com/in/mfosterche/?originalSubdomain=ca)
その他多くの貢献者による貢献が含まれています。
全ての貢献者リストについては、[GitHub page](https://github.com/cncf/glossary/graphs/contributors) を参照してください。

用語集は 
[Seokho Son](https://www.linkedin.com/in/seokho-son/),
[Noah Ispas](https://www.linkedin.com/in/noah-ispas-0665b42a/), 
[Jihoon Seo](https://www.linkedin.com/in/jihoon-seo/),
[Nate W.](https://www.linkedin.com/in/nate-double-u/)
そして[Jorge Castro](https://www.linkedin.com/in/jorge-castro2112/)によってメンテナンスされています。

[Catherine Paganini](https://www.linkedin.com/in/catherinepaganini/en/), [Jason Morgan](https://www.linkedin.com/in/jasonmorgan2/)
は名誉メンテナーであり、長年にわたる彼らの貴重な貢献に深く感謝しています。

クラウドネイティブ用語集の日本語化は、[Kaito Ii](https://github.com/kaitoii11)、[Kohei Ota](https://github.com/inductor)、[Yuichi Nakamura](https://github.com/yuichi-nakamura)、[MItabashi](https://github.com/bashi8128)、[HANABE926](https://github.com/HANABE926)、[Junya Okabe](https://github.com/Okabe-Junya)、[Akira Aiura](https://github.com/A-aiura)、[shizhenhu](https://github.com/shizhenhu)、[Nao Nishijima](https://github.com/naonishijima)の貢献を通じて開始されました。
クラウドネイティブ用語集の日本語への翻訳とローカライゼーションに興味のある方は、[#glossary-localization-japanese](https://app.slack.com/client/T08PSQ7BQ/C057F81GFUG) チャンネルにご参加ください。

## ライセンス

すべてのコードの貢献はApache 2.0ライセンスに基づいています。
ドキュメントはCC BY 4.0に基づいて配布されます。
