---
title: オートスケーリング
status: Completed
category: プロパティ
tags: ["インフラストラクチャ", "", ""]
---

オートスケーリングとは、システムが自動的に[スケール](/ja/scalability/)する能力のことで、通常はコンピューティングリソースにおいて行われます。
オートスケーリングシステムでは、必要に応じて自動的にリソースが追加され、変動するユーザーの需要に応じてスケールできます。
オートスケーリングのプロセスは様々で、メモリーやプロセス時間などの異なるメトリクスに基づいてスケールするように設定可能です。
マネージドクラウドサービスには通常、オートスケーリング機能が関連しています。
これは、ほとんどのオンプレミス環境へのデプロイよりも多くのオプションと実装が利用可能であるためです。

以前はインフラストラクチャとアプリケーションが、システムのピーク使用量を考慮して設計されていました。
このアーキテクチャにより、多くのリソースが未使用であり、消費者需要の変化に対して非弾力的でした。
非弾力性は、ビジネスへの高コストと、過剰な需要によって発生する障害の営業損失を意味します。

クラウドを活用し、アプリケーションとその依存関係を[仮想化](/ja/virtualization/)および[コンテナ化](/ja/containerization/)することで、組織はユーザーの需要に応じてスケールするアプリケーションを構築できます。
彼らはアプリケーションの需要を監視し、自動的にスケールさせ、最適なユーザーエクスペリエンスを提供できます。
例えば、毎週金曜日の夕方に発生する、Netflixの視聴者数の増加を考えて見てください。
オートスケールアウトは、動的により多くのリソースを追加することを意味します。
例えば、ビデオストリーミングのためのサーバー数を増やし、需要が正常化されたらスケールバックすることです。

## 関連する用語はありますか

* [水平スケーリング](/ja/horizontal-scaling/)
* [垂直スケーリング](/ja/vertical-scaling/)
