---
title: コンテナ化
status: Completed
category: テクノロジー
tags: ["アプリケーション", "", ""]
---

コンテナ化は、アプリケーションとその依存関係をコンテナイメージにまとめるプロセスです。
コンテナのビルドプロセスでは、[Open Container Initiative](https://opencontainers.org)(OCI)標準への準拠が必要です。
出力がこの標準に準拠したコンテナイメージであれば、どのコンテナ化ツールを使用しても問題ありません。

## 解決すべき問題は何ですか

[コンテナ](/ja/container/)が普及する前は、組織は仮想マシン(VM)に依存して、単一の[ベアメタルマシン](/ja/bare-metal-machine/)上で複数のアプリケーションをオーケストレーションしていました。
VMはコンテナよりも非常に大きく、実行にはハイパーバイザーが必要です。
これらの大きなVMテンプレートのストレージ、バックアップ、転送により、VMテンプレートの作成もより遅くなります。
さらに、VMは[不変性](/ja/immutable-infrastructure/)の原則に反する構成ドリフトに悩まされることがあります。

## どのように役に立つのでしょうか

コンテナイメージは(従来のVMとは異なり)軽量です。
またコンテナ化のプロセスには依存関係のリストが記載されたファイルが必要です。
このファイルはバージョン管理が可能で、ビルドプロセスを自動化できます。
これにより組織は他の優先事項に集中でき、自動化されたプロセスがビルドを担当します。
コンテナイメージは、その厳密な内容と設定に関連付けられた一意の識別子によって保存されます。
コンテナがスケジュールされ再スケジュールされると、常に初期状態にリセットされるため、構成ドリフトが解消されます。
