---
title: 継続的デプロイメント(CD)
status: Completed
category: コンセプト
tags: ["アプリケーション", "方法論", ""]
---

継続的デプロイメント(しばしばCDと略される)は、完成したソフトウェアを直接本番環境にデプロイするという点で[継続的デリバリー](/ja/continuous-delivery/)より一歩進んでいます。
継続的デプロイメント(CD)は[継続的インテグレーション](/ja/continuous-integration/)(CI)と密接に関連しており、しばしばCI/CDと呼ばれます。
CIプロセスは特定のアプリケーションへの変更が有効であるかどうかをテストし、CDプロセスはコードの変更を自動的に組織のテスト環境や本番環境にデプロイします。

## 解決すべき問題はなんですか

新しいソフトウェアバージョンのリリースは、労力がかかりエラーが発生しやすいプロセスです。
また本番環境でのインシデントを避け、エンジニアが通常の業務時間外に対応する時間を減らすため、組織が頻繁に行わないことも多いです。
伝統的なソフトウェアデプロイメントモデルでは、ソフトウェアのリリースプロセスが組織の安定性と機能の速度の両方に関するニーズを満たせず、組織を悪循環に陥らせます。

## どのように役に立つのでしょうか

リリースサイクルを自動化し、組織が頻繁に本番環境へのリリースを強制することにより、CDは運用チームに対して、CIが開発チームにもたらした効果を実現します。
具体的には、運用チームが本番へのデプロイメントの際に煩雑でエラーが発生しやすい部分を自動化するように促し、全体的なリスクを減少させます。
また組織が本番環境の変更を受け入れ、適応する能力を向上させ、より高い安定性につながります。

## 関連する用語はありますか

* [継続的インテグレーション](/ja/continuous-integration/)
* [継続的デリバリー](/ja/continuous-delivery/)
