---
title: 継続的インテグレーション(CI)
status: Completed
category: コンセプト
tags: ["アプリケーション", "方法論", ""]
---

継続的インテグレーション(CI)とは、コードの変更を可能な限り定期的に統合することを指します。
CIは[継続的デリバリー](/ja/continuous-delivery/)(CD)の前提条件です。
伝統的に、CIのプロセスはバージョンコントロールシステム(GitやMercurial、あるいはSubversion)にコードの変更がコミットされることで開始し、CDシステムで利用できるようになったテスト済みの成果物で終了します。

## 解決すべき問題はなんですか

ソフトウェアシステムはしばしば大規模で複雑であり、多くの開発者が維持や更新をしています。
システムの異なる部分で並行して作業を行う開発者たちは、意図せずに互いの作業を壊すような矛盾した変更を加えることがあります。
さらに、同じプロジェクトに複数の開発者が取り組む場合、テストやコード品質の計測といった日常的なタスクは、各開発者によって繰り返される必要があり、時間の無駄になります。

## どのように役に立つのでしょうか

CIソフトウェアは、開発者が変更をコミットするたびに、コードの変更がスムーズにマージできることを自動的に確認します。
CIサーバーを使用してコードの品質チェック、テスト、さらにはデプロイメントを行うことは、広範囲にわたって一般的に行われる実践です。
そのため、CIはチーム内の品質管理を具体的に実行する方法となります。
CIを利用することで、ソフトウェアチームはすべてのコードのコミットを、具体的な失敗か実用的なリリース候補のいずれかにすることができます。

## 関連する用語はありますか

* [継続的デリバリー](/ja/continuous-delivery/)
* [継続的デプロイメント](/ja/continuous-deployment/)
