---
title: 貢献者のラダー
toc_hide: true
status: Completed
menu:
  main:
    weight: 10
---

こんにちは！👋 CNCFクラウドネイティブ用語集プロジェクトへの貢献に関心をお寄せいただきありがとうございます。新しい用語を投稿する、用語集を母国語にローカライズするのを手伝う、または他の人が用語集を始めるのを手助けするなど、このコミュニティのアクティブメンバーになる方法はたくさんあります。このドキュメントでは、プロジェクト内におけるそれぞれの貢献者の役割と、それに伴う責任と権限の概要を説明します。

## 1. 貢献者

用語集はすべての人のためのものです。このプロジェクトに貢献するだけで、誰でも用語集の貢献者になることができます。すべての貢献者は、[CNCF行動規範](https://github.com/cncf/foundation/blob/main/code-of-conduct.md)に従うことが期待されています。

プロジェクトに貢献するには、以下のようなさまざまな方法があります：

- **コンテンツの貢献者**: 既存の用語を改良したり、新しい用語を投稿する方々
- **ローカライゼーションの貢献者**: 用語集を他の言語に翻訳するのを手伝ってくれる方
- **ヘルパー**：GitHubやSlackなど、コミュニティメンバーがサポートを必要としている場所で助ける方
- **アンバサダー**：多くの人にメッセージを伝え、コミュニティに貢献の仕方やその理由について教えてくれる方

貢献者は、複数の役割を持つことも、1つの分野のみに集中することもできます。***これらの貢献はすべて等しく重要であり***、活気あるコミュニティの育成に貢献します。コンテンツとローカライゼーションへの貢献については、[貢献方法](/ja/contribute/)と[スタイルガイド](/ja/style-guide/)を参照してください。

## 2. 承認者

承認者は、PRに対するフィードバックを提供しPRを承認します。アクティブな投稿者なら誰でも承認者になれます（[承認者になる](#承認者になる)を参照）。用語集では、(1)英語用語集の承認者と(2)ローカライズチームの承認者の2つの承認者を区別しています。

用語集の承認者には次のことが期待されます：

- PRが技術的に正確かどうかを確認します
- 貢献者に課題を割り当て、適切なラベルを付けます
- 貢献者にフィードバックを提供し、必要に応じて指導します
- 提出物の校正と編集します

承認者が上記の職務に興味がなくなったり、遂行できなくなった場合は、メンテナにその旨を伝え辞任すべきです。

### 英語用語集の承認者

承認者には3つのタイプがあります：

1) 強力な技術的背景を持つ承認者
2) 確かな文章力を持つ承認者
3) 両方に精通した承認者

**技術承認者**：しっかりとした英文のライティングスキルがなくても、技術的なバックグラウンドが強力な人なら承認者になれます。ただし、技術的な利点に基づいてPRを承認する場合は、必ず（編集）承認者によるレビューをしなければなりません。

**編集者**：編集者は用語を校正し、スタイルガイドに従って簡単な言葉で説明されていることを確認します。用語が大幅に編集されている場合、編集者は意味が変更されていないことを確認するため、技術承認者に再度校閲を依頼しなければなりません。

### ローカライゼーションの承認者

用語集にはローカライゼーション承認者もいます。この承認者は、ローカライゼーションチーム (用語集を翻訳するチーム) の承認者です。ローカライゼーションの承認者は、自分のチームの承認者の職務のみを行うことができ、PRを専用の開発ブランチにマージすることができます。ローカライゼーションの承認者は、要件を満たせば英語用語集の承認者になることもできます。

### 承認者になる

承認者候補は、高品質のPRを提出し、他の人がPRをマージ可能な状態にするのを支援してきた実績があるべきです。また、タイムゾーンが許せば[用語集ワーキンググループのミーティング](https://www.cncf.io/calendar/)に定期的に出席してください。

承認者になるには、興味があることを既存のメンテナーに伝えることから始めましょう。既存のメンテナーはあなたに、彼らの指導のもとでPRを投稿したり、レビューをしたり、その他の仕事をしたり上記の資格を証明するよう求めます。しばらく一緒に仕事をした後、メンテナーはあなたに承認者の資格を与えるかどうかを決定します。この決定は、あなたが示した熟練度と対応能力に基づいて行われます。

## 3. メンテナー

メンテナーもPRをマージすることができます。誰でも用語集のメンテナーになることができます（[メンテナーになる](#メンテナーになる)を参照）。メンテナーには、以下のような期待があります：

- 積極的かつ迅速な承認者であること（上記参照）
- サイトの設定、パーミッション、Issueテンプレート、GitHubワークフローなど、リポジトリのメンテナンスをサポートします
- 用語集のSlackチャンネルを監視し可能な限り協力します
- [用語集ワーキンググループミーティング](https://www.cncf.io/calendar/)に定期的に出席します（タイムゾーンが許せば）

もしメンテナーが上記の職務に興味がなくなったり、遂行できなくなったりした場合は、名誉メンテナーに移行する必要があります。

### メンテナーになる

メンテナーは、承認者として成功し、質の高いPRを提出してきた実績があるべきです。また、タイムゾーンが許せば用語集ワーキンググループのミーティングに定期的に出席する必要があります。

メンテナーになるには、興味があることを既存のメンテナーに伝えることから始めましょう。既存のメンテナーはあなたに、彼らの指導のもとでPRを投稿したり、レビューをしたり、その他の仕事をしたり上記の資格を証明するよう求めます。しばらく一緒に仕事をした後、メンテナーはあなたにメンテナーの地位を与えるかどうかを決定します。この決定は、あなたが示した熟練度と対応能力に基づいて行われます。

## 4. コミュニティマネージャー

コミュニティマネージャーは、有効的で魅力的なコミュニティの育成を支援します。コミュニティメンバーは誰でもコミュニティマネージャーになることができます。コミュニティマネージャーには次のことが求められます：

- 新しいメンバーを歓迎し、必要な情報が得られるようにします
- コミュニティからの質問に答えたり、手助けできる人を探すのを手伝います
- Slackでの会話をモデレートします

### コミュニティマネージャーになる

用語集のコミュニティマネージャーは誰でもなることができます。コミュニティマネージャーは、貢献とローカライゼーションのプロセスをしっかりと理解し、他者との交流や手助けを楽しむことが求められます。コミュニティマネージャーになるには、興味があることを既存のメンテナーに伝えることから始めましょう。オンボード/トライアル期間を経て、メンテナーは実績に基づいてコミュニティマネージャーのステータスを付与するかどうかを決定します。

## 非自主的な解任

貢献者の非自主的な解任は、責任と要求が満たされない場合に行われます。これには、度重なる活動停止、長期の活動停止、および/または行動規範違反などが含まれます。このプロセスは、コミュニティとその成果物を保護すると同時に、新しい貢献者が参入する機会を開くという意味で重要です。

## 退任/名誉職のプロセス

貢献者のコミットメントレベルが変化した場合、貢献者は退任（貢献者のラダーを下げること[^1]）か名誉職（プロジェクトから完全に離れる）かを検討することができます。

[^1]: 訳注：例えば、メンテナ―から承認者に貢献レベルを落とす

## 役職への復帰

以前の貢献者の役割に戻ることができる人材がいれば、プロジェクトリーダーはそれを手配し、検討することができます。
