---
title: エッジコンピューティング
status: Completed
category: テクノロジー
---

エッジコンピューティングは、ストレージと計算能力の一部を主要なデータセンターからデータソースに移行する[分散システム](/ja/distributed-systems/)のアプローチです。
収集されたデータは、中央のデータセンターで処理や分析されるのではなく、ローカルに(例えば工場内や店内、あるいは街の全域にわたって)計算されます。
これらのローカル処理ユニットやデバイスがシステムのエッジを表し、データセンターがその中心です。
エッジで計算された出力は、さらなる処理のために主要なデータセンターに送信されます。
エッジコンピューティングの例には、リストバンド型ガジェットや交通量を分析するためのコンピューターが含まれます。

## 解決すべき問題はなんですか

この10年間で、私たちはエッジデバイス(例えば携帯電話、スマートウォッチ、センサー)の増加を目の当たりにしてきました。
場合によっては、リアルタイムデータ処理は単なる便利な機能ではなく、非常に重要です。
自動運転を行う車を考えてみてください。
車のセンサーが取得したデータが、適切な反応をするために車両へ送り返される前に、データセンターで処理される必要があると考えてみてください。
このネットワークの遅延は致命的になり得ます。
これは極端な例ですが、ほとんどのユーザーはすぐにフィードバックを提供できないスマートデバイスを使いたいとは思わないでしょう。

## どのように役に立つのでしょうか

上述した通り、エッジデバイスが有用であるためには、ユーザーにほぼリアルタイムのフィードバックを提供する必要があります。
そのために少なくとも一部の処理と分析をローカルで行います。
これはデータセンターからデータが生成される場所、つまりエッジデバイスに一部のストレージと処理リソースを移動させることで達成されます。
処理済みおよび未処理のデータはその後、さらなる処理とストレージのためにデータセンターに送信されます。
要するに、効率と速度がエッジコンピューティングの主要な推進力です。
