---
title: Function as a Service (FaaS)
status: Completed
category: テクノロジー
tags: ["インフラストラクチャ", "", ""]
---

Function as a Service (FaaS)は、[サーバーレス](/ja/serverless/)、[クラウドコンピューティング](/ja/cloud-computing/)、[サービス](/ja/service/)の一種であり、イベントによってコードを実行することを可能にします。
これは通常、[マイクロサービス](/ja/microservices-architecture/)アプリケーションの構築や立ち上げに関連する、複雑なインフラストラクチャのメンテナンスを必要としません。
FaaSを使用すると、ユーザーは関数とデータのみを管理し、クラウドプロバイダーがアプリケーションを管理します。
これにより、開発者はコードが実行されていないときにサービスの費用を支払うことなく、必要な機能を得ることができます。

## 解決すべき問題はなんですか

従来のオンプレミスシナリオでは、企業は自社のデータセンターの管理や維持をします。
企業はサーバー、ストレージ、ソフトウェア、その他の技術に投資し、ITスタッフや請負業者を雇ってすべての機器やライセンスの購入、管理、更新を行う必要があります。
データセンターは、作業負荷が減少しリソースがアイドリング状態の時期があるにも関わらず、ピーク需要に対応できるように建設されなければなりません。
逆にビジネスが急速に成長する場合、IT部門は追いつくのに苦労するかもしれません。
標準的な[Infrastructure-as-a-Service (IaaS)](/ja/infrastructure-as-a-service/)クラウドコンピューティングモデルでは、ユーザーは事前に容量ユニットを購入します。
つまりアプリを実行するために、サーバーコンポーネントを常時起動させ、それに対する支払いをパブリッククラウドプロバイダーに行います。
需要が高まる時にサーバー容量を増やし、その容量が不要になった時に減らすのはユーザーの責任です。
アプリが使用されていないときでも、そのアプリを実行するためのクラウドインフラは稼働しています。

## どのように役に立つのでしょうか

FaaSはサーバーを管理することなく、イベントに応じてウェブアプリケーションを実行するための[抽象化](/ja/abstraction/)を開発者に提供します。
例えば、ファイルのアップロードがそのファイルを様々な形式にトランスコードするカスタムコードのトリガーとなるかもしれません。
FaaSのインフラストラクチャは、頻繁に使用するコードを自動的にスケールアップし、開発者は[スケーラビリティ](/ja/scalability/)のためのコード構築に時間やリソースを費やす必要がありません。
課金は計算時間のみに基づいているため、機能が使用されていない時には企業は支払いをする必要がありません。
