---
title: 水平スケーリング
status: Completed
category: コンセプト
tags: ["インフラストラクチャ", "", ""]
---

水平スケーリングは、より多くのノードを追加することでシステムの処理能力を向上させる手法です。
個別の[ノード](/ja/nodes/)により多くの計算リソースを追加する手法とは異なります(後者は[垂直スケーリング](/ja/vertical-scaling/)として知られています)。
たとえば、RAM容量4GBのシステムを持っていて、そのRAMを16GBに増やしたい場合、水平スケーリングはRAM 16GBのシステムに切り替えるのではなく、RAM 4GBのマシン4台で対応します。

このアプローチは、新しいインスタンスまたは[ノード](/ja/nodes/)を追加することで、負荷をより効果的に分散し、アプリケーションのパフォーマンスを向上させます。
簡単に言えば、個別のサーバーの処理能力を強化することではなく、個別のサーバーの負荷を減らすことを目指しています。

## 解決すべき問題はなんですか

アプリケーションに対する需要がそのアプリケーションインスタンスの現在の処理能力を超えた場合、システムに処理能力を[スケール](/ja/scalability/)する(処理能力を向上させる)方法が必要になります。

システムにノードを追加する(水平スケーリング)か、既存のノードにより多くの計算リソースを追加する(垂直スケーリング)かのいずれかが可能です。

## どのように役に立つのでしょうか

水平スケーリングにより、アプリケーションは基礎となるクラスターが提供する限界までスケールすることができます。

システムにより多くのインスタンスを追加することで、アプリケーションはより多くのリクエストを処理することができます。

例えば、1つのノードが1秒あたり1,000リクエストを処理できるとすると、ノードを1つ追加するごとに、システム全体で1秒あたり処理できる総リクエストが約1,000リクエスト増えることになります。
これにより、アプリケーションは特定のノードの処理能力を強化することなく、より多くの処理を同時に行うことができます。

## 関連する用語はありますか

* [垂直スケーリング](/ja/vertical-scaling/)
* [オートスケーリング](/ja/auto-scaling/)
