---
title: Infrastructure as a Service (IaaS)
status: Completed
category: テクノロジー
tags: ["インフラストラクチャ", "", ""]
---

Infrastructure as a service (IaaS)は、[クラウドコンピューティング](/ja/cloud-computing/)のサービスモデルの一つであり、[物理的](/ja/bare-metal-machine/)または[仮想化](/ja/virtualization/)されたコンピューティングリソース、ストレージ、ネットワークリソースをオンデマンドで提供し、従量課金モデルに基づいて利用できます。
クラウドプロバイダーはハードウェアとソフトウェアを所有、運用し、これらをパブリック、プライベート、またはハイブリッドクラウドの形態で消費者に提供します。

## 解決すべき問題はなんですか

従来のオンプレミス環境では、組織はコンピューティングリソースの有効活用にしばしば苦労していました。
データセンターは、1%の時間しか必要とされない、潜在的なピーク需要に対応するために構築されなければなりません。
需要が低い時期には、これらのコンピューティングリソースはアイドル状態になります。
また、予想を超えるワークロードが発生した場合、処理するためのコンピューティングリソースが不足します。
このようなスケーラビリティの欠如は、コストの増加とリソースの非効率的な使用につながります。

## どのように役に立つのでしょうか

IaaSを利用することで、組織はアプリケーション用のコンピューティングリソースやデータセンターのスペースを購入し、維持する必要がなくなります。
オンデマンドインフラを使用することで、必要に応じてコンピューティングリソースをレンタルし、[CAPEX](https://ja.wikipedia.org/wiki/資本的支出)と呼ばれる大規模な資本支出を延期しながら、スケールアップあるいはスケールダウンする柔軟性を得ることができます。

IaaSは、新しいアプリケーションを実験したり試したりする際の初期コストを削減し、インフラストラクチャを迅速に展開する施設を提供します。
クラウドプロバイダーは、開発者が実験し革新するために役立つ、開発あるいはテスト環境にとって優れた選択肢です。
