---
title: Infrastructure as Code (IaC)
status: Completed
category: コンセプト
tags: ["インフラストラクチャ", "方法論", ""]
---

Infrastructure as Codeは、インフラストラクチャの定義を一つあるいは複数のファイルで保存する実践を指します。
これは、通常はシェルスクリプトや他の設定ツールを用いたInfrastructure as a Serviceを手動でプロビジョニングする従来のモデルに代わるものです。

## 解決すべき問題はなんですか

クラウドネイティブな方法でアプリケーションを構築するには、インフラストラクチャを使い捨てできるようにし、かつ再現可能にする必要があります。
また自動化された繰り返し可能な方法で、人の手が介入することなくオンデマンドに[スケール](/ja/scalability/)する必要があります。
手動でのプロビジョニングは、[クラウドネイティブアプリケーション](/ja/cloud-native-apps/)の応答性とスケーラビリティを満たすことができません。
手動でのインフラストラクチャの変更は再現不可能で、すぐにスケールの限界に達し、設定ミスのエラーを引き起こします。

## どのように役に立つのでしょうか

サーバー、ロードバランサー、サブネットのようなデータセンターのリソースをコードとして表現することで、インフラチームはすべての設定について単一の正しい情報源を持つことができます。
また、[CI](/ja/continuous-integration/)/[CD](/ja/continuous-delivery/)パイプラインでデータセンターを管理することができます。
これにより、バージョン管理とデプロイメント戦略を実装することができます。
