---
title: Ingress
status: Completed
category: テクノロジー
tags: ["基礎"]
---

Ingressは、クラスター内で動作するコンテナあるいはコンテナ群への外部からのインターネットトラフィックを管理するためのルールセットです。
これにはIngressリソースとIngressコントローラーという二つの要素があります。
Ingressリソースは、他のマニフェストファイルと共に存在する設定ファイルで、管理者が外部からのトラフィックのルーティングを設定することを可能にします。
Ingressコントローラーは、実際にIngressリソースの設定に従ってトラフィックをルーティングするウェブサーバー技術です。

## 解決すべき問題は何ですか

クラウドネイティブのウェブアプリケーションは複数のサービスで構成されており、しばしば、それらの[サービス](/ja/service/)は、ブラウザを使用してユーザーがインターネット経由でアクセスする必要があります。
これらのサービスをユーザーがアクセスできるようにしながら、このアプリケーションを実行するために[Kubernetes](/ja/kubernetes/)を使用する場合、各アプリケーションサービスを全世界に向けて公開する必要があります。
最も簡単な方法は、KubernetesのLoad Balancer Serviceを使用することです。
しかし、このようなサービスを作成すると、基盤となるインフラストラクチャ上に新たなコンポーネントが生まれます。
これは新しいコストと管理のオーバーヘッドを導入するだけでなく、新しく作成された各ロードバランサーには独自の外部IPアドレスがあります。
これは悪いユーザーエクスペリエンスにつながります。
なぜならユーザーは、アプリケーションにアクセスするために異なるURLをブラウズしたくないからです。

## どのように役に立つのでしょうか

Ingressリソースを使用すると、アプリケーションのサービスへのトラフィックのバランスとルーティング方法を設定できます。
Ingressコントローラーは、URLを通じて単一のエントリポイント(例: www.example-url.com)を公開し、異なるURLパス(例: www.example-url.com/path)に基づいて実際のルーティングとバランシングを行います。
Ingressコントローラーは、クラスター内で動作するコンポーネントであり、Ingressリソースで定義されたルールを解釈します。
ウェブアプリが動作するクラスターの運用者が、Nginx、Traefik、HAProxyなどの使用可能な技術セットから特定のIngressコントローラーを選択することができます。
それにより、アプリケーションが複数のサービスで構成されている場合、ユーザーは単一のURLを使用してアクセスできます。
これは、インフラストラクチャレベルで数多くの個別のロードバランサーが不要になり、各サービスのファイアウォールとロードバランサーのルールの設定が容易になります。
トラフィックのルーティングと設定の取り扱いを一元化することで、Ingressはスケーラビリティの効率化を提供し、リソース利用を最適化し、コストを削減し、クラスター内で実行されるアプリケーションの全体的な管理のしやすさを向上させます。
