---
title: マルチテナンシー
status: Completed
category: プロパティ
tags: ["アーキテクチャ", "プロパティ", ""]
---

マルチテナンシーとは、複数のテナントにサービスを提供する単一のソフトウェアインストールを指します。
テナントとは、自身のデータセットでソフトウェアを利用するユーザー、アプリケーション、あるいはそれらのグループのことです。
これらのテナントは(所有者による明示的な指示がある場合を除いて)データを共有せず、互いの存在を意識することもありません。

テナントは、1人の独立したユーザーで1つのログインIDを持つほど小さくなり得ます。
例えば、個人の生産性を高めるソフトウェアを考えてみてください。
あるいは、何千ものログインIDを持つ企業全体ほど大きくもなり得ます。
これらは、それぞれが独自の権限を持ちつつも多方面で相互に関連しています。
マルチテナントソフトウェアの例には、Google Mail、Google Docs、Microsoft Office 365、Salesforce CRM、Dropboxなどがあり、完全または部分的にマルチテナントソフトウェアとして分類されます。

## 解決すべき問題はなんですか

マルチテナンシーがなければ、各テナントに専用のソフトウェアインストールが必要になります。
これはリソース利用とメンテナンスの労力を増加させ、最終的にはソフトウェアコストを増加させます。

## どのように役に立つのでしょうか

マルチテナントソフトウェアは、各テナントに分離された環境(作業データ、設定、認証情報リストなど)を提供し、同時に複数のテナントにサービスを提供します。
テナントの観点から見れば、各々が専用のソフトウェアインストールを持っているように見えますが、実際にはすべてが1つを共有しています。
これはソフトウェアをサーバー上で実行し、テナントがインターフェイスおよび/あるいは[API](/ja/application-programming-interface/)を通じてネットワーク経由で接続できるようにすることで実現されます([クライアントサーバーアーキテクチャ](/ja/client-server-architecture/)も参照)。
マルチテナントソフトウェアを使用すると、テナントはお互いに影響を与えることなく定義された制御された方法でのみ、1つのインストールのリソースを共有することができます。
ソフトウェア提供者側の結果としてのリソース節約は、テナントに渡されユーザーにとってのソフトウェアコストを大幅に削減することができます(改めてウェブベースのEメールやドキュメントエディターを考えてみてください)。

## 関連する用語はありますか

マルチテナンシーはSaaSと同義ではありません。
しかし、SaaSがマルチテナントであることは非常に一般的であり、その主要な利点の1つとしてマルチテナンシーを特徴づけることがあります。
