---
title: ノード
status: Completed
category: コンセプト
tags: ["インフラストラクチャ", "基礎", ""]
---

ノードとは、他のコンピューター、つまり他のノードと協力して共通のタスクを達成するコンピューターのことです。
例えばあなたのラップトップ、モデム、プリンターを考えてみてください。
これらはすべてあなたのWi-Fiネットワークを介して接続されており、通信し協力しており、それぞれが一つのノードを表しています。
[クラウドコンピューティング](/ja/cloud-computing/)において、ノードは物理的なコンピューターであったり、仮想コンピューター、つまり[VM](/ja/virtual-machine/)（バーチャルマシン）であったり、または[コンテナ](/ja/container/)であることもあります。

## 解決すべき問題はなんですか

アプリケーションは1台のマシン上で動作させることができます(そして実際に多くのアプリケーションがそうしています)が、それにはいくつかのリスクが伴います。
具体的には、基盤となるシステムの故障がアプリケーションの中断を引き起こすことです。
これに対処するために、開発者たちは[分散アプリケーション](/ja/distributed-apps/)を作り始めました。
これは、各プロセスがそれぞれのノード上で動作します。
それゆえ、ノードはアプリやプロセスを実行し、共通の目標を達成するために協力するノードの[クラスター](/ja/cluster/)、またはグループの一部として機能します。

## どのように役に立つのでしょうか

ノードはクラスタに割り当てることができる計算上の明確な違いがある単位(メモリ、CPU、ネットワーク)を提供します。
[クラウドネイティブ](/ja/cloud-native-tech/)プラットフォームやアプリでは、ノードは作業を行うことができる単一のユニットを表します。
理想的には個々のノードには区別がなく、特定のタイプのあるノードは、同じタイプの他のノードと区別がつかないものとされます。
