---
title: ランタイム
status: Completed
category: コンセプト
tags: ["アプリケーション", "", ""]
---

一般的に、ランタイムはソフトウェアの一部を実行します。
これは、プログラムのコマンドをオペレーティングシステムのアクションに変換する、下層レイヤーとなるオペレーティングシステムの[抽象化](/ja/abstraction/)です。

[クラウドネイティブ](/ja/cloud-native-apps/)の文脈では、_ランタイム_ は一般的にコンテナランタイムを指します。
コンテナランタイムは、[Open Container Initiative](https://opencontainers.org/)の仕様を具体的に実装します。
これは異なるコンテナオーケストレーション技術の間で一貫した取り扱いを保証するためです。

## 解決すべき問題はなんですか

コンテナランタイムの抽象化がなければ、アプリケーションは各オペレーティングシステムのすべての技術を取り扱う必要があります。
結果としてアプリの実行の複雑さが増します。

## どのように役に立つのでしょうか

コンテナランタイムは、Kubernetesのようなコンテナオーケストレーターに必要なコンポーネントです。
これらは主に3つのことを行う、コンテナライフサイクルを処理します。
まずコンテナイメージがどのように指定され、ランタイムがそれらをどのように取得するかを定義します。
次にこれらのイメージがどのように展開、レイヤー化、マウント、実行されるかを扱います。
さらにランタイムは、これらのオペレーティングシステムレベルのアクションの面倒を見ることで、ハードウェアリソースを管理します。
これにはリソースの割り当てと隔離が含まれます。
時間が経つにつれて、さまざまなコンテナランタイム製品が進化し、OCIの仕様がコンテナランタイムの標準となりました。

この標準を導入することにより、エンドユーザーは任意のOCIに準拠したランタイムを、任意のOCIに準拠したコンテナオーケストレーター(例えばKubernetes)と組み合わせることができます。

## 関連する用語はありますか

- [クラウドネイティブ](https://glossary.cncf.io/ja/cloud-native-apps/)
- [コンテナ化](https://glossary.cncf.io/ja/containerization/)
- [コンテナオーケストレーション](https://glossary.cncf.io/ja/container-orchestration/)
- [マイクロサービスアーキテクチャ](https://glossary.cncf.io/ja/microservices-architecture/)
