---
title: セキュリティカオスエンジニアリング
status: Completed
category: コンセプト
tags: ["セキュリティ", "方法論", ""]
---

セキュリティカオスエンジニアリング(SCE)は、[カオスエンジニアリング](/ja/chaos-engineering/)に基づく規律です。
SCEは、分散システムに対して積極的なセキュリティ実験を行い、乱雑や悪意のある条件に耐えるシステムの能力に信頼を築くために行われます。
セキュリティカオスエンジニアは、定常状態、仮説、継続的検証、学習した教訓、および緩和の実施を含む科学的方法のループを使用してこれを達成します。

## 解決すべき問題はなんですか

[サイト信頼性エンジニア](/ja/site-reliability-engineering/)(SRE)とサイバーセキュリティエンジニアの主な優先事項は、できるだけ早くサービスを復旧させ、ゼロダウンタイムを目指してビジネスへの影響を最小限に抑えることです。
SREおよびサイバーセキュリティエンジニアは、障害発生前および障害発生後のインシデント状況の両方に対処します。
ほとんどのセキュリティ問題は、迅速に発見および修正が難しく、アプリケーションやシステムの機能に影響を与えます。
さらに、セキュリティインシデントは、開発フェーズ中に発見するのが通常難しいものです。

## どのように役に立つのでしょうか

セキュリティカオスエンジニアリングは、[オブザーバビリティ](/ja/observability/)とサイバーレジリエンスの実践を中心に構築されています。
これは「未知の未知」を明らかにし、システムに自信を持ち、サイバーレジリエンスを向上させ、オブザーバビリティを改善することを目指しています。

エンジニアリングチームは、複雑なインフラストラクチャ、プラットフォーム、および分散システム内のセキュリティ問題に関する理解を徐々に向上させます。
SCEは、製品全体のサイバーレジリエンスを改善し、隠されたセキュリティ問題を明らかにし、典型的な盲点を露呈し、チームを重要なエッジケースに備えさせます。
このアプローチは、SRE、[DevOps](/ja/devops/)、および[DevSecOps](/ja/devsecops/)エンジニアが、システムに自信を持ち、サイバーレジリエンスを向上させ、オブザーバビリティを改善するのに役立ちます。
