---
title: サービスメッシュ
status: Completed
category: テクノロジー
tags: ["ネットワーキング", "", ""]
---

[マイクロサービス](/ja/microservices-architecture/)の世界では、アプリケーションは複数の小さな[サービス](/ja/service/)に分割され、それらがネットワークを介して通信します。
あなたのWi-Fiネットワークのように、コンピューターネットワークは本質的には信頼性が低く、ハッキングされやすく、しばしば遅いものです。
サービスメッシュは、サービス間のトラフィック(すなわち通信)を管理することによって、この新しい課題に対処します。
サービスメッシュは、すべてのサービスにわたって[信頼性](/ja/reliability/)、[オブザーバビリティ](/ja/observability/)、およびセキュリティ機能を均一に追加します。

## 解決すべき問題はなんですか

マイクロサービスアーキテクチャに移行したことで、エンジニアは数百、場合によっては数千ものサービスを扱うようになり、それらすべてが相互に通信を必要としています。
つまり、ネットワーク上で大量のトラフィックが行き交っています。
その上、個々のアプリケーションは、必須の要件をサポートするために通信を暗号化する必要があるかもしれません。
あるいは運用チームに共通のメトリクスを提供する必要があるかもしれませんし、問題の診断に役立つ、トラフィックに関する詳細な洞察を提供する必要があるかもしれません。
これらの機能が個々のアプリケーションに組み込まれている場合、それぞれがチーム間の摩擦を引き起こし、新機能の開発を遅らせる原因となります。

## どのように役に立つのでしょうか

サービスメッシュは、コードの変更を必要とせずに、クラスタ全体のすべてのサービスに対して、信頼性、オブザーバビリティ、およびセキュリティ機能を均一に追加します。
サービスメッシュが登場する前は、その機能をすべての個々のサービスに組み込む必要があり、バグや技術的負債の潜在的な原因となっていました。
