---
title: サービスプロキシ
status: Completed
category: テクノロジー
tags: ["ネットワーキング", "", ""]
---

サービスプロキシは、特定の[サービス](/ja/service/)への、あるいはそこからのトラフィックをインターセプトします。
そして、それに対して何らかのロジックを適用した後、そのトラフィックを別のサービスに転送します。
これは、ネットワークトラフィックに関する情報を収集したり、ルールを適用したりする仲介者として機能します。

## 解決すべき問題はなんですか

サービス間のコミュニケーション(通称: ネットワークトラフィック)を追跡し、それを変換したりリダイレクトしたりするためには、データを収集する必要があります。
従来、データ収集とネットワークトラフィック管理を行うコードは、各アプリケーション内に組み込まれていました。

## どのように役に立つのでしょうか

サービスプロキシにより、この機能を外部化することができます。
もはやアプリ内に組み込む必要はありません。
代わりに、プラットフォームレイヤー(アプリが実行される場所)に組み込まれるようになりました。

サービス間のゲートキーパーとして、プロキシはどのような種類のコミュニケーションが行われているかについての洞察を提供します。
その洞察に基づき、特定のリクエストをどこに送るかを決定したり、完全に拒否したりします。

プロキシは重要なデータを収集し、ルーティングを管理します(トラフィックをサービス間で均等に分散させたり、一部のサービスが故障した場合には再ルーティングしたり)。
また、接続を暗号化し、コンテンツをキャッシュします(リソース消費を減らします)。
