---
title: Transport Layer Security (TLS)
status: Completed
category: コンセプト
tags: ["セキュリティ", "ネットワーキング", ""]
---

Transport Layer Security (TLS)は、ネットワーク上での通信のセキュリティを高めるために設計されたプロトコルです。
インターネット上で送信されるデータの安全な配信を保証し、データの監視や改ざんを避けることができます。
このプロトコルは、メッセージングや電子メールなどのアプリケーションで幅広く使用されています。

## 解決すべき問題はなんですか

TLSがないと、日常的なブラウジング、電子メールでのやりとり、オンラインチャット、ビデオ会議などの機密情報が、転送中に他者によって簡単に追跡され変更される可能性があります。
サーバーとクライアントアプリケーションがTLSをサポートすることで、それらの間で転送されるデータが暗号化され、第三者によって閲覧されないことが保証されます。

## どのように役に立つのでしょうか

TLSは、ネットワーク上でデータを転送する際のセキュリティを提供するために、さまざまな符号化技術を組み合わせて使用します。
TLSにより、例えばウェブブラウザと銀行サイトのように、クライアントアプリケーションとサーバーとの間の暗号化された接続が可能になります。
また、クライアントアプリケーションが呼び出すサーバーを正確に識別できるようになるため、クライアントが不正なサイトと通信するリスクが減少します。
これにより、TLSを使用してアプリケーション間で転送されるデータを第三者が閲覧し、監視することができなくなります。
結果として、クレジットカード番号、パスワード、位置情報などの機密および個人情報が保護されます。
