---
title: 垂直スケーリング
status: Completed
category: コンセプト
tags: ["インフラストラクチャ", "", ""]
---

垂直スケーリング(「スケールアップおよびスケールダウン」とも呼ばれる)は、個別の[ノード](/ja/nodes/)にCPUとメモリを追加することでシステムの処理能力を強化する方法です。
例えば、4GB RAMのコンピューターを持っていて、その容量を16GB RAMに増やしたい場合、垂直スケーリングすることは、16GB RAMシステムに切り替えることを意味します。
(別のスケーリングアプローチについては、[水平スケーリング](/ja/horizontal-scaling/)を参照してください。)

## 解決すべき問題はなんですか

アプリケーションへの需要が現在のアプリケーションインスタンスの処理能力を超えると、システムに処理能力を強化する方法が必要です。
既存のノードにさらなる計算リソースを追加する(垂直スケーリング)か、システムにより多くのノードを追加する(水平スケーリング)ことができます。
[スケーラビリティ](/ja/scalability/)は、競争力、効率、評判、品質に貢献します。

## どのように役に立つのでしょうか

垂直スケーリングは、アプリケーションのコードを変更せずにサーバーの処理能力を変更することができます。
一方で、水平スケーリングの場合、アプリケーションがスケールするために複製可能でなければなりません。
コードの変更が必要になる可能性もあります。
垂直スケーリングは、計算リソースを追加することで既存のアプリケーションの処理能力を強化し、アプリケーションがより多くのリクエストを処理し、より多くの作業を同時に行うことを可能にします。

## 関連する用語はありますか

* [水平スケーリング](/ja/horizontal-scaling/)
* [オートスケーリング](/ja/auto-scaling/)
