---
title: 기여자 계층
toc_hide: true
status: Completed
menu:
  main:
    weight: 10
---

안녕하세요! 👋 CNCF 클라우드 네이티브 용어집(Cloud Native Glossary) 프로젝트에 관심을 가져주셔서 감사합니다. 새로운 용어를 정의하거나, 용어집을 모국어로 현지화하는 데 도움을 주거나, 다른 사람이 시작하는 데 도움을 주는 것과 같이, 본 커뮤니티의 활동적인 멤버가 될 수 있는 다양한 방법이 있습니다. 이 문서는 프로젝트을 위한 다양한 기여자 역할과 그에 따른 책임 및 권한에 대해 설명합니다.

## 1. 기여자(Contributors)

용어집은 모두를 위한 것이다. 프로젝트에 기여하는 것만으로도 누구나 용어집 기여자(Glossary contributor)가 될 수 있다. 모든 기여자는 [CNCF 행동 강령](https://github.com/cncf/foundation/blob/main/code-of-conduct.md)을 따라야 한다.

프로젝트에 기여할 수 있는 다양한 방법이 있으며, 다음을 포함한다.

- **콘텐츠 기여자(Content contributors)**: 기존 용어를 개선하거나 새 용어에 기여하는 모든 사람
- **현지화 기여자(Localization contributors)**: 용어집을 다른 언어로 번역하는 데 도움을 주는 사람
- **도우미(Helpers)**: GitHub, Slack 또는 커뮤니티 구성원이 지원을 필요로 하는 모든 곳에서 다른 사람을 돕는 사람
- **대사(Ambassadors)**: 정보를 퍼뜨리는 데 도움을 주는 사람, 기여 방법과 기여해야 하는 이유에 대해 교육하는 사람

기여자는 여러 역할을 할 수도 있고, 한 영역에만 집중할 수도 있다. **이러한 모든 기여는 동등하게 중요하며** 커뮤니티가 번성하는 데 도움이 된다. 콘텐츠 및 현지화 기여에 대해서는 [기여 방법](/ko/contribute/) 및 [스타일 가이드](/ko/style-guide/)를 참조한다.

## 2. 승인자(Approvers)

승인자는 PR에 대한 피드백을 제공하고 승인한다. 모든 활발한 기여자는 승인자가 될 수 있다("승인자 되기" 참조). 용어집은 (1)영어 용어집 승인자와 (2)현지화팀 승인자로 두 가지 승인자를 구분한다.

용어집 승인자(Glossary approvers)는 다음을 수행해야 한다.

- 기술적인 정확성을 위해 PR을 검토한다.
- 기여자에게 이슈를 할당하고 적절한 레이블을 지정한다.
- 기고자에게 피드백을 제공하고 필요시 가이드를 제공한다.
- 제출된 내용을 교정하고 편집한다.

승인자가 더 이상 해당 업무에 관심이 없거나 수행할 수 없는 경우, 메인테이너(maintainers)에게 이를 알리고 사임해야 한다.

### 영문 용어집 승인자(English Glossary Approvers)

여기에는 3 가지 종류의 승인자가 있다.

1) 해박한 기술적 배경 지식을 가진 승인자
2) 탄탄한 글쓰기 능력을 갖춘 승인자
3) 두 가지 모두에 능한 승인자

**기술적 승인자(Technical Approvers)**: 해박한 기술적 배경 지식을 가진 사람은 탄탄한 글쓰기 능력이 없더라도 승인자가 될 수 있다. 그러나, 기술적인 측면에 대해서만 PR을 승인하려는 경우 (편집자) 승인자의 검토를 받아야 한다.

**편집자(Editors)**: 편집자는 용어에 대해 검토 및 교정하고, 용어가 스타일 가이드에 따라 간결하게 설명되었는지 확인한다. 만약 용어에 대한 편집 과정에서 변경이 크게 이뤄졌다면, 편집자는 기술적 승인자에게 검토를 요청하여 기술적인 의미에 변경이 생겼는지 확인한다.

### 현지화 승인자(Localization Approvers)

용어집에는 현지화 승인자도 있다. 이는 (용어집을 번역하는) 현지화팀을 위한 승인자이다. 현지화 승인자는 자신의 팀에 대한 승인만 수행하도록 허용되며, PR을 지정된 개발 브랜치에 대해서만 병합(merge)할 수 있는 권한을 가진다. 요구사항이 충족된다면 현지화 승인자도 영문 승인자가 될 수 있다.

### 승인자 되기

승인자 후보자는 고품질의 PR 제출과 다른 사람들의 PR을 병합 가능한 상태로 도운 입증된 실적이 필요하다. 가능한 경우 [용어집 작업 그룹 회의(Glossary Working Group meetings)](https://www.cncf.io/calendar/)에도 정기적으로 참석해야 한다.

승인자가 되려면 기존 메인테이너에게 관심을 표명하는 것부터 시작한다. 그러고 나면 메인테이너는 후보자에게 상기 조건 확인을 위해서 PR 기여, 검토 수행, 지침에 따라 수행한 기타 작업 등에 대한 확인을 요청할 것이다. 일정 시간 동안 함께 작업을 진행한 후, 메인테이너가 승인자 자격을 부여할지 여부를 결정할 것이다. 이 결정은 후보자의 숙련도 및 응답성을 기반으로 한다.

## 3. 메인테이너(Maintainers)

메인테이너는 PR 병합도 할 수 있는 승인자이다. 누구나 용어집 메인테이너가 될 수 있다("메인테이너 되기" 참조). 메인테이너에게는 다음과 같은 사항을 기대한다.

- 적극적이고 반응이 빠른 승인자 (위 참조)
- 사이트 구성, 권한, 이슈-템플릿, GitHub 워크플로우 등을 포함한 리포지토리 유지 관리
- 용어집 Slack 채널을 모니터링하여 가능한 한 도움 주기
- [용어집 작업 그룹 회의](https://www.cncf.io/calendar/)에 정기적으로 참석 (가능한 경우)

메인테이너가 더 이상 위에 나열된 업무에 관심이 없거나 수행할 수 없는 경우, 스스로를 명예직(emeritus) 상태로 전환해야 한다.

### 메인테이너 되기

메인테이너는 검증된 우수한 승인자이어야 하고 고품질 PR을 제출한 입증된 실적을 보유해야 한다. 가능한 경우 용어집 작업 그룹 회의에도 정기적으로 참석해야 한다.

메인테이너가 되려면 기존 메인테이너에게 관심을 표명하는 것부터 시작한다. 그러고 나면 기존 메인테이너는 후보자에게 상기 조건 확인을 위해서 PR 기여, 검토 수행, 지침에 따라 수행한 기타 작업 등에 대한 확인 요청할 것이다. 일정 시간 동안 함께 작업을 진행한 후, 메인테이너가 메인테이너 자격을 부여할지 여부를 결정할 것이다. 이 결정은 후보자의 숙련도 및 응답성을 기반으로 한다.

## 4. 커뮤니티 매니저(Community Managers)

커뮤니티 매니저는 열린 분위기의 커뮤니티를 조성하는 데 도움을 준다. 모든 커뮤니티 멤버는 커뮤니티 매니저가 될 수 있다. 이들은 다음의 내용을 수행할 것이라고 기대한다.

- 신규 멤버를 환영하고 그들이 필요한 정보를 얻도록 지원한다.
- 커뮤니티에 대한 질문에 답하거나 도움을 줄 수 있는 사람에게 연결하는 데 도움을 준다.
- Slack에서의 대화를 중재한다.

### 커뮤니티 매니저 되기

모든 사람은 용어집 커뮤니티 매니저가 될 수 있다. 커뮤니티 매니저는 기여와 현지화 과정에 대한 지식을 가지고 있어야 하며, 다른 사람을 돕고 소통하는 것을 즐겨야 한다. 커뮤니티 매니저가 되려면, 기존 메인테이너에게 관심을 표명하는 것부터 시작한다. 적응 과정(onboarding) 및 평가 기간 후 메인테이너가 후보자의 성과에 따라 커뮤니티 매니저 자격을 부여할지 여부를 결정한다.

## 비자발적 제외

기여자의 비자발적 제외는 책임과 요구 사항이 충족되지 않을 때 발생한다. 여기에는 반복적인 비활동 패턴, 장기간의 비활동, 또는 행동 강령 위반이 포함될 수 있다. 이 프로세스는 커뮤니티와 그 결과물을 보호하는 동시에 새로운 기여자가 참여할 수 있는 기회를 제공하기 때문에 중요하다.

## 사임/명예(Emeritus) 절차

기여자의 헌신 수준이 변경되면 기여자는 사임(기여자 계층(ladder)에서 아래로 이동)과 명예직 상태로 이동(프로젝트에서 완전히 사임)을 고려할 수 있다.

## 역할로 돌아가기

다시 이전의 기여자 역할로 돌아가고 싶은 경우, 프로젝트에 리더쉽을 가진 사람들이 이를 감안하고 처리할 수 있다.
