---
title: 가상 머신 (Virtual Machine)
status: Completed
category: 기술
tags: ["핵심 개념", "인프라스트럭처", ""]
---

## 개념

가상 머신(VM, virtual machine)은 특정 하드웨어에 구속(종속)되지 않는 컴퓨터 및 해당 운영 체제(operating system)이다.
VM은 [가상화(virtualization)](/virtualization/)를 필요로 하는데 이는 단일 물리 컴퓨터를 여러 대의 가상 컴퓨터로 분할하기 위함이다. 
이러한 분할을 통해 조직(organization)과 인프라스트럭처 제공자(infrastructure provider)는 
하드웨어에 영향을 주지 않고 VM을 쉽게 생성 및 삭제할 수 있다.

## 다루는 문제

가상 머신은 가상화를 활용한다.
[베어 메탈(bare metal)](/bare-metal-machine/) 머신이 단일 운영 체제에 구속(종속)되면 머신의 자원을 효율적으로 활용하는데 다소 제약이 있다.
또한, 운영 체제가 단일 물리 머신에 구속(종속)되는 경우, 운영 체제의 이용 가능성은 해당 하드웨어에 직결된다.
만약 물리 머신이 유지 관리 또는 하드웨어 오류로 인해 오프라인 상태가 되면, 운영 체제도 오프라인 상태가 된다.

## 문제 해결 방식

운영 체제와 단일 물리 머신 사이에 직접적인 관계를 제거함으로써, 베어 메탈 머신의 여러 문제를 해결할 수 있다. 
(프로비저닝 시간(provisioning time), 하드웨어 이용률(hardware utilization) 및 회복력(resiliency) 등)

새로운 하드웨어의 구비, 설치 또는 이를 지원하기 위한 환경 설정이 필요 없으므로, 새 컴퓨터의 프로비저닝 시간이 대폭 향상된다.
단일 물리 머신 상에 여러 대의 가상 머신을 배치하기에 VM은 기존 물리 하드웨어 자원을 더욱 잘 활용할 수 있도록 만든다. 
또한 VM은 특정 물리 머신에 구속(종속)되지 않으므로 물리 머신보다 회복력이 더욱 뛰어나다.
물리 머신을 오프라인으로 전환해야 할 때, 해당 물리 머신 상에서 동작 중인 가상 머신을 
다운타임(downtime)이 거의 또는 전혀 없이 다른 물리 머신으로 이동할 수 있다.
