---
title: Aplicações Nativas em Nuvem
status: Completed
category: conceito
tags: ["aplicação", "fundamento", ""]
---

As aplicações nativas em nuvem são projetadas especificamente para aproveitar as inovações em [computação em nuvem](/pt-br/cloud-computing/). Essas aplicações se integram facilmente às suas respectivas arquiteturas de nuvem, aproveitando, assim, os recursos e o [dimensionamento](/scalability/) da nuvem. Também se refere a aplicativos que aproveitam as inovações da infraestrutura impulsionadas pela computação em nuvem. Hoje, as aplicações nativas em nuvem incluem aplicativos que são executados tanto em datacenter de um provedor de nuvem pública, quanto em plataformas de nuvens privadas.

## Problema relacionado

Tradicionalmente, os ambientes locais forneciam recursos de computação de maneira bastante personalizada. Cada datacenter tinha seus serviços [fortemente acoplados](/pt-br/tightly-coupled-architecture/) aos aplicativos e a ambientes específicos, muitas vezes contando com o provisionamento manual para infraestrutura, como serviços e [máquinas virtuais](/pt-br/virtual-machine/). Isso, por sua vez, restringiu os desenvolvedores e seus aplicativos a esse datacenter específico. Aplicativos que não foram projetados para a nuvem não poderiam aproveitar os recursos de resiliência e dimensionamento de um ambiente em nuvem. Por exemplo, os aplicativos que exigem intervenção manual para iniciar corretamente não podem escalar automaticamente, nem podem ser reiniciados automaticamente em caso de falha.

## Como isso ajuda

Embora não haja um "caminho único" para aplicativos nativos em nuvem, eles têm alguns pontos em comum. Os aplicativos nativos em nuvem são resilientes, gerenciáveis e auxiliados pelo conjunto de serviços em nuvem que os acompanham. Os vários serviços em nuvem permitem um alto grau de [observabilidade](/observability/), permitindo que os usuários detectem e resolvam problemas antes que eles escalem. Combinados com automação robusta, eles permitem que os engenheiros façam mudanças de alto impacto com frequência e previsivelmente com o mínimo de esforço.
