---
title: Segurança Nativa da Nuvem
status: Completed
category: conceito
tags: ["segurança", "", ""]
---

A segurança nativa da nuvem é uma abordagem que transforma a segurança em [aplicações nativas em nuvem](/pt-br/cloud-native-apps/). Isso garante que a segurança faça parte de todo o ciclo de vida do aplicativo, desde o desenvolvimento até a produção. A segurança nativa da nuvem busca garantir os mesmos padrões que os modelos de segurança tradicionais, enquanto se adapta aos detalhes dos ambientes nativos da nuvem, ou seja, mudanças rápidas de código e infraestrutura altamente efêmera. A segurança nativa da nuvem está altamente relacionada à prática chamada [DevSecOps](/devsecops/).

## Problema relacionado

Os modelos de segurança tradicionais foram construídos com uma série de suposições que não são mais válidas. Os aplicativos nativos da nuvem mudam com frequência, usam um grande número de ferramentas e bibliotecas de código aberto, que geralmente são executados em infraestrutura controlada por fornecedores e estão sujeitos a mudanças rápidas na infraestrutura. Revisões de código, longos ciclos de garantia de qualidade, verificação de vulnerabilidades baseada em *host* e revisões de segurança de última hora não podem ser dimensionadas com aplicativos nativos da nuvem.

## Como isso ajuda

A segurança nativa da nuvem apresenta uma nova forma de trabalhar que protege os aplicativos, migrando dos modelos de segurança tradicionais para um que a segurança está envolvida em todas as etapas do ciclo de lançamento. Auditorias e verificações manuais são amplamente substituídas por varreduras automatizadas. Os *pipelines* de liberação rápida de código são integrados as ferramentas que verificam o código em busca de vulnerabilidades antes de serem compilados. As bibliotecas de código aberto são retiradas de fontes confiáveis e monitoradas quanto a vulnerabilidades. Em vez de atrasar a mudança, um modelo de segurança nativo da nuvem o adota atualizações frequentes de componentes vulneráveis ou garante que a infraestrutura seja substituída regularmente.
