---
title: Cluster
status: Completed
category: conceito
tags: ["infraestrutura", "fundamento", ""]
---

Um cluster é um grupo de máquinas ou aplicações que trabalham juntos para um objetivo comum. No contexto da computação nativa em nuvem, o termo é mais frequentemente aplicado ao Kubernetes. Um cluster Kubernetes é um conjunto de serviços (ou cargas de trabalho) executados em seus próprios contêineres, geralmente em máquinas diferentes. O conjunto de todos esses serviços [contêinerizados](/pt-br/containerization/), conectados em uma rede, representam um cluster.

## Problema relacionado

Um software executado em uma única máquina, apresenta um único ponto de falha, por exemplo, se essa máquina travar ou alguém desconectar acidentalmente o cabo de alimentação, algum sistema crítico para os negócios pode ficar offline. É por isso que os softwares modernos geralmente são construídos como [sistemas distribuídos](/distributed-apps/), agrupados em clusters.

## Como isso ajuda

Aplicações distribuídas em cluster são executadas em várias máquinas, eliminando um único ponto de falha. Mas construir sistemas distribuídos é muito difícil. Na verdade, é uma disciplina de ciência da computação com suas especificidades. A necessidade de sistemas globais e anos de tentativa e erro levaram ao desenvolvimento de um novo tipo de *stack* de tecnologia: [tecnologias nativas da nuvem](/cloud-native-tech/). Essas novas tecnologias são as peças chaves que facilitam a operação e a criação de sistemas distribuídos.
