---
title: Implantaçāo Contínua
status: Completed 
category: conceito
tags: ["aplicação", "metodologia", ""]
---

Implantação contínua (continuous deployment - CD), vai um passo além da entrega contínua ao implantar o software finalizado diretamente na produção. A implantação contínua anda de mãos dadas com a [entrega contínua](/pt-br/continuous-delivery/) e é frequentemente referida como _CI/CD_. O processo de CI testa se as alterações feitas em um determinado aplicativo são válidas, e o processo de CD implanta automaticamente as mudanças de código através dos ambientes de uma organização, desde teste até a produção.

## Problema relacionado

Lançar novas versões de software pode ser um processo trabalhoso e propenso a erros. Além disso, muitas vezes é algo que as organizações só desejam fazer com pouca frequência para evitar incidentes de produção e reduzir a quantidade de tempo em que os engenheiros precisam estar disponíveis fora do horário comercial regular. Modelos tradicionais de implantação de software deixam as organizações em um ciclo vicioso em que o processo de lançamento de software não atende às necessidades organizacionais de estabilidade e velocidade de recursos.

## Como isso ajuda

Automatizando o ciclo de lançamento e forçando as organizações a lançar na produção com mais frequência, a CD faz pelo time de operações o que a CI fez pelos times de desenvolvimento. Especificamente, ela obriga os times de operações a automatizar as partes dolorosas e propensas a erros das implantações de produção, reduzindo o risco geral. Isso também torna as organizações mais aptas a aceitar e se adaptar às mudanças de produção, o que resulta em maior estabilidade. 

## Termos relacionados

* [Integração Contínua](/pt-br/continuous-integration/)
* [Entrega Contínua (CD)](/pt-br/continuous-delivery/)