---
title: Edge Computing
status: Completed
category: Tecnologia
---

A computação de borda é um modelo de [sistema distribuído](/pt-br/distributed-systems/) que transfere parte da capacidade de armazenamento e processamento do [*data center*](/pt-br/data-center/) principal para as fontes de dados.
Os dados coletados são processados localmente (por exemplo, em uma fábrica, em uma loja ou em toda uma cidade) em vez de serem enviados para um *data center* centralizado para processamento e análise.
Essas unidades ou dispositivos de processamento locais representam a borda do sistema, enquanto o *data center* é o seu centro.
A saída processada na borda é então enviada de volta para o *data center* principal para processamento adicional.
Exemplos de computação de borda incluem dispositivos vestíveis ou computadores que analisam o fluxo de tráfego.

## Problema relacionado

Na última década, vimos um aumento significativo nos dispositivos de borda (por exemplo, telefones celulares, relógios inteligentes ou sensores). Em alguns casos, o processamento de dados em tempo real não é apenas um recurso agradável de se ter, mas vital. Pense nos carros autônomos. Agora imagine se os dados dos sensores do carro tivessem que ser transferidos para um *data center* para processamento antes de serem enviados de volta para o veículo para que ele possa reagir adequadamente. A latência de rede inerente poderia ser fatal. Embora este seja um exemplo extremo, a maioria dos usuários não gostaria de usar um dispositivo inteligente que não pode fornecer feedback instantâneo.

## Como ajuda

Como descrito acima, para que os dispositivos de borda sejam úteis, eles devem fazer pelo menos parte do processamento e análise localmente para fornecer feedback quase em tempo real aos usuários. Isso é alcançado transferindo alguns recursos de armazenamento e processamento do *data center* para onde os dados são gerados: o dispositivo de borda. Os dados processados e não processados são posteriormente enviados para o *data center* para processamento e armazenamento adicionais. Em resumo, eficiência e velocidade são os principais impulsionadores da computação de borda.
