---
title: Infraestrutura como Serviço (IaaS)
status: Completed
category: tecnologia
tags: ["infraestrutura", "", ""]
---

Infraestrutura como serviço, ou IaaS, é um modelo de serviço de [computação em nuvem](/pt-br/cloud-computing/) que oferece máquinas [físicas](/pt-br/bare-metal-machine/) ou [virtualizadas](/pt-br/virtualization/), armazenamento e recursos de rede sob demanda em um modelo pague conforme o uso. 
Os provedores de nuvem possuem e operam o hardware e o software, disponíveis para os consumidores em implantações de nuvem pública, privada ou híbrida.

## Problema relacionado

Em configurações tradicionais (_on-premise_), as organizações geralmente concentram seus esforços no uso efetivo de recursos de computação. 
Os _data centers_ precisam ser construídos para potencializar o pico da demanda, mesmo que seja necessário em apenas 1% do tempo. 
Durante a menor demanda, esses recursos de computação ficam ociosos. 
E, se a carga de trabalho aumentar acima da demanda esperada, existirá uma carência de recursos de computação para processar a carga de trabalho. 
Essa falta de escalabilidade leva ao aumento dos custos e ao uso ineficaz de recursos.

## Como isso ajuda

Com o IaaS, as organizações podem evitar a compra e manutenção em ativos computacionais e _data center_ para suas aplicações. 
Uma infraestrutura sob demanda permite que as organizações aluguem recursos de computação conforme necessário e adiem grandes gastos de capital, ou [CAPEX](https://pt.wikipedia.org/wiki/CAPEX), ao mesmo tempo em permite a flexibilidade de aumentar ou diminuir a escala.

O IaaS reduz os custos iniciais para testar uma nova aplicação e para fornecer as instalações para implantar rapidamente uma infraestrutura. 
Um provedor de nuvem é uma excelente opção para ambientes de desenvolvimento ou teste, o que ajuda os desenvolvedores a experimentar e inovar.
