---
title: Nós
status: Completed
category: conceito
tags: ["infraestrutura", "fundamento", ""]
---

Um nó é um computador que trabalha em conjunto com outros computadores, ou nós, para realizar uma tarefa comum. 
Pegue seu laptop, modem e impressora, por exemplo. 
Eles estão todos conectados pela sua rede wifi se comunicando e colaborando, cada um representando um nó. 
Na [computação em nuvem](/pt-br/cloud-computing/), um nó pode ser um computador físico, 
um computador virtual, conhecido como [VM](/pt-br/virtual-machine/), ou até mesmo um [contêiner](/pt-br//container/).

## Problema relacionado

Embora uma aplicação possa (e muitas fazem) ser executada em uma única máquina, existem alguns riscos envolvidos com isso. 
Ou seja, a falha subjacente do sistema interromperá a aplicação. 
Para resolver isso, os desenvolvedores começaram a criar [aplicações distribuídas](/distributed-apps/) onde cada processo é executado em seu próprio nó. 
Assim, os nós executam as aplicações ou os processos como parte de um grupo formando um [cluster](/pt-br/cluster/), ou grupo de nós que trabalham juntos para alcançar um objetivo comum.

## Como isso ajuda

Um nó fornece uma unidade distinta de computação (memória, CPU e rede) que você pode atribuir a um cluster. 
Em uma plataforma de [aplicações nativas da nuvem](/pt-br/cloud-native-tech/), um nó representa uma única unidade que pode realizar o trabalho. 
Idealmente, os nós individuais são indiferenciados, 
ou seja, qualquer nó de um determinado tipo não é distinto de qualquer outro nó do mesmo tipo.
