---
title: Программный интерфейс приложения (API)
status: Completed
category: technology
tags: ["architecture", "fundamental", ""]
---

API определяет способ взаимодействия компьютерных программ друг с другом.
Подобно тому, как люди взаимодействуют с веб-сайтом через веб-страницу, API позволяет компьютерным программам взаимодействовать друг с другом.
Но в отличие от общения людей друг с другом, API налагают ограничения на то, какие запросы к ним посылать можно, а какие нельзя.
Ограничение на взаимодействие позволяет создать устойчивую и функциональную связь между программами.

## Какую проблему решает

С ростом сложности приложений небольшие изменения в коде могут кардинально повлиять на другие их функциональные возможности.
Для того чтобы приложения могли одновременно расти и оставаться стабильными, необходимо использовать модульный подход к их функциональности.
API как раз выступают в качестве основы для взаимодействия между приложениями.
Без такой единой и общей базы приложениям было бы сложно [масштабироваться](/scalability/) и интегрироваться.

## Как именно решает проблему

API позволяют компьютерным программам или приложениям взаимодействовать и обмениваться информацией в четко определенной и понятной форме.
Они выступают строительными блоками для современных программ и предоставляют разработчикам возможность интегрировать приложения друг с другом.
Слышали о совместной работе [микросервисов](/microservices/)? В большинстве случаев они взаимодействуют именно через API.
