---
title: Автомасштабирование
status: Completed
category: property
tags: ["infrastructure", "", ""]
---

Автомасштабирование — это способность системы автоматически [масштабироваться](/scalability/), как правило, в контексте вычислительных ресурсов.
При автомасштабировании ресурсы по мере необходимости автоматически добавляются — в соответствии с меняющимися потребностями пользователей.
Автомасштабирование может производиться на основе различных метрик, таких как память или время выполнения процесса.
Автомасштабирование обычно ассоциируется с облачными managed-сервисами, поскольку те предлагают больше опций и реализаций этой функции, 
чем традиционные «физические» (on-premise) виды инфраструктуры.

Ранее инфраструктура и приложения проектировались с учетом пиковой загрузки системы.
Такой подход означал, что значительное количество ресурсов недоиспользуется, 
а сама система не может гибко реагировать на изменение количества пользователей и их потребностей.
Такая неэластичность приводила к росту затрат и потерям от перебоев в работе во время большого наплыва пользователей, 
когда ресурсов системы просто не хватало на всех.

Используя облачные технологии, [виртуализацию](/virtualization/) и [контейнеризацию](/ru/containerization/) приложений и их зависимостей, 
организации могут создавать приложения, которые масштабируются в соответствии с потребностями пользователей.
Они могут отслеживать загруженность приложений и автоматически масштабировать их, обеспечивая оптимальный пользовательский опыт.
Хорошим примером являются сервисы потокового видео вроде Netflix — в пятницу вечером все они сталкиваются 
со значительным увеличением зрительской аудитории и, как следствие, ростом нагрузки на серверы.
Автомасштабирование позволяет динамически добавлять дополнительные ресурсы: например, увеличивать количество серверов, 
транслирующих видео, и возвращать ресурсы в исходное состояние после нормализации потребления.

## Связанные термины

* [Горизонтальное масштабирование](/horizontal-scaling/)
* [Вертикальное масштабирование](/vertical-scaling/)
