---
title: Bare metal-компьютер
status: Completed
category: technology
tags: ["infrastructure", "", ""]
---

Под компьютером типа bare metal («голое железо») понимается физический компьютер, а точнее — сервер, 
на котором установлена одна и только одна операционная система.
Это различие важно, поскольку многие, если не большинство, серверов являются [виртуальными машинами](/virtual-machine/).
Физический сервер — это, как правило, достаточно серьезный компьютер с мощным аппаратным обеспечением.
Установка операционной системы и запуск приложений непосредственно на физическом оборудовании, 
без [виртуализации](/virtualization/), называется работой на «голом железе».

## Какую проблему решает

В вычислительной технике изначально применялся подход, в котором на один компьютер устанавливалась только одна операционная система.
В этом случае все ресурсы физического компьютера были доступны операционной системе напрямую
и отсутствовала искусственная задержка при передаче инструкций ОС к аппаратному обеспечению, связанная со слоем виртуализации.

## Как именно решает проблему

Обеспечивая единственной операционной системе доступ ко всем ресурсам компьютера, 
вы в теории гарантируете, что ее производительность будет максимальной.
«Голое железо» отлично подходит для рабочих нагрузок, которым требуется быстрый доступ к аппаратным ресурсам.

В контексте [нативных облачных приложений](/ru/cloud-native-apps/) 
производительность обычно рассматривается с точки зрения [масштабирования](/scalability/) до большого числа одновременных событий (процессов, операций). 
Помогает в этом [горизонтальное масштабирование](/horizontal-scaling/) (добавление новых машин в пул ресурсов).
Однако для некоторых рабочих нагрузок может потребоваться [вертикальное масштабирование](/vertical-scaling/) (увеличение мощности существующей физической машины) и/или чрезвычайно быстрый отклик физического аппаратного обеспечения. В этом случае лучше использовать «голое железо».
Кроме того, подход на основе «голого железа» позволяет подстраивать аппаратное обеспечение 
(а в некоторых случаях и его драйверы) под конкретные задачи.
