---
title: Нативные облачные приложения
status: Completed
category: concept
tags: ["application", "fundamental", ""]
---

Нативные облачные (cloud native) приложения специально спроектированы для того, чтобы извлечь максимальную пользу из достижений в сфере [облачных вычислений](/cloud-computing/).
Такие приложения легко интегрируются с различными видами облачных архитектур, 
используя облачные ресурсы и их способность к [масштабированию](/scalability/).
Также этот термин применяется и по отношению к приложениям, которые используют новейшие наработки в области инфраструктуры, вызванные развитием облачных вычислений.
К нативным облачным приложениям относят приложения, которые работают в центрах обработки данных облачных провайдеров и на локальных (on-premise) платформах, предназначенных для работы с облаками.

## Какую проблему решает

Традиционно локальные среды предоставляли уникальные, отличные друг от друга и несовместимые вычислительные ресурсы.
В каждом центре обработки данных имелись сервисы, которые [жестко привязывали](/tightly-coupled-architectures/) приложения к конкретным окружениям и чаще всего подразумевали, что инфраструктура (например, [виртуальные машины](/virtual-machine/) и различные сервисы) подготавливается вручную.
Из-за этого разработчики и их приложения зависели и были привязаны к конкретному центру обработки данных.
Приложения, которые не были специально разработаны для облачных сред, не могли полноценно задействовать преимущества облачных вычислений — отказоустойчивость и возможности по масштабированию.
Например, приложения, для корректного запуска которых требуется ручное вмешательство, не могут автоматически масштабироваться
и автоматически перезапускаться в случае сбоя.

## Как именно решает проблему

Хотя не существует универсального рецепта для создания нативных облачных приложений, у таких приложений все же есть некоторые общие черты.
Нативные облачные приложения обладают высокой отказоустойчивостью, ими удобно управлять, а кроме того, с ними может взаимодействовать целый набор сопутствующих облачных сервисов.
Так, различные облачные сервисы обеспечивают отличную [наблюдаемость](/observability/), позволяя обнаруживать и оперативно устранять проблемы еще до того, как они станут критическими.
А в сочетании с мощной автоматизацией такие сервисы дают инженерам возможность вносить в проект необходимые важные изменения регулярно, с высокой частотой и предсказуемо — причем без лишних хлопот.
