---
title: Нативная облачная безопасность
status: Completed
category: concept
tags: ["security", "", ""]
---

Нативная облачная безопасность — подход, при котором безопасность встраивается в [нативные облачные приложения](/ru/cloud-native-apps/).
В его рамках безопасность становится частью всего жизненного цикла приложения: от разработки до production.
Нативная облачная безопасность сред направлена на обеспечение тех же стандартов, что и традиционные модели безопасности, 
но при этом адаптирована к особенностям облачных окружений, 
а именно: быстрым изменениям кода и крайне быстро изменяющейся инфраструктуре.
Нативная облачная безопасность тесно связана с практикой, известной как [DevSecOps](/ru/devsecops/).

## Какую проблему решает

Традиционные модели безопасности строились с учетом ряда допущений, которые больше не актуальны.
Нативные облачные приложения часто меняются, используют большое количество инструментов и библиотек с открытым исходным кодом, 
работают в инфраструктуре, контролируемой вендором, и подвержены быстрым изменениям инфраструктуры.
Ревизии кода, длительные циклы обеспечения качества, сканирование уязвимостей на хостах 
и проверки безопасности в самый последний момент не соответствуют потребностям нативных облачных приложений.

## Как именно решает проблему

Нативная облачная безопасность — новый подход к защите приложений, 
предполагающий переход от традиционных моделей безопасности к таким, 
в которых процессы обеспечения безопасности включены в каждый этап релизного цикла.
Ручные аудиты и проверки в значительной степени заменяются автоматизированным сканированием.
Пайплайны быстрого релиза кода интегрированы с инструментами, которые сканируют код на наличие уязвимостей до его компиляции.
Библиотеки с открытым исходным кодом берутся из надежных источников и отслеживаются на предмет наличия уязвимостей.
Вместо того чтобы замедлять изменения, модель нативной облачной безопасности способствует им, 
постоянно обновляя уязвимые компоненты или следя за тем, чтобы инфраструктура регулярно обновлялась.
