---
title: Нативная облачная технология
status: Completed
category: Concept
tags: ["fundamental", "", ""]
---

Нативные облачные (cloud native) технологии, также называемые нативным облачным стеком, — 
это технологии, которые используются для создания [нативных облачных приложений](/ru/cloud-native-apps/).
Эти технологии позволяют компаниям создавать и запускать масштабируемые приложения в современных и динамичных средах, 
таких как публичные, приватные и гибридные облака, 
максимально используя сильные стороны [облачных вычислений](/cloud-computing/).
Они изначально разрабатываются для максимального использования преимуществ облачных вычислений. Пример реализации такого подхода — контейнеры, service mesh, микросервисы и неизменяемая (immutable) инфраструктура.

## Какую проблему решает

Нативный облачный стек включает в себя множество различных технологий, призванных дать ответ на самые разные вызовы.
Если взглянуть на многообразие приложений в [CNCF Cloud Native Landscape](https://landscape.cncf.io/), 
можно увидеть, как много различных областей они охватывают.
Но по сути они решают единый базовый набор задач — 
устраняют недостатки традиционных моделей эксплуатации в ИТ.
Примеры таких вызовов: трудности создания масштабируемых, отказоустойчивых, способных восстанавливаться самостоятельно приложений, 
неэффективное использование ресурсов и др.

## Как именно решает проблему

Хотя каждая технология решает свою специфическую задачу, 
в совокупности нативный облачный стек позволяет создавать слабосвязанные системы, устойчивые к внешним воздействиям, с хорошей управляемостью и наблюдаемостью.
В сочетании с надежной автоматизацией они позволяют инженерам вносить серьезные изменения часто и с предсказуемым результатом — причем такой результат достигается минимальными усилиями.
Необходимых параметров при создании нативных облачных систем легче всего достичь именно с помощью соответствующего нативного облачного стека.
