---
title: Кластер
status: Completed
category: Concept
tags: ["infrastructure", "fundamental", ""]
---

Кластер — группа компьютеров или приложений, которые объединены общей целью и работают совместно.
В контексте нативных облачных вычислений этот термин чаще всего применяется к [Kubernetes](/ru/kubernetes/).
Кластер Kubernetes — это набор сервисов (или рабочих нагрузок), каждый из которых выполняется в собственном контейнере (и обычно на разных машинах).
Совокупность всех этих [контейнеризованных](/ru/containerization/) сервисов, соединенных по сети, представляет собой кластер.

## Какую проблему решает 

Программное обеспечение, работающее на одном компьютере, представляет собой единую точку отказа: 
если этот компьютер сломается или кто-то случайно отключит его питание, 
критически важная для бизнеса система может быть выведена из строя.
Именно поэтому современное программное обеспечение, как правило, строится в виде [распределенных приложений](/distributed-apps/), объединенных в кластеры.

## Как именно решает проблему

Распределенные приложения, объединенные в кластеры, работают на множестве вычислительных машин, что позволяет избежать появления единой точки отказа.
Однако создавать распределенные системы непросто. 
На самом деле этим вопросам посвящена отдельная дисциплина в области компьютерных наук.
Потребность в глобальных системах и годы проб и ошибок привели к созданию нового типа технологического стека — [нативных облачных технологий](/ru/cloud-native-tech/).
Эти новые технологии выступают строительными блоками, которые облегчают эксплуатацию и упрощают создание распределенных систем.
