---
title: Образ контейнера
status: Feedback Appreciated
category: concept
tags: ["", "", ""]
---

Образ контейнера — это неизменяемый статический файл, содержащий зависимости, необходимые для создания [контейнера](/ru/container/).
Эти зависимости могут включать один исполняемый бинарный файл, 
системные библиотеки, системные инструменты, переменные окружения и другие необходимые настройки и компоненты платформы.
Образы контейнеров создаются в ходе [контейнеризации](/ru/containerization/) приложения и обычно хранятся в реестрах контейнеров (container registry), 
откуда их можно скачать и запустить в виде изолированного процесса с помощью интерфейса исполнения для контейнеров (Container Runtime Interface, CRI).
Фреймворк, с помощью которого создается образ контейнера, должен соответствовать стандарту, определенному Open Container Initiative (OCI).

## Какую проблему решает

Традиционно серверы настраиваются под конкретное окружение, и затем на них развертываются приложения.
Любое несоответствие конфигурации окружений — большая проблема, которая часто приводит к простоям или неудачным развертываниям.
Окружение приложения должно быть повторяемым и строго определенным, 
в противном случае возрастает вероятность возникновения ошибок, связанных с окружением.
Если окружение настроено с ошибками или не должным образом, [горизонтальное](/horizontal-scaling/) и [вертикальное](/vertical-scaling/) масштабирование приложений становится проблематичным.

## Как именно решает проблему

Образы контейнеров содержат приложение со всеми его runtime-зависимостями, например, с сервером приложения.
Это позволяет добиться повторяемости и воспроизводимости в любых окружениях, включая компьютер разработчика.
Образы контейнеров могут использоваться для запуска необходимого количества контейнеров, что облегчает [масштабирование](/scalability/).
