---
title: Оркестрация контейнеров
status: Completed
category: Concept
---

Под оркестрацией [контейнеров](/ru/container/) понимается автоматизация жизненного цикла контейнеризованных приложений в динамических средах и управление им. 
Она осуществляется с помощью оркестратора контейнеров (чаще всего — [Kubernetes](/ru/kubernetes)), который отвечает за развертывание, (авто)масштабирование, автовосстановление и мониторинг.
Оркестрация — это метафора: 
инструмент оркестрации управляет контейнерами так же, как дирижер — музыкой, следя за тем, чтобы каждый контейнер (музыкант) делал то, что должен.

## Какую проблему решает

Вручную управлять [микросервисами](/microservices), обеспечивать безопасность и контролировать сетевое взаимодействие на больших масштабах (как и вообще управлять [распределенными системами](/distributed-systems)) 
сложно, а подчас и невозможно.
Оркестрация контейнеров позволяет автоматизировать задачи по управлению ими.

## Как именно решает проблему

Инструменты для оркестрации контейнеров позволяют пользователям задавать состояние системы.
На начальном этапе они определяют, как система должна выглядеть (например, X контейнеров, Y подов и т. д.).
Затем инструмент оркестрации начинает автоматически отслеживать состояние инфраструктуры и при возникновении отклонений приводить его к описанному на первом этапе состонию (например, при сбое одного контейнера запускается другой).
Такая автоматизация упрощает выполнение многих сложных задач эксплуатации (которые в противном случае выполнялись бы вручную), включая выделение ресурсов, развертывание, масштабирование (вверх и вниз), работу с сетью, балансировку нагрузки и другие действия.
