---
title: Непрерывное развертывание (CD)
status: Completed
category: concept
tags: ["application", "methodology", ""]
---

Непрерывное развертывание (Continuous Deployment, CD) развивает идеи [непрерывной доставки](/ru/continuous-delivery/), 
позволяя выкладывать готовое программное обеспечение непосредственно в production.
Непрерывное развертывание (CD) идет рука об руку с [непрерывной интеграцией](/ru/continuous-integration/) (CI), поэтому обычно их объединяют в единый процесс CI/CD.
CI помогает убедиться, что изменения, внесенные в код приложения, работают как и было задумано, 
а CD автоматически развертывает приложение в целевые окружения (от тестовых до production).

## Какую проблему решает

Выпуск новых версий программного обеспечения может быть трудоемким процессом и сопровождаться ошибками.
Поэтому многие организации стараются уменьшить количество релизов, чтобы избежать инцидентов в production 
и сократить время, в течение которого инженеры должны оставаться на связи (в т. ч. в нерабочие часы).
Традиционные модели развертывания программного обеспечения приводят к тому, что организации попадают в порочный круг, 
в котором процесс выпуска программного обеспечения не отвечает потребностям организации 
ни в контексте стабильности, ни в контексте скорости реализации новых функций.

## Как именно решает проблему

Автоматизируя релизный цикл и заставляя организации чаще развертывать ПО в production, 
CD делает для команд эксплуатации то же самое, что CI для команд разработки.
То есть автоматизирует этапы развертывания ПО в production, сокращая вероятность ошибок и негативных последствий и снижая общий риск.
Кроме того, организации привыкают к частым изменениям в production и лучше к ним адаптируются, что повышает стабильность.

## Связанные термины

* [Непрерывная интеграция](/ru/continuous-integration/)
* [Непрерывная доставка](/ru/continuous-delivery/)
