---
title: شراکت کیسے کریں
toc_hide: true
status: Feedback Appreciated
menu:
  main:
    weight: 10
---

کلاؤڈ مقامی لغت کا مواد  [اس GitHub ریپو](https://github.com/cncf/glossary) 
میں محفوظ ہے جہاں آپ کو [مسائل](https://github.com/cncf/glossary/issues), [PRs](https://github.com/cncf/glossary/pulls), اور 
[بات چیت کی فہرست ملے گی۔](https://github.com/cncf/glossary/discussions) 

آپ کے تعاون کرنے کے چار طریقے ہیں:

1) [موجودہ مسئلے پر کام کریں](#work-on-an-existing-issue)
2) [نئی شرائط تجویز کریں](#propose-new-terms)
3) [موجودہ کو اپ ڈیٹ کریں](#update-an-existing-term)
4) [لغت کا ترجمہ کرنے میں مدد کریں](#help-translate-the-glossary)

## لغت کی کمیونٹی میں شامل ہوں! {#join-the-glossary-community}

اگر آپ باقاعدگی سے حصہ ڈالنا چاہتے ہیں تو ہماری ماہانہ لغت ورکنگ گروپ میٹنگز میں شامل ہونے پر غور کریں۔ آپ میٹنگ کی تفصیلات [CNCF کیلنڈر](https://www.cncf.io/calendar/) میں تلاش کر سکتے ہیں۔
آپ CNCF Slack پر ہمارے [glossary#](https://cloud-native.slack.com/archives/C02TX20MQBB) چینل میں دیکھ بھال کرنے والوں اور ساتھی شراکت داروں سے بھی رابطہ قائم کر سکتے ہیں — ہمیں آپ سے مل کر خوشی ہوگی!
 

## موجودہ مسئلے پر کام کریں {#work-on-an-existing-issue}

[Glossary GitHub ریپو مسائل](https://github.com/cncf/glossary/issues)
پر جائیں۔ وہاں آپ کو تمام مسائل کی فہرست نظر آئے گی۔ آپ لیبل کے ذریعہ فلٹر کرسکتے ہیں (جیسے انگریزی زبان، مدد کی ضرورت، اچھا پہلا شمارہ)۔ نوٹ کریں کہ آپ کو اس میں سے کچھ کرنے کے لیے ایک GitHub اکاؤنٹ کی ضرورت ہوگی۔

![ایشو اور لیبلز](/images/how-to/issue-and-labels.png)

یقینی بنائیں کہ آپ جس اصطلاح میں دلچسپی رکھتے ہیں وہ پہلے سے کسی کو تفویض نہیں کی گئی ہے۔ یہاں آپ دیکھ سکتے ہیں کہ پہلی تین شرائط دستیاب ہیں جبکہ اگلی اصطلاح پہلے ہی تفویض کی جا چکی ہے۔


![ایک اصطلاح تفویض کرنا](/images/how-to/howto-04.png)

ایک بار جب آپ کو کوئی ایسی اصطلاح مل جائے جس پر آپ کام کرنا چاہتے ہیں، تو شمارہ میں کہیں۔ اس پر کلک کریں اور تبصرہ شامل کریں۔

![کسی مسئلے کا دعوی کرنا](/images/how-to/claiming-an-issue.png)

مزید برآں، براہ کرم CNCF Slack پر [glossary#](https://cloud-native.slack.com/archives/C02TX20MQBB) چینل میں بھی شامل ہوں اور دیکھ بھال کرنے والوں کو بتائیں کہ آپ نے ایک نئی اصطلاح کے لیے ایک مسئلہ اٹھایا ہے 
 (مثالی طور پر Catherine Paganini، @jmo، @Seokho Son، @Jihoon Seo@ اور/ یا iamnoah@ اس بات کا یقین کرنے کے لئے کہ وہ اسے یاد نہیں کرتے ہیں)۔ نوٹ کریں کہ آپ ایک وقت میں صرف ایک ٹرم کا دعوی کر سکتے ہیں۔ اگر آپ متعدد شرائط پر کام کرنا چاہتے ہیں، تو براہ کرم اگلی شرائط کا دعوی کرنے سے پہلے ایک کو ختم کریں۔


ایک بار جب وہ آپ کو تفویض کر دیں تو آپ اس پر کام شروع کر سکتے ہیں۔ اگلے مراحل کے لیے، براہ کرم [ایک نئی اصطلاح جمع کرنے (پی آر بنانے)](#submitting-a-new-term)   کے لیے سیکشن سے رجوع کریں۔

## نئی شرائط تجویز کریں {#propose-new-terms}

آپ دوسروں کے لیے ایک نئی اصطلاح تجویز کر سکتے ہیں جس پر کام کریں یا خود ایک نئی تعریف تخلیق کریں۔ کسی بھی طرح، آپ ایک مسئلہ پیدا کرکے شروع کریں گے۔ براہ کرم نوٹ کریں کہ شرائط [CNCF کی کلاؤڈ مقامی تعریف](https://github.com/cncf/toc/blob/main/DEFINITION.md)
 کے مطابق ہونی چاہئیں۔ صرف مستثنیات کلاوڈ کے مقامی تصورات کو سمجھنے کے لیے درکار بنیادی اصطلاحات ہیں۔

ذیل میں ان لوگوں کے لیے مرحلہ وار گائیڈ ہے جو ابھی تک GitHub سے واقف نہیں ہیں۔ اگر آپ GitHub Pro ہیں، تو براہ کرم اس بات کو یقینی بنانے کے لیے فوری نظر ڈالیں کہ آپ ہمارے ایشو ٹیمپلیٹس، مناسب نام دینے کے کنونشنز کا استعمال کرتے ہیں، Slack پر PR کا دعویٰ کرتے ہیں (ورنہ ہم اس سے محروم رہ سکتے ہیں)، اور فائل ٹیمپلیٹ کہاں سے تلاش کرنا ہے۔ اور براہ کرم شروع کرنے سے پہلے [اسٹائل گائیڈ](/style-guide/) کو پڑھنا یقینی بنائیں — شکریہ!

### ایک مسئلہ پیدا کرنا {#creating-an-issue}

[لغت GitHub ریپو](https://github.com/cncf/glossary/issues) مسائل پر جائیں اور "نیا شمارہ" پر کلک کریں۔

![مسائل](/images/how-to/howto-01.png)

آپ کو متعدد ٹیمپلیٹس نظر آئیں گے۔ انگریزی میں ایک نئی اصطلاح تجویز کرنے کے لیے، "ایک نئی اصطلاح (انگریزی) شامل کرنے کی درخواست کریں" کو منتخب کریں۔

![ٹیمپلیٹس](/images/how-to/english-issue-template.jpg)

وہ لفظ شامل کریں جو آپ تجویز کر رہے ہیں، ذیل میں دو سوالوں کے جواب دیں، چیک باکسز کو چیک کریں، اور "نیا شمارہ جمع کروائیں" کو دبائیں۔ اگر آپ صرف ایک نئی اصطلاح تجویز کر رہے ہیں، تو آپ ہو گئے! اس پر کام کرنے کے لیے، اگلے مراحل پر عمل کریں۔

### اپنے مسئلے کو ٹرائی کرنا {#triaging-your-issue}

اگلا، دیکھ بھال کرنے والے اس مسئلے کو حل کریں گے۔ اس کا مطلب ہے کہ وہ اس بات کا جائزہ لیں گے کہ آیا اصطلاح کو لغت کا حصہ ہونا چاہیے (نوٹ، ہر اصطلاح کو قبول نہیں کیا جائے گا۔ شرائط قائم کی جانی چاہئیں اور کلاؤڈ مقامی اصطلاحات کو وسیع پیمانے پر استعمال کیا جانا چاہیے)۔


براہ کرم دیکھ بھال کرنے والوں کو بتائیں کہ آپ نے Slack پر ایک اصطلاح جمع کرائی ہے کیونکہ وہ اس سے محروم رہ سکتے ہیں۔ مثالی طور پر Catherine Paganini، @jmo، @Seokho Son، @Jihoon Seo@، اور/یا iamnoah@ کو ٹیگ کریں۔ اگر اصطلاح منظور ہو جاتی ہے اور آپ اس پر کام کرنا چاہتے ہیں، تو وہ اسے آپ کو تفویض کر دیں گے۔

نوٹ کریں کہ آپ ایک وقت میں صرف ایک ٹرم کا دعوی کر سکتے ہیں۔ اگر آپ متعدد شرائط پر کام کرنا چاہتے ہیں، تو براہ کرم اگلی کلیم کرنے سے پہلے ایک کو ختم کریں۔


### ایک نئی اصطلاح جمع کرنا (پی آر بنانا) {#submitting-a-new-term}

شروع کرنے سے پہلے، براہ کرم [اسٹائل گائیڈ](/style-guide/)  کو پڑھیں - اس سے آگے پیچھے کو کم کرنے میں مدد ملے گی۔ جیسا کہ اسٹائل گائیڈ میں بتایا گیا ہے، ہم گوگل یا ورڈ دستاویز سے شروع کرنے کی انتہائی سفارش کرتے ہیں۔

ایک بار جب اصطلاح جمع کرانے کے لیے تیار ہو جائے، مواد پر جائیں (کوڈ کے تحت)…

![مواد](/images/how-to/howto-05.png)

پھر "en" (یا وہ زبان جس کے لیے آپ جمع کر رہے ہیں)…


![زبان کا فولڈر](/images/how-to/howto-06.png)

اور منتخب کریں `TEMPLATE.md_`

![سانچے](/images/how-to/howto-07.png)

مواد کاپی کریں…

![مواد کاپی کریں](/images/how-to/howto-08.png)

اور واپس "en" فولڈر میں جائیں۔ "فائل شامل کریں" کو دبائیں اور "نئی فائل بنائیں" کو منتخب کریں۔


![نئی فائل بنائیں](/images/how-to/howto-09.png)

URL میں اصطلاح کا نام شامل کریں (کوئی کیپیٹلائزیشن نہیں، کوئی خالی جگہ نہیں، کوئی قوسین نہیں، اور الفاظ کو الگ کرنے کے لیے ہائفنز کا استعمال کریں) اور آخر میں md. (نوٹ: اگر آپ کا پیش نظارہ کام نہیں کرتا ہے، تو آپ شاید md. کو شامل کرنا بھول گئے تھے۔ اختتام)۔ اب نیچے ٹیمپلیٹ کا مواد چسپاں کریں۔ فائل میں اپنی تعریف کاپی اور پیسٹ کریں۔
جائزوں کو آسان بنانے کے لیے، براہ کرم [سیمنٹک لائن بریکس](https://sembr.org/) **کا استعمال کریں** (مثلاً ایک سطر فی جملہ)۔ نوٹ کریں کہ GitHub متن کو فارمیٹ کرنے کے لیے مارک ڈاؤن کا استعمال کرتا ہے (مثال کے طور پر، ہائپر لنک، بولڈ، اٹالک)۔ 
 براہ کرم اس [مارک ڈاؤن چیٹ شیٹ](https://www.markdownguide.org/cheat-sheet/) کو دیکھیں۔
 اس بات کی توثیق کرنے کے لیے کہ آپ نے مارک ڈاؤن کو مطلوبہ طور پر استعمال کیا ہے، "پیش نظارہ" پر جائیں۔

![مدت کو حتمی شکل دیں](/images/how-to/howto-10.png)

جب آپ جمع کرانے کے لیے تیار ہوں تو نیچے سکرول کریں اور نئی کمٹ فائل کا نام دیں۔ اب آپ اپنی ہی برانچ میں اس اصطلاح کا ارتکاب کرنے والے ہیں۔ PR جمع کرانے کے لیے مزید ایک قدم درکار ہے۔ "نئی فائل کا عہد کریں" کو دبائیں اور…


![نئی فائل کا ارتکاب کریں۔](/images/how-to/howto-11.png)

…اب آپ PR بنا رہے ہیں:

![ایک پی آر بنائیں](/images/how-to/howto-12.png)

اب آپ کو "Pull Requests" کے تحت اپنا PR دیکھنا چاہیے۔

![prs](/images/how-to/howto-13.png)

## موجودہ اصطلاح کو اپ ڈیٹ کریں {#update-an-existing-term}

موجودہ اصطلاح کو اپ ڈیٹ کرنے کے لیے، آپ یا تو کسی مسئلے کے ذریعے تبدیلی کی تجویز دے سکتے ہیں یا پل ریکوئسٹ (PR) جمع کر کے براہ راست ٹرم کو اپ ڈیٹ کر سکتے ہیں۔

### کسی مسئلے کے ذریعے تبدیلی کی درخواست کریں {#request-a-change-via-an-issue}

اگر آپ کسی اصطلاح کے ساتھ کسی مسئلے کو جھنڈا لگانا چاہتے ہیں لیکن نہیں جانتے کہ اسے خود کیسے ٹھیک کرنا چاہتے ہیں تو "مسئلہ کی اطلاع دیں" پر کلک کریں۔


![رپورٹ کا مسئلہ](/images/how-to/howto-14.png)

یہ براہ راست ایک مسئلہ کھول دے گا. براہ کرم وضاحت کریں کہ کس تبدیلی کی ضرورت ہے اور کیوں۔ جمع کروائیں، اور بس۔


![مسئلہ جمع کروائیں](/images/how-to/howto-15.png)

### کسی اصطلاح کو براہ راست اپ ڈیٹ کریں {#update-a-term-directly}

کسی اصطلاح کو براہ راست تبدیل کرنے کے لیے، "اس صفحہ میں ترمیم کریں" پر جائیں۔

![اس صفحہ میں ترمیم کریں](/images/how-to/howto-16.png)

اس سے اصطلاح کا GitHub صفحہ کھل جائے گا۔ اپنی تبدیلیاں کریں اور PR جمع کروائیں۔ براہ کرم تفصیلی وضاحت کے لیے اوپر "ایک نئی اصطلاح جمع کروانا" دیکھیں (اس حصے پر جائیں جو مارک ڈاؤن کے بارے میں بات کرتا ہے)۔

## لغت کا ترجمہ کرنے میں مدد کریں {#help-translate-the-glossary}

لغت کو اپنی مادری زبان میں ترجمہ کرنے میں مدد کے لیے، براہ کرم CNCF Slack پر [glossary-#localizations](https://cloud-native.slack.com/archives/C02N2RGFXDF) چینل میں شامل ہوں اور ہمیں بتائیں۔ آپ یا تو موجودہ ٹیم میں شامل ہو سکتے ہیں یا ایک نئی ٹیم بنا سکتے ہیں (دیکھنے کے لیے کہ اس میں کیا کام آتا ہے، چیک آؤٹ یا [لوکلائزیشن گائیڈ](https://github.com/cncf/glossary/blob/main/LOCALIZATION.md))۔ براہ کرم ہماری ماہانہ لغت ورکنگ گروپ میٹنگز میں بھی شامل ہوں۔ آپ میٹنگ کی تفصیلات [ کیلنڈر](https://www.cncf.io/calendar/) میں تلاش کر سکتے ہیں۔ ہم آپ سے وہاں ملنے کے منتظر ہیں!
