---
title: API 网关
status: Completed
category: 技术
tags: ["网络", "", ""]
---


## 是什么

API 网关是一种通过聚合多个应用程序的 [API](/zh-cn/application-programming-interface/)，并实现一站式管理的工具。
它允许组织将关键性功能移交到一个可集中管理的地方，例如身份验证和授权、限制应用程序之间的请求数量。
一个 API 网关则作为一个公共的接口，向 API 消费者（通常来自外部）提供服务。

## 解决的问题

当你的应用需要为外部消费者提供 API 时，你通常需要一个统一的入口来管理和控制所有的访问。
此外，如果你需要对这些交互添加某种功能，也可以在不更改任何应用代码的情况下为所有的流量实现新功能。

## 如何帮助

通过为多个 API 提供一个统一的访问入口，API 网关能够让组织更容易地将交叉性业务或安全性逻辑移交到一个可集中管理的地方。
应用的消费端也只需要访问单个地址就可以满足其所有需求。
通过为系统中的所有 web 服务提供统一的访问入口，API 网关还可以简化诸如安全性和[可观测性](/observability/)之类的运维问题。
由于所有请求都流经 API 网关，因此它可以中心化的为这些请求添加诸如指标收集、速率限制和授权等功能。
