---
title: 应用程序接口 (API)
status: Completed
category: 技术
tags: ["架构", "", ""]
---

## 是什么

API (Application Programming Interface, 即应用程序接口) 是计算机程序间交互的一种方式。
就像人类可以通过网页与网站进行交互一样，API 允许计算机程序之间进行交互。
与人类的交互不同，API 可以限制对方可以问什么和不能问什么。对交互的限制有助于在程序之间创建稳定、实用的信息传输。

## 解决的问题

随着应用程序变得越来越复杂，小的代码更改也可能会对其他功能产生巨大的影响。如果应用程序想要在扩展的同时保持其稳定性，就需要用模块化的方法来管理应用程序的功能。没有 API，应用程序之间就缺乏一个交互的参照标准。如果没有共享的参照标准，应用程序如何进行 [伸缩](/zh-cn/scalability/) 和集成将是一个挑战。

## 如何帮助

API 允许计算机程序或应用程序以一种明确的、可理解的方式进行交互和共享信息。它们是现代应用程序的基本构建块，并为开发人员提供了一种将应用程序集成在一起的方法。每当您听说一组 [微服务](/zh-cn/microservices/) 在一起工作时，就可以推断它们是通过某种 API 进行交互的。
