---
title: 自动伸缩
status: Completed
category: 属性
tags: ["应用程序", "基础设施", "架构"]
---

自动伸缩，通常是指在计算资源方面，系统能够进行自动 [伸缩](/zh-cn/scalability/) 的能力。自动伸缩系统可在需要时自动添置资源，通过伸缩来满足不断变化的用户需求。
自动伸缩的过程各不相同，可基于不同指标进行配置，例如内存或处理时间。托管云服务相较于大多数本地部署环境，有更多的可选项和实施项，因此往往都搭配有自动伸缩功能。

在此之前，基础设施和应用程序的架构设计会考虑到系统峰值的使用情况。这种架构意味着大部分资源没有得到充分利用，并且在面对不断变化的用户需求时缺乏弹性。
缺乏弹性则意味着低谷时的业务成本增加，而在高峰时又会由于需求过盛引起的服务中断而导致业务流失。

通过利用云，[虚拟化](/zh-cn/virtualization/)和[容器化](/zh-cn/containerization/)应用程序及其依赖项等手段，组织可以构建随用户需求而伸缩的应用程序。
他们可以监控应用程序的流量并自动伸缩，从而提供最佳的用户体验。以 Netflix 每周五晚上的收视率增长为例，自动伸缩意味着动态添置更多资源：即增加服务器数量以支持更多视频播放需求，并在需求回落后同步缩减。

## 相关词汇

* [水平伸缩](/zh-cn/horizontal-scaling/)
* [垂直伸缩](/zh-cn/vertical-scaling/)
