---
title: 云原生安全
status: Completed
category: 概念
tags: ["安全", "", ""]
---

## 是什么

云原生安全是一种将安全性构建到 [云原生应用程序](/zh-cn/cloud-native-apps/) 中的方法。
它确保安全是从开发到生产的整个应用程序生命周期的一部分。
云原生安全旨在确保与传统安全模型相同的标准，同时适应云原生环境的特殊性，即快速的代码更改和高度短暂的基础设施。
云原生安全与称为 [测试左移](/devsecops/) 的实践高度相关。

## 解决的问题

传统的安全模型是根据许多不再有效的假设构建的。
云原生应用程序变化频繁，使用大量开源工具和库，通常运行在供应商控制的基础设施中，并且会受到快速的基础设施变化的影响。
代码审查、长质量保证周期、基于主机的漏洞扫描和最后一分钟的安全审查无法与云原生应用程序一起伸缩。

## 如何帮助

云原生安全引入了一种新的工作方式，通过从传统的安全模型迁移到发布周期的每个步骤都涉及安全的模型来保护应用程序。
人工审核和检查在很大程度上被自动扫描所取代。
快速代码发布管道与在编译之前扫描代码以查找漏洞的工具集成在一起。
开源库从受信任的来源中提取并监控漏洞。
云原生安全模型不是减缓变化，而是通过频繁更新易受攻击的组件或确保定期更换基础设施来拥抱它。
