---
title: 容器编排
status: Completed
category: 概念
---

## 是什么

[容器](/zh-cn/container/)编排指的是在动态的环境中自动管理容器化应用的生命周期。
这通过一个容器编排器（大多是 [Kubernetes](/zh-cn/kubernetes)）来执行，实现部署、（自动）扩缩、自愈和监控。
编排是一个比喻用词：编排工具像乐队指挥一样指挥众多容器，确保每个容器（或乐手）各行其是。

## 解决的问题

手动管理大规模的[微服务](/zh-cn/microservices)、安全性和网络通信
（及常见的[分布式系统](/zh-cn/distributed-systems)）即使并非不可能，亦会非常困难。
而容器编排能让用户自动化处理所有这些管理任务。

## 如何帮助

容器编排工具允许用户确定系统的状态。
首先，这些工具会声明系统应具备的框架（例如 x 个容器、y 个 Pod 等）。
然后，编排工具将自动监控基础设施，并在其状态偏离声明的状态时对其进行修正（例如如果一个容器崩溃，则启动一个新的容器）。
这种自动化作业精简了许多工程团队原本需要大量手动完成的复杂运营任务，例如制备、部署、扩缩容、联网、负载均衡和其他活动。
