---
title: 持续交付 (CD)
status: Completed
category: 概念
tags: ["应用程序", "方法论", ""]
---

## 是什么

持续交付，通常缩写为 CD，是一套实践，其中代码的变化被自动部署到验收环境中（或者，在持续部署的情况下，部署到生产中）。
CD 关键是包括确保软件在部署前得到充分测试的程序，并提供一种在认为必要时回滚修改的方法。
持续集成（CI）是实现持续交付的第一步（也就是说，在测试和部署之前，变化必须干净地合并）。

## 解决的问题

部署 [可靠](/zh-cn/reliability/) 的更新在规模上成为一个问题。
理想情况下，我们会更频繁地部署，为终端用户提供更好的价值。
然而，手动操作会使每一个变化都转化为高额的交易成本。
历史上，为了避免这些成本，企业发布的频率较低，一次部署更多的变化，增加了出错的风险。

## 如何帮助

CD 策略创建了一个完全自动化的生产路径，使用各种部署策略测试和部署软件，如 [金丝雀部署](/zh-cn/canary-deployment/) 或 [蓝绿部署](/zh-cn/blue-green-deployment/) 发布。
这使得开发人员可以频繁地部署代码，让他们放心地认为新的修订版已经过测试。
通常情况下，CD 策略中使用基于主干的开发，而不是功能分支或拉动请求。

## 相关术语

* [持续集成](/zh-cn/continuous-integration/)
* [持续部署](/zh-cn/continuous-deployment/)
