---
title: 贡献者阶梯
toc_hide: true
status: Completed
menu:
  main:
    weight: 10
---

大家好! 👋 感谢你对 CNCF 云原生词汇项目的贡献。
无论你是贡献新的术语，帮助将词汇表本地化为你的母语，还是想帮助其他人开始工作，都有很多方法可以成为这个社区的积极成员。
本文档概述了项目中不同的贡献者角色以及随之而来的责任和特权。

## 1. 贡献者

云原生词汇表是为所有人准备的。任何人都可以通过对项目的贡献而成为词汇表的贡献者。
所有贡献者都应遵守 [CNCF 行为准则](https://github.com/cncf/foundation/blob/main/code-of-conduct.md)。

你可以通过多种方式为该项目做出贡献，包括：

- **内容贡献者**：每个改进现有条款或贡献新条款的人。
- **本地化贡献者**：帮助将词汇表翻译成其他语言的人。
- **帮助者**：任何在 GitHub、Slack 或社区成员需要支持的地方帮助他人的人。
- **大使**：帮助传播信息的人，教育社区成员如何做出贡献以及为什么要这样做。

贡献者可以有多种角色，也可以只专注于一个领域。**所有这些贡献都是同样重要的**，这有助于促进社区的繁荣。
关于内容和本地化的贡献，请参考 [如何贡献](/zh-cn/contribute/) 和 [风格指南](/zh-cn/style-guide/)。

## 2. 审批者

审批者对 PR 提供反馈并批准它们。任何活跃的贡献者都可以成为审批者（见 "成为审批者"）。
词汇表区分了两种审批者：(1) 英语词汇表的审批者和(2) 本地化团队的审批者。

词汇审批者应做到：

- 审查 PR 的技术准确性。
- 为贡献者分配问题并为其贴上适当的标签。
- 向贡献者提供反馈，并在需要时为他们提供指导。
- 校对和编辑提交的内容。 

如果审批者不再有兴趣或不能履行上述职责，他们应该让维护者知道并退出。

### 英语词汇表审批者

有三种类型的审批者：

1) 具有强大技术背景的审批者。
2) 具有扎实的写作技巧的审批者。
3) 两者都精通的审批者。

**技术审批者**：具有强大技术背景的人可以成为审批者，而不需要具备坚实的英语写作技能。
然而，如果他们根据技术价值批准一项公关，他们必须确保由（编辑）批准者进行审查。

**编辑**：编辑对术语进行校对，并确保根据《风格指南》用简单的语言对其进行解释。
如果一个术语被大量编辑，编辑必须要求技术审批者再次审查，以确保其含义没有被改变。

### 本地化审批者

词汇表也有本地化审批者。他们是本地化团队（翻译云原生词汇表的团队）的审批者。
本地化审批者只允许为他们自己的团队履行审批者职责，并有能力将 PR 合并到他们专用的开发分支。
如果符合要求，任何本地化审批者也可以成为英语词汇表的审批者。

### 成为审批者

审批员候选人应该有提交高质量 PR 的记录，并帮助他人将他们的PR合并到可合并的状态。
如果他们的时区允许，他们也应该定期参加 [云原生词汇工作组会议](https://www.cncf.io/calendar/)。

要成为审批者，首先要向现有的维护者表达兴趣。现有的维护者会要求你在他们的指导下，通过贡献PR、做审查和其他类似的任务来证明上述资格。
经过一段时间的合作，维护者们将决定是否授予你审批者的身份。这个决定将基于你的熟练程度和反应能力。

## 3. 维护者

维护者是审批者，也可以合并PR。任何人都可以成为词汇表维护者（见 "成为维护者"）。对维护者有一些期望，包括：

- 成为一个积极响应的审批者（见上文）。
- 帮助维护存储库，包括网站配置、权限、问题模板、GitHub 工作流程等。
- 监控云原生词汇表的 Slack 频道，并尽可能地提供帮助。
- 定期参加 [云原生词汇工作组会议](https://www.cncf.io/calendar/) (如果时区允许)

如果维护者不再有兴趣或不能履行上述职责，他们应该将自己转为荣誉会员。 

### 成为维护者

维护者应该有成功批准和提交高质量 PR 的良好记录。如果他们的时区允许，他们也应该定期参加词汇工作组的会议。

要成为一名维护者，首先要向现有的维护者表达兴趣。现有的维护者会要求你在他们的指导下，通过提交PR、做审核和其他类似的任务来证明上述资格。
经过一段时间的合作，现有维护者们将决定是否授予维护者资格。这个决定将基于你的熟练程度和反应能力。 

## 4. 社区管理者

社区管理者帮助培养一个受欢迎和有吸引力的社区。任何社区成员都可以成为社区管理者。他们要做的是：

- 欢迎新成员，确保他们获得所需的信息。
- 帮助回答来自社区的问题或找到可以帮助的人。
- 调节 Slack上 的对话。

### 成为社区管理者

任何人都可以成为词汇表社区管理者。社区管理者必须对贡献和本地化过程有扎实的了解，并且喜欢与人交流和帮助他人。
要成为社区管理者，首先要向现有的维护者表达兴趣。在入职/试用期过后，维护者会根据表现来决定是否授予社区管理者资格。

## 非自愿删除

当责任和要求没有得到满足时，就会发生非自愿删除贡献者的情况。这可能包括反复的不活动模式，长时间的不活动，和/或违反行为准则的行为。
这个过程很重要，因为它保护了社区和它的成果，同时也为新的贡献者提供了机会。

## 退役/退休程序

如果贡献者的承诺水平发生了变化，贡献者可以考虑退出（在贡献者的阶梯上往下走）和转为名誉会员（完全离开项目）。

## 重新进入一个角色

如果有人可以重新担任以前的贡献者角色，项目领导层可以安排并考虑这样做。
