---
title: 水平伸缩
status: Completed
category: 概念
tags: ["基础设施", "", ""]
---

## 是什么

水平伸缩是一种通过添加更多[节点](/zh-cn/nodes/)来增加系统容量的技术，而不是向单个节点添加更多计算资源（后者称为[垂直伸缩](/zh-cn/vertical-scaling/)）。
假设我们有一个 4GB RAM 的系统，并且想要将其容量增加到 16GB RAM，水平伸缩意味着通过添加 4 x 4GB RAM 而不是切换到 16GB RAM 系统来实现。

这种方法通过添加新实例或[节点](/zh-cn/nodes/)来提高应用程序的性能，以更好地均衡工作负载。
简而言之，它旨在减少服务器的负载，而不是扩大单个服务器的容量。

## 解决的问题

随着对应用程序的需求增长超出该应用程序实例的当前容量，我们需要找到一种方法来[伸缩](/zh-cn/scalability/)（增加容量）系统。
我们可以向系统添加更多节点（水平伸缩）或向现有节点添加更多计算资源（垂直伸缩）。

## 如何帮助

水平伸缩允许应用程序在底层集群设置的范围内进行伸缩。通过向系统添加更多实例，应用程序可以处理更多请求。
如果单个节点每秒可以处理 1,000 个请求，则每增加一个节点，每秒的请求总数应该会增加大约 1,000 个。
这使得应用程序可同时执行更多工作，而无需特别增加任何单个节点的容量。

## 相关词汇

* [垂直伸缩](/zh-cn/vertical-scaling/)
* [自动伸缩](/zh-cn/auto-scaling/)
