---
title: 基础设施即代码 (IaC)
status: Completed
category: 概念
tags: ["基础设施", "", ""]
---

## 是什么

基础设施即代码是将基础设施的定义存储为一个或多个文件的做法。
这取代了通常通过 shell 脚本或其他配置工具手动配置基础架构即服务的传统模型。

## 解决的问题

云原生方式构建应用程序要求基础设施是一次性的和可复现的。
它还需要以自动化和可重复的方式按需 [伸缩](/zh-cn/scalability/)，甚至可能无需人工干预。
手动配置则无法满足 [云原生应用](/zh-cn/cloud_native_apps/) 对响应能力和灵活伸缩的诉求。
而且手动基础架构变更不可复现，很容易碰到伸缩瓶颈，并引入错误配置。

## 如何帮助

通过将服务器、负载均衡器和子网等数据中心资源表示为代码，
它允许基础架构团队对所有配置拥有单一的数据源，并允许他们在
[CI](/zh-cn/continuous-integration/ )/[CD](/zh-cn/continuous-delivery/)
通道中管理数据中心，实现版本控制和部署策略。
