---
title: 服务网格
status: Completed
category: 技术
tags: ["网络", "", ""]
---

## 是什么

在 [微服务](/zh-cn/microservices/) 的理念里，应用程序被分解成多个较小的 [服务](/service/)，通过网络进行通信。
就像你的 WIFI 网络一样，计算机网络本质上是不可靠的，可被黑客攻击的，而且往往很慢。
服务网格通过管理服务之间的流量（即通信），并在所有服务中统一添加 [可靠性](/zh-cn/reliability/)、[可观察性](/observability/) 和安全功能来解决这一系列新的挑战。

## 解决的问题

在转向微服务架构后，工程师们现在要处理数百个，甚至数千个单独的服务，都需要进行通信。
这意味着大量的流量在网络上来回传输。除此之外，单个应用程序可能需要对通信进行加密，以支持监管要求，为运营团队提供通用指标，或提供对流量的详细洞察，以帮助诊断问题。
如果内置于单个应用程序中，这些功能中的每一个都会引起团队间的冲突，并减缓新功能的开发。

## 如何帮助

服务网格在集群的所有服务中统一增加了可靠性、可观察性和安全功能，而不需要改变代码。
在服务网格之前，这些功能必须被编码到每一个服务中，成为错误和技术债务的潜在来源。
