---
title: 垂直伸缩
status: Completed
category: 概念
tags: ["基础设施", "", ""]
---

## 是什么

垂直伸缩，也称为“向上和向下伸缩”，是一种通过在工作负载增加时向单个[节点](/zh-cn/nodes/)添加CPU和内存来增加系统容量的技术。
假设您有一台 4GB RAM 的计算机，并且想要将其容量增加到 16GB RAM，垂直伸缩就意味着切换到 16GB RAM 系统。
（请参阅[水平伸缩](/zh-cn/horizontal-scaling/)了解不同的伸缩方法。）

## 解决的问题

随着对应用程序的需求增长超出该应用程序实例的当前容量，我们需要找到一种方法来伸展（增加容量）系统。
我们可以向现有节点添加更多计算资源（垂直伸缩）或向系统添加更多节点([水平伸缩](/zh-cn/horizontal-scaling/))。
[可伸缩性](/zh-cn/scalability/)有助于提高竞争力、效率、声誉和质量。

## 如何帮助

垂直伸缩允许您在不更改应用程序代码的情况下调整服务器大小。这与水平伸缩形成对比，在水平伸缩中，应用程序必须可以被复制来进行伸缩，而这可能需要代码更新。
垂直伸缩通过添加计算资源来增加现有应用程序的容量，允许应用程序处理更多请求并同时执行更多工作。

## 相关词汇

* [水平伸缩](/zh-cn/horizontal-scaling/)
* [自动伸缩](/zh-cn/auto-scaling/)
