---
title: "雲端原生 Glossary"
status: Completed
---

# 雲端原生 Glossary  {#cloud-native-glossary}

雲端原生 Glossary 主要目標在使人們更容易理解，將以複雜而聞名雲端原生領域變得更簡單好懂，不僅限於技術人士，也同樣適用於商業人士。
為了實現這一目標，我們注重簡潔（例如：使用簡單用語描述且不包含流行用語、使用任何技術的人都可以通用的範例、省略不必要的細節）。
Glossary 是由 CNCF 商業價值小組（Business Value Subcommittee; BVS）領導的專案。

<p><img class="mt-3" src="/images/homepage/kubecon.jpg" alt="People watching a Kubecon presentation"></p>

## 貢獻 {#contributing}

歡迎所有人對雲端原生 Glossary 提出更改、補充和改進。
我們採用由 CNCF 管理的社群驅動的流程來開發和改進這個共享 Glossary 。
Glossary 提供了一個所有參與者使用且供應商保持中立的平台，以組織雲端原生技術的共享詞彙。
歡迎所有遵守本專案宗旨和章程的參與者做出貢獻。

任何希望貢獻的人都可以提交 GitHub 議題或創建拉取請求。
請確保您遵循[風格指南](/zh-tw/style-guide/)，閱讀[如何參與貢獻](/zh-tw/contribute/)文件，加入 [CNCF Slack](https://communityinviter.com/apps/cloud-native/cncf)工作區，並加入 [#glossary](https://cloud-native.slack.com/archives/C02TX20MQBB)頻道。

也有一個 [#glossary-localizations](https://cloud-native.slack.com/archives/C02N2RGFXDF)頻道，提供想將 Glossary 翻譯為其本地化語言的人們使用。

## 致謝 {#acknowledgements}

雲端原生 Glossary 由 CNCF 行銷委員會 (CNCF Marketing Committee)（商業價值小組委員會）發起，包括來自
[Catherine Paganini](https://www.linkedin.com/in/catherinepaganini/en/)、
[Chris Aniszczyk](https://www.linkedin.com/in/caniszczyk/)、
[Daniel Jones](https://www.linkedin.com/in/danieljoneseb/?originalSubdomain=uk)、
[Jason Morgan](https://www.linkedin.com/in/jasonmorgan2/)、
[Katelin Ramer](https://www.linkedin.com/in/katelinramer/)、
[Mike Foster](https://www.linkedin.com/in/mfosterche/?originalSubdomain=ca)和許多的貢獻者。
如果想獲得完整的貢獻者名單，請參考[此 GitHub page](https://github.com/cncf/glossary/graphs/contributors)。

Glossary 主要維護由
[Seokho Son](https://www.linkedin.com/in/seokho-son/)、
[Noah Ispas](https://www.linkedin.com/in/noah-ispas-0665b42a/)、
[Jihoon Seo](https://www.linkedin.com/in/jihoon-seo/)、
[Nate W.](https://www.linkedin.com/in/nate-double-u/)
和 [Jorge Castro](https://www.linkedin.com/in/jorge-castro2112/)。

[Catherine Paganini](https://www.linkedin.com/in/catherinepaganini/en/)
和 [Jason Morgan](https://www.linkedin.com/in/jasonmorgan2/)
他們是名譽維護者，我們深深的感激他們多年來所做出的寶貴貢獻。

最後，雲端原生 Glossary 的繁體中文本地化工作，由雲端原生 Glossary 繁中本地化團隊
[傅耀德(Ader Fu)](https://github.com/ydfu)、
[黃秉鈞(Phil Huang)](https://github.com/pichuang)、
[邱宏瑋(HungWei Chiu)](https://github.com/hwchiu)
和[林自均(John Lin)](https://github.com/johnlinp)
進行貢獻與維護，
同時也有眾多繁體中文貢獻者 [#glossary-localization-traditional-chinese](https://cloud-native.slack.com/archives/C055KERTNCX) 在頻道中參與討論與貢獻。

## 授權條款 {#license}

所有程式碼貢獻都在 Apache 2.0 許可下。
文檔在 CC BY 4.0 下發布。
