---
title: 容器協調
status: Completed
category: 概念
---

## 是什麼 {#what-it-is}

[容器](/zh-tw/container/)協調指的是在動態的環境中自動管理容器化應用程式的生命週期。
這通過一個容器協調器 (大多是 [Kubernetes](/zh-tw/kubernetes)) 來執行如部署、(自動)擴展、自我修復和監控。
協調是一個隱喻用詞:
協調工具就如同樂隊指揮一樣指揮管理眾多容器，確保每個容器(或樂手)各執其職。

## 解決的問題 {#problem-it-addresses}

手動管理大規模的[微服務](/zh-tw/microservices)、安全性和網路通訊以及常見的[分散式系統](/zh-tw/distributed-systems)
雖然困難但並非不可能。
而容器協調能讓用戶自動化所有這些管理任務。

## 如何幫助我們 {#how-it-helps}

容器協調工作允許使用決定系統的狀態。
首先，這些工具會宣告系統應具備的狀態 (例如 x 個容器、 y 個 Pod 等等)。
接著容器協調工具將會自動監控基礎建設並且在其狀態與宣告狀態不一致時自動修正 (例如當一個容器壞掉不能運行時，則啟動一個全新的容器)。
這種自動化的操作簡化了許多工程團隊手動與複雜的維運工作，例如 服務開通、部署、自動擴展、網路、負載平衡和其他活動。
