---
title: 持續部署 (CD)
status: Completed
category: 概念
tags: ["應用程式", "方法論", ""]
---

## 是什麼 {#what-it-is}

持續部署，通常縮寫為 CD，它直接將完成的軟體部署到正式環境，比[持續交付](/zh-tw/continuous-delivery/)更進一步。
持續部署（CD）與[持續整合](/zh-tw/continuous-integration/)（CI）緊密相關，通常被稱為 CI/CD。
CI 流程用於測試對特定應用程式的變更是否正確，而 CD 流程則自動部署組織測試環境的程式碼變更到正式環境。

## 解決的問題 {#problem-it-addresses}

發布新軟體版本是一個勞動密集且容易出錯的過程。
通常這也使組織希望盡量減少發布新版本的頻率，以避免正式環境發生事故並減少工程師需要在正常工作時間之外提供支援的次數。
傳統的軟體部署模型讓組織陷入一個惡性循環，其中軟體發布的過程無法滿足組織在穩定性和功能迭代速度方面的需求。

## 如何幫助我們 {#how-it-helps}

透過自動化發布週期並強制組織更頻繁地將產品部署到正式環境中，CD 之於維運團隊就像 CI 之於開發團隊一樣。
具體來說，它強制維運團隊自動化正式部署中痛苦且容易出錯的部分，從而降低整體風險。
它還使組織更善於接受和適應正式環境的變化，進而提高穩定性。

## 相關術語 {#related-terms}

- [持續整合](/zh-tw/continuous-integration/)
- [持續交付](/zh-tw/continuous-delivery/)
