---
title: 貢獻者階梯
toc_hide: true
status: Completed
menu:
  main:
    weight: 10
---

嗨！👋 感謝您對貢獻 CNCF 雲端原生 Glossary 專案感到興趣。
無論您貢獻新術語、協助本地化 Glossary 成為您的母語，
或者想要幫助他人入門，都有很多方式成為此社群的活躍成員。
本文檔概述了專案中的不同貢獻者角色以及隨之而來的職責和權限。

## 1. 貢獻者 {#contributors}

Glossary 歡迎所有人參與。任何人只要有貢獻都可以成為 Glossary 的貢獻者。所有貢獻者都應遵守 [CNCF 行為準則](https://github.com/cncf/foundation/blob/main/code-of-conduct.md)。

有多種方式可以貢獻此專案，包括：

- **內容貢獻者**：改進現有術語或新增術語的所有人，
- **本地化貢獻者**：協助將 Glossary 翻譯成另一種語言的人，
- **幫助者**：在 GitHub、Slack 或其他社群成員需要支援時協助他人的人，
- **大使**：幫忙傳達訊息、教育社群如何貢獻，以及為什麼他們應該這麼做的任何人。

貢獻者可以擔任多個角色或僅專注於一個領域。
**所有這些貢獻同等重要**和有助於促進繁榮的社群。
有關內容和本地化貢獻，請參閱[如何貢獻](/zh-tw/contribute/)和[風格指南](/zh-tw/style-guide/)。

## 2. 審核者 {#approvers}

審核者提供 PR 的回饋並核准他們。任何活躍的貢獻者都可以成為審核者（參見[成為審核者](#becoming-an-approvers)）。 
Glossary 區分兩種審核者：（1）英文 Glossary 的審核者和（2）本地化團隊的審核者。

Glossary 審核者應該：

- 審核 PR 的技術準確性，
- 分配貢獻者議題並適當地標記他們，
- 為貢獻者提供反饋並在需要時指導他們，
- 校對和編輯提交。

如果審核者不再感興趣或無法執行上述職責，他們應讓維護人員知道並下台。

### 英文 Glossary 審核者 {#english-glossary-approvers}

有三種類型的審核者：

1）擁有強大技術背景的審核者，
2）具有扎實的寫作能力的審核者，
3）精通兩者的審核者。

**技術審核者**：具有強大技術背景的人可以成為審核者，而不必具備扎實的英文寫作能力。但是，如果他們基於技術的優點核准了 PR，則必須確保經由一位（編輯）審核者進行了審核。

**編輯者**：編輯人員校對術語並確保其根據樣式指南用簡單的語言解釋。如果術語被大量編輯，編輯人員必須要求技術審核者再次審核，以確保含義未被更改。

### 本地化審核者 {#localization-approvers}

Glossary 還有本地化審核者。這些是本地化團隊（翻譯 Glossary 的團隊）之一的審核者。
本地化審核者僅允許為其自己的團隊執行核准任務，並有能力將 PR 合併到其專屬的開發分支。
任何本地化審核者都可以成為英文 Glossary 的審核者，如果符合要求的話。

### 成為審核者 {#becoming-an-approvers}

批准者候選人應該有提交高品質 PR 和幫助其他人使他們的 PR 處於可合併狀態的良好記錄。
如果他們的時區允許，他們還應定期參加 [Glossary 工作組會議](https://www.cncf.io/calendar/)。

要成為審核者，首先要向現有維護者表達興趣。
現有維護者將要求您在其指導下貢獻 PR，進行審核以及執行其他此類任務，以展示上述資格。 
在一段時間的合作後，維護者將決定是否授予您審核者員身份。 
這個決定將基於您展示的熟練程度和積極應對。

## 3. 維護者 {#maintainers}

維護者是可以批准並合併 PR 的審核者。任何人都可以成為 Glossary 的維護者（參見[成為維護者](#becoming-a-maintainer)）。 
維護者有一些期望，包括：

- 成為一個積極和負責任的審核者（參見上文），
- 幫助維護存儲庫，包括網站配置、權限、議題-模板、GitHub 工作流程等，
- 監控 Glossary Slack 頻道，並在可能的情況下提供幫助，
- 定期參加 [Glossary 工作組會議](https://www.cncf.io/calendar/)（如果時區允許）。

如果一個維護者不再對上述職責感興趣或不能執行，則應自行移動到名譽狀態。

### 成為維護者 {#becoming-an-maintainers}

維護者應該有成功的審核者和提交高品質 PR 的良好記錄。 
如果時區允許，他們還應該定期參加 Glossary 工作組會議。

要成為維護者，首先要向現有的維護者表達興趣。 
現有的維護者然後會要求您在他們的指導下展示上述資格，包括提交 PR、進行審核和執行其他任務。 
經過一段時間的合作，維護者將決定是否授予維護者身份。
這個決定將基於您展示的熟練程度和反應能力。

## 4. 社群經理 {#community-managers}

社群經理協助培育一個友好且引人入勝的社群。任何社群成員都可以成為社群經理。他們有以下職責：

- 歡迎新成員並確保他們獲得所需資訊，
- 協助回答社群問題或尋找能夠提供幫助的人，
- 監控 Slack 上的對話。

### 成為社群經理 {#becoming-an-community-managers}

任何人都可以成為 Glossary 社群經理。
社群經理必須對貢獻和本地化流程有扎實的理解，並喜歡與他人互動並提供幫助。
要成為社區經理，首先要向現有維護者表達興趣。
在入職/試用期後，維護人員將根據表現決定是否授予社群經理身份。

## 強制移除 {#involuntary-removal}

當貢獻者未能履行職責和要求時，將發生強制移除。
這可能包括反覆無效活動，延長的無效活動期以及/或違反行為準則。
此過程很重要，因為保護了社群及其成果，同時也開放了機會讓新的貢獻者加入。

## 卸任/名譽流程 {#stepping-down-emeritus-Process}

如果和當貢獻者的承諾級別改變，
貢獻者可以考慮卸任（降低貢獻者階層）與轉為名譽狀態（完全退出專案）。

## 重回角色 {#stepping-back-into-a-role}

如果有人可以重回之前的貢獻者角色，專案領導者可以安排並考慮此事。
