---
title: DevOps
status: Completed
category: 概念
tags: ["方法論", "", ""]
---

## 是什麼 {#what-it-is}

DevOps 代表著由團隊擁有應用程式開發（Dev）到正式維運（Ops）完整過程的一種方法論，所以它才被稱作 DevOps。
DevOps 不只是一套技術的運用，更是文化與流程的全面轉變。
DevOps 要求工程團隊專注在更小的元件，而非一次處理整個功能，並且減少交接的次數，因為頻繁的交接正是導致錯誤的常見原因。

## 解決的問題 {#problem-it-addresses}

傳統上，在具有[緊耦合](/zh-tw/tightly-coupled-architectures/)[單體式應用程式](/zh-tw/monolithic_apps/)的複雜組織裡，工作通常分散在不同的團隊之間。
這導致工作需要多次的交接與漫長的前置時間（lead time）。
每當一個元件或更新準備就緒時，它就會被放到下一個團隊的工作佇列中。
由於每個人都只處理專案的一小部分，而這種方法導致缺乏所有權（ownership）。
他們的目標將會是把工作交給下一個團隊，而不是向客戶提供正確的功能，這顯然是本末倒置。

當程式碼終於部署到正式環境，早已經歷了許多的開發人員、在眾多佇列中等待。
假設此時程式碼無法運行，追查問題根因就會是一件非常困難的事情。
而 DevOps 顛覆了上述這種開發方式。

## 如何幫助我們 {#how-it-helps}

讓一個團隊可以擁有應用程式完整的生命週期，可帶來交接次數最小化、降低部署到正式環境的風險、擁有更好的程式碼品質（如果團隊也負起程式碼在正式環境運行的責任），
並且因為團隊擁有更多的自主權與所有權而提高了員工滿意度。
