---
title: 函式即服務 (FaaS)
status: Completed
category: 技術
tags: ["基礎設施", "", ""]
---

## 是什麼 {#what-it-is}

函式即服務 (FaaS) 是一種[無伺服器](/zh-tw/serverless/)的[雲端運算](/zh-tw/cloud-computing/)[服務](/zh-tw/service/)，
它可以在特定事件觸發時執行程式碼，
而無需去維護常見於建置與發佈[微服務](/zh-tw/microservices/)應用程式所需的複雜基礎設施。
在 FaaS 的運作模式下，使用者只需專注於管理自己的功能和資料，應用程式的其他管理工作則交由雲端服務提供商來處理。
這種服務不僅讓開發者可以取得他們所需的功能以外，而且在程式碼不執行時，也無需支付額外的服務費用。

## 解決的問題 {#problem-it-addresses}

在傳統的地端環境中，企業需要自行管理和維護其資料中心。
企業必須投資於伺服器、儲存空間、軟體和其他技術外，
可能需要聘請 IT 人員或是外包商來購買、管理並升級所有的設備和使用授權。
在這種情況下，資料中心必須配置足夠的資源以應對高峰需求，即使在工作量減少、資源閒置時也難以避免。
反觀，若企業業務快速擴展，IT 部門可能又面臨資源無法即時提供的困境。
在標準的[基礎設施即服務 (IaaS)](/zh-tw/infrastructure-as-a-service/) 雲端運算模型下，
用戶會預先購買特定容量，即表示你需要為保持應用程式運行所需的伺服器元件支付給公共雲端服務提供商。
在需求增大時，用戶必須擴充伺服器容量；需求降低時，則需降低容量。
即使應用程式並未在被使用，但運行該應用程式所需的雲端基礎設施仍要持續運作。

## 如何幫助我們 {#how-it-helps}

FaaS 為開發者提供了一種[抽象](/zh-tw/abstraction/)，使他們能夠在無需管理伺服器的情況下，可以根據事件來運行網路應用程式。
以檔案上傳為例，這個動作可能會觸發一段自定義的程式碼，該程式碼將原始檔案轉換成多種格式。
對於大量使用的程式碼，FaaS 的基礎設施能自動擴展，
無需開發者花費時間和資源去設計程式碼的[可擴展性](/zh-tw/scalability/)。
計費模式則是根據運算時間來計算，這表示企業在功能未使用時，就不必支付任何費用。
