---
title: 多租戶
status: Completed
category: 屬性
tags: ["基礎設施", "屬性", ""]
---

## 什麼是多租戶 {#what-it-is}

多租戶是指為多個租戶提供服務的單一軟體設施。
一個租戶是一個使用者、應用程式或多個在自己資料集上使用軟體運作的使用者/應用程式。
這些租戶並不共享資料（除非擁有者有明確指示），甚至可能不知道彼此。

租戶可以小至一個具有單一登入 ID 的獨立用戶（例如個人生產力軟體），或像整個公司一樣大，擁有數千個登入 ID，每個登入 ID 都有自己的權限，但以多種方式相互關聯。
多租戶軟體的範例包括 Google Mail、Google Docs、Microsoft Office 365、Salesforce CRM 和 Dropbox，以及許多被歸類為完整多租戶或部分多租戶的其他軟體。

## 解決的問題 {#problem-it-addresses}

如果沒有多租戶，就需要每個租戶都去安裝專用的軟體設施，這會增加需要運用的資源和維護負擔，進而提升了軟體成本。

## 如何幫助我們 {#how-it-helps}

多租戶軟體為每個租戶提供一個隔離的環境（工作資料、設定、憑證清單等），同時為多個租戶提供服務。
從租戶的角度來看，每個租戶都有其專用的軟體設施，儘管實際上它們都共享同一個。
這是透過在伺服器上運行軟體並允許租戶以介面和/或 [API](/zh-tw/application-programming-interface/) 透過網路連接到該軟體來實作的（另請參閱[主從式架構](/zh-tw/client-server-architecture/)）。
使用多租戶軟體，租戶能夠共享一個設施的資源，而不會相互影響或僅以預先定義和受控的方式有所交互作用。
軟體供應商所節省的資源可以轉移給租戶，進而顯著地降低用戶的軟體成本（像是基於網頁的電子郵件或文件編輯器）。

## 相關術語 {#related-terms}

多租戶和 SaaS 並非同義詞，即便 SaaS 多租戶很常見，甚至將多租戶視為其核心優勢之一。
