---
title: 節點
status: Completed
category: 概念
tags: ["基礎設施", "基本原理", ""]
---

## 是什麼 {#what-it-is}

節點是一台會與其他計算機（或稱節點）一起運作以完成共同任務的計算機。
舉例來說，
你的筆記型電腦、數據機和印表機都連接在你的無線網路上進行通訊和協作，
其中每個裝置都都代表一個節點。
在[雲端運算](/zh-tw/cloud-computing/)中，
一個節點可以是一台實體計算機，
或是一台虛擬機器（[VM](/zh-tw/virtual-machine/)），
甚至可以是一個[容器](/zh-tw/container/)。

## 解決的問題 {#problem-it-addresses}

雖然一個應用程式可以（而且很多都這麼做）在一台單獨的計算機上運行，
但這樣會存在一些風險。
主要是因為底層系統的故障會干擾應用程式的運行。
為了解決這個問題，
開發人員們開始建立[分散式應用程式](/zh-tw/distributed-apps/)，
讓每個行程都在自己的節點上運行。
因此，執行這些應用程式或是行程的節點們便會形成一個節點[叢集](/zh-tw/cluster/)，
一起合作完成共同的目標。

## 如何幫助我們 {#how-it-helps}

一個節點提供了一個可指派給一個叢集的獨立運算單元（記憶體、CPU、網路）。
在[雲端原生](/zh-tw/cloud-native-tech/)平台或應用程式中，
一個節點就代表一個可以執行工作的單位。
在理想情況下，個別的節點是不可區分的，
也就是說，我們無法區分某個類型的任何一個節點與同一類型的其他節點。
