---
title: 服務網格
status: Completed
category: 技術
tags: ["網路", "", ""]
---

## 是什麼 {#what-it-is}

在[微服務](/zh-tw/microservices/)的世界裡，應用程式被拆分成多個較小的[服務](/zh-tw/service/)，而這些服務會透過網路進行通訊。
就像您的 Wi-Fi 網路一樣，計算機的網路本質上是不可靠的、易被攻擊的，且經常速度較慢。
服務網格透過管理服務間的流量（即通訊），並在所有服務中統一加入[可靠性](/zh-tw/reliability/)、[可觀察性](/zh-tw/observability/)和安全性功能，來解決這一系列新的挑戰。

## 解決的問題 {#problem-it-addresses}

當轉移到微服務的架構後，工程師現在都必須處理數百個，甚至數千個需要通訊的服務。
這意味著將有大量的流量會在網路上來回傳輸。
除此之外，單一的應用程式會需要對通訊進行加密以支援監管要求、為營運團隊提供通用指標、或對於流量提出詳細的見解以協助診斷問題。
如果這些功能被建立在單一的應用程式中，那麼每一個功能都會產生團隊間的摩擦，減緩新功能開發的速度。

## 如何幫助我們 {#how-it-helps}

服務網格在不需要改變程式碼的情況下，為所有服務統一地增加了可靠性、可觀察性和安全性功能。
在服務網格出現之前，這些功能必須被嵌入到每一個服務中，成為錯誤和技術債的潛在來源。
