---
title: 向左移
status: Completed
category: 概念
tags: ["方法論", "", ""]
---

## 是什麼 {#what-it-is}

如果我們將將軟體開發週期想像成一條從左到右依序執行的線，
「向左移」中的「左」指的便是週期中較早的階段。
向左移是在軟體開發生命週期中的早期階段就進行測試、安全性或開發實踐等，
而避免等到週期的末期才進行的一種實踐。

儘管最初是用來指稱早期測試的過程，
但現在向左移也可以應用於軟體開發和 [DevOps](/zh-tw/devops/) 的其他方面，如安全性和部署。

## 解決的問題 {#problem-it-addresses}

如果在開發週期後期或部署後才發現安全問題、錯誤和軟體缺陷，
修復它們可能會變得更加困難且昂貴，
尤其是如果該軟體已經部署到正式環境中。

## 如何幫助我們 {#how-it-helps}

透過在軟體開發中採用向左移的思維，
團隊可以在整個開發生命週期中進行測試和加強安全性。
由於測試和安全性的責任由開發團隊共同承擔，
從軟體工程師到品質保證再到維運，
每個人都在確保應用程式的穩定性和安全性。

此外，向左移開啟了持續改進的可能性，並且採用了[敏捷式](/zh-tw/agile-software-development/)而不是瀑布式的開發方法。
團隊可以進行小規模的迭代改進，並儘早識別問題。
這種方法讓工程師可以提早在設計和架構階段，
就採用安全可靠的開發實踐。
在整個開發週期中進行測試可以減少軟體發布前所需的測試時間。

許多軟體工具和 SaaS 解決方案都有助於團隊朝著向左移前進。
但向左移也可以透過改進團隊內部的流程和文化變革來實施。
