---
title: 垂直擴展
status: Completed
category: 概念
tags: ["基礎設施", "", ""]
---

## 是什麼 {#what-it-is}

垂直擴展也被稱為「向上和向下擴展」，是一項當系統負載提高時透過對單一[節點](/zh-tw/nodes/)增加 CPU 或 RAM 來提升系統容量的技術。
假設您的系統中有一台 4GB RAM 的計算機，並且想要提升系統的容量至 16GB RAM，那麼對這個系統作垂直擴就展意味著切換為另一台 16GB RAM 的計算機。
(請參考另一種擴展方法：[水平擴展](/zh-tw/horizontal-scaling/))

## 解決的問題 {#problem-it-addresses}

當應用程式的需求成長超出該應用程式實例的當前容量時，
我們需要找出一種方式來擴展系統(增加容量)。
我們可以加入更多計算資源到目前的節點(垂直擴展)，
或是加入更多節點至此系統([水平擴展](/zh-tw/horizontal-scaling/))。
[可擴展性](/zh-tw/scalability/)有助於提升系統的競爭力、效率、評價以及品質。

## 如何幫助我們 {#how-it-helps}

垂直擴展讓您不用修改應用程式中的程式碼就能調整伺服器的大小。
相對地，水平擴展則要求應用程式必須是可被複製的，而且很有可能需要修改程式碼。
垂直擴展藉由增加計算資源來提升現有應用程式的容量，
使得應用程式能夠處理更多請求並同時執行更多工作量。

## 相關詞彙 {#related-terms}

* [水平擴展](/zh-tw/horizontal-scaling/)
* [自動擴展](/zh-tw/auto-scaling/)
