---
title: Cloud Native Technology
status: Completed
category: Concept
tags: ["fundamental", "", ""]
---

Cloud native technologies, also referred to as the cloud native stack, 
are the technologies used to build [cloud native applications](/cloud-native-apps/). 
These technologies enable organizations to build and run scalable applications in modern and dynamic environments 
such as public, private, and hybrid clouds, 
while leveraging [cloud computing](/cloud-computing/) benefits to their fullest. 
They are designed from the ground up to exploit the capabilities of cloud computing and containers, service meshes, microservices, 
and immutable infrastructure exemplify this approach.

## Problem it addresses 

The cloud native stack has many different technology categories, addressing a variety of challenges. 
If you have a look at the [CNCF Cloud Native Landscape](https://landscape.cncf.io/), 
you'll see how many different areas it touches upon. 
But on a high level, they address one main set of challenges: 
the downsides of traditional IT operating models. 
Challenges include difficulties creating scalable, fault-tolerant, self-healing applications, 
as well as inefficient resource utilization, among others.

## How it helps

While each technology addresses a very specific problem, 
as a group, cloud native technologies enable [loosely coupled systems](/loosely-coupled-architecture/) that are resilient, manageable, and observable. 
Combined with robust automation, they allow engineers to make high-impact changes frequently and predictably with minimal toil. 
Desirable traits of cloud native systems are easier to achieve with the cloud native stack.
