---
title: Observabilité
status: Completed
category: concept
tags: ["propriété", "", ""]
---

L'observabilité est une propriété des systèmes qui définit le degré auquel le système peut générer des informations exploitables.
Elle permet aux utilisateurs de comprendre l'état d'un système à partir de ses sorties externes et de prendre des mesures (correctives).

Les systèmes informatiques sont mesurés en observant des signaux de bas niveau tels que le temps processeur, la mémoire, l'espace disque, des signaux de niveau supérieur et des signaux métiers, notamment les temps de réponse de l'API, les erreurs, le nombre de transactions par seconde, etc.
Ces systèmes observables sont **observés** (ou surveillés) grâce à des outils spécialisés, appelés outils d'observabilité. Une liste de ces outils peut être consultée dans la [section observabilité du Cloud Native Landscape](https://landscape.cncf.io/card-mode?category=observability-and-analysis&grouping=category).

Les systèmes observables fournissent des données significatives et exploitables à leurs opérateurs, leur permettant ainsi d'obtenir des résultats intéressants (intervention plus rapide en cas d'incident, augmentation de la productivité des développeurs) et de réduire le temps improductif.

Par conséquent, le degré d'observabilité d'un système aura un impact significatif sur ses coûts d'exploitation et de développement.
